(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    222372,       6667]*)
(*NotebookOutlinePosition[    223811,       6714]*)
(*  CellTagsIndexPosition[    223736,       6708]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  "Introducci\[OAcute]n pr\[AAcute]ctica a ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  "II."
}], "Title",
  TextAlignment->Left,
  TextJustification->1],

Cell["Recursividad y bucles", "Subtitle"],

Cell["\<\
La recursividad consiste en una funci\[OAcute]n que se llama a s\[IAcute] \
misma. La vamos a usar en primer lugar para resolver el primer problema de \
esta entrega. Despu\[EAcute]s la usaremos en alguno m\[AAcute]s y veremos cu\
\[AAcute]l es el n\[UAcute]mero m\[AAcute]ximo de veces que puede llamarse a \
s\[IAcute] misma.\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[TextData[{
  "Problema ",
  
  CounterBox["Subsection"]
}], "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell["Constr\[UAcute]yanse las funciones matem\[AAcute]ticas factorial:", \
"Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(\(\(f \((n)\) = \(n \((n - 1)\) .. \) 
        2.1\ \((n\ \[Epsilon]\[DoubleStruckCapitalN])\)\)\(,\)\)\)], \
"DisplayFormula",
  TextAlignment->Center,
  TextJustification->0],

Cell["y doble factorial:", "Text"],

Cell[BoxData[
    \(g \((n)\) = \(n \((n - 2)\) .. \) 2, \ 
    n\ \[Epsilon]2\[DoubleStruckCapitalN] - {0}, \n
    g \((n)\) = \(n \((n - 2)\) .. \) 1, \ 
    n\ \[Epsilon]2\[DoubleStruckCapitalN] + 1. \)], "DisplayFormula"],

Cell[TextData[{
  "Soluci\[OAcute]n.\nAunque la funci\[OAcute]n factorial viene preprogramada \
en ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  "vamos a definirla para ilustrar el uso de la recursividad:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[{
    \(\(Clear[f];\)\), "\n", 
    \(f[n_] := If[n == 0, 1, n\ f[n - 1]]\)}], "Input",
  CellLabel->"In[45]:="],

Cell["as\[IAcute] por ejemplo:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[4]\)], "Input",
  CellLabel->"In[47]:="],

Cell[BoxData[
    \(TraditionalForm\`24\)], "Output",
  CellLabel->"Out[47]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[f[n], {n, 0, 5}]\)], "Input",
  CellLabel->"In[48]:="],

Cell[BoxData[
    \(TraditionalForm\`{1, 1, 2, 6, 24, 120}\)], "Output",
  CellLabel->"Out[48]="]
}, Open  ]],

Cell[TextData[{
  "Sin embargo, obtendremos un mensaje de error si preguntamos a ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  "por el valor de f [-3]. En la definici\[OAcute]n no hemos contemplado la \
posibilidad de que el argumento de ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  " sea negativo. Vamos a ver como responde ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  "cuando se usa su propia funci\[OAcute]n factorial:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\((\(-3\))\)!\)\)], "Input",
  CellLabel->"In[49]:="],

Cell[BoxData[
    \(TraditionalForm\`ComplexInfinity\)], "Output",
  CellLabel->"Out[49]="]
}, Open  ]],

Cell[TextData[{
  "Vamos entonces a completar nuestra definici\[OAcute]n de factorial ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  " para que responda de igual forma:"
}], "Text"],

Cell[BoxData[{
    \(\(Clear[f];\)\), "\n", 
    \(f[n_] := 
      If[n == 0, 
        1, \n\t\tIf[n > 0, n\ f[n - 1], "\<ComplexInfinity\>"]]\)}], "Input",
  CellLabel->"In[50]:="],

Cell[TextData[{
  "M\[AAcute]s adelante estudiaremos como completar nuestra funci\[OAcute]n \
",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  " para extenderla a los racionales tambi\[EAcute]n. Por de pronto debemos \
conformarnos con aplicarla a enteros, y debemos tener cuidado pues si se \
aplica a otros tipos de n\[UAcute]meros, la respuesta ser\[AAcute] en general \
disparatada."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["\<\
Una forma alternativa de definir el factorial ser\[IAcute]a la siguiente:\
\>", "Text"],

Cell[BoxData[{
    \(\(Clear[f];\)\), "\n", 
    \(\(f[0] = 1;\)\), "\n", 
    \(\(f[n_] := n\ f[n - 1];\)\)}], "Input",
  CellLabel->"In[52]:="],

Cell[TextData[{
  "Esta es una t\[IAcute]pica definici\[OAcute]n dividida en varios casos. \
Como vemos hay un primer caso que define ",
  Cell[BoxData[
      \(TraditionalForm\`f(0)\)]],
  " y un segundo caso que definir\[IAcute]a el valor de ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  " para los dem\[AAcute]s valores de ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  ". Si preguntamos a ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  " por ",
  Cell[BoxData[
      \(TraditionalForm\`f(0)\)]],
  ", respondera sin dudarlo 1. Pero \[DownQuestion]como resuelve ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  "la ambiguedad inherente a esta definici\[OAcute]n?. De hecho ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  "busca entre todas las clausulas de la definici\[OAcute]n aquella que se \
ajuste al patr\[OAcute]n de lo preguntado. Pero si nos fijamos en la definici\
\[OAcute]n que hemos dado, cualquiera de los dos casos ser\[IAcute]a \
aplicable. De hecho en la definici\[OAcute]n de ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  ", cuando escribimos ",
  StyleBox["f[n_]:=n f[n-1]", "Input"],
  ", nada restringe el \[AAcute]mbito de variaci\[OAcute]n de n. El dise\
\[NTilde]o de ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  "es tal que aplica primero las clausulas particulares y s\[OAcute]lo \
aplicara las m\[AAcute]s generales si no ha tenido exito con las primeras. \
Por eso la funci\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  " definida de esta segunda forma, es tambi\[EAcute]n correcta (aunque \
debemos restringir su uso a enteros no negativos). "
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["Para la funci\[OAcute]n doble factorial hagamos:", "Text"],

Cell[BoxData[{
    \(\(Clear[g];\)\), "\n", 
    \(\(g[1] := 1;\)\), "\n", 
    \(\(g[2] := 2;\)\), "\n", 
    \(\(g[n_] := n\ g[n - 2];\)\)}], "Input",
  CellLabel->"In[55]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(g[6]\)], "Input",
  CellLabel->"In[59]:="],

Cell[BoxData[
    \(TraditionalForm\`48\)], "Output",
  CellLabel->"Out[59]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(g[5]\)], "Input",
  CellLabel->"In[60]:="],

Cell[BoxData[
    \(TraditionalForm\`15\)], "Output",
  CellLabel->"Out[60]="]
}, Open  ]],

Cell["\<\
con la misma salvedad anterior de que est\[AAcute] bien definida para enteros \
positivos.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Problema ",
  
  CounterBox["Subsection"]
}], "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Consid\[EAcute]rese la sucesi\[OAcute]n de Fibonacci",
    FontSlant->"Italic"],
  " ",
  Cell[BoxData[
      \(TraditionalForm\`x\_n = x\_\(n - 1\) + x\_\(n - 2\)\)]],
  ", ",
  Cell[BoxData[
      \(TraditionalForm\`x\_0 = 1\)]],
  ", ",
  Cell[BoxData[
      \(TraditionalForm\`x\_1 = 2\)]],
  ". ",
  StyleBox["Constr\[UAcute]yase una tabla con los 20 primeros \
t\[EAcute]rminos de dicha sucesi\[OAcute]n.\[DownQuestion]Cuantos de estos n\
\[UAcute]meros son primos?",
    FontSlant->"Italic"],
  "\nSoluci\[OAcute]n."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Las sucesiones son tipos particulares de funciones, pero para acercar el \
lenguaje de ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " al propiamente matem\[AAcute]tico, los dise\[NTilde]adores de este \
paquete han facilitado la posibilidad de definir funciones usando la \
sintaxis:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    FormBox[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_n_\),
            "Input"], ":=", " ", \(\(expresi\[OAcute]n\)\(.\)\)}], " "}], 
      TraditionalForm]], "DisplayFormula",
  TextAlignment->Center,
  TextJustification->0],

Cell["As\[IAcute] por ejemplo vamos a definir la sucesi\[OAcute]n", "Text"],

Cell[BoxData[{
    \(\(Clear[x];\)\), "\n", 
    \(\(x\_n_ := x\_\(n - 1\) + x\_\(n - 2\);\)\), "\n", 
    \(\(x\_0 = 1;\)\), "\n", 
    \(\(x\_1 = 2;\)\)}], "Input",
  CellLabel->"In[61]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(a = Table[x\_n, {n, 0, 19}]\)], "Input",
  CellLabel->"In[65]:="],

Cell[BoxData[
    \(TraditionalForm\`{1, 2, 3, 5, 8, 13, 21, 34, 55, 89, 144, 233, 377, 
      610, 987, 1597, 2584, 4181, 6765, 10946}\)], "Output",
  CellLabel->"Out[65]="]
}, Open  ]],

Cell["\<\
Construyamos ahora una lista de n\[UAcute]meros primos suficientemente amplia\
\
\>", "Text"],

Cell[BoxData[
    \(\(b = Table[Prime[i], {i, 1, 1350}];\)\)], "Input",
  CellLabel->"In[66]:="],

Cell[TextData[{
  "el \[UAcute]ltimo n\[UAcute]mero primo de la lista ",
  Cell[BoxData[
      \(TraditionalForm\`\(b\_\ \)\)]],
  "es:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(b[\([1350]\)]\)], "Input",
  CellLabel->"In[67]:="],

Cell[BoxData[
    \(TraditionalForm\`11149\)], "Output",
  CellLabel->"Out[67]="]
}, Open  ]],

Cell[TextData[{
  "que es mayor que el m\[AAcute]ximo de la lista ",
  Cell[BoxData[
      \(TraditionalForm\`a\)]],
  ". Hagamos entonces:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Intersection[a, b]\)], "Input",
  CellLabel->"In[68]:="],

Cell[BoxData[
    \(TraditionalForm\`{2, 3, 5, 13, 89, 233, 1597}\)], "Output",
  CellLabel->"Out[68]="]
}, Open  ]],

Cell[TextData[{
  "Por tanto en los primeros 20 t\[EAcute]rminos de la sucesi\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`{x\_n}\)]],
  " hay 7 primos."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Problema ",
  
  CounterBox["Subsection"]
}], "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Constr\[UAcute]yase una lista con los valores de ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`n\/\(n + 1\)\)]],
  " ",
  StyleBox["para los",
    FontSlant->"Italic"],
  " ",
  StyleBox["20 primeros naturales ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " ",
  StyleBox["tales que ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`n\^2 + 9  n \[GreaterEqual] 36\)]],
  ".\nSoluci\[OAcute]n."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Vamos a escribir por primera vez un programa, utilizando  la \
funci\[OAcute]n 'While' que tiene la sintaxis ",
  StyleBox["While[condici\[OAcute]n, acci\[OAcute]n] ", "Input"],
  "y que efectua la 'acci\[OAcute]n' mientras se satisfaga la 'condici\
\[OAcute]n'."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(n = 0;\)\), "\n", 
    \(\(While[n\^2 + 9  n < 36, n = n + 1];\)\), "\n", 
    \(Table[i\/\(i + 1\), {i, n, n + 19}]\)}], "Input",
  CellLabel->"In[69]:="],

Cell[BoxData[
    \(TraditionalForm\`{3\/4, 4\/5, 5\/6, 6\/7, 7\/8, 8\/9, 9\/10, 10\/11, 
      11\/12, 12\/13, 13\/14, 14\/15, 15\/16, 16\/17, 17\/18, 18\/19, 19\/20, 
      20\/21, 21\/22, 22\/23}\)], "Output",
  CellLabel->"Out[71]="]
}, Open  ]],

Cell[TextData[{
  "La funci\[OAcute]n 'While' detecta el primer ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " que satisface ",
  Cell[BoxData[
      \(TraditionalForm\`n\^2 + 9  n \[GreaterEqual] 36\)]],
  ", y la funci\[OAcute]n 'Table' construye la lista."
}], "Text",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Problema ",
  
  CounterBox["Subsection"]
}], "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Constr\[UAcute]yase una funci\[OAcute]n que c\[AAcute]lcule la \
suma de los elementos de una lista.\n",
    FontSlant->"Italic"],
  "Soluci\[OAcute]n.\nRecordemos que para dos listas de la misma longitud ",
  Cell[BoxData[
      \(TraditionalForm\`v\)]],
  " y ",
  Cell[BoxData[
      \(TraditionalForm\`w\)]],
  ": "
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(v = \((v\_1,  ... , v\_n)\), \ 
    w = \((w\_1,  ... , w\_n)\), \)], "DisplayFormula",
  TextAlignment->Center,
  TextJustification->0],

Cell[TextData[{
  "el producto escalar ",
  Cell[BoxData[
      \(TraditionalForm\`v . w\)]],
  " no es mas que la suma ",
  Cell[BoxData[
      FormBox[
        StyleBox[\(\[Sum]\_1\%n\( v\_i\) w\_i\),
          "DisplayFormula"], TraditionalForm]]],
  ". Tomando entonces como ",
  Cell[BoxData[
      \(TraditionalForm\`w\)]],
  " la lista cuyas componentes son todas 1, el producto escalar por ",
  Cell[BoxData[
      \(TraditionalForm\`v\)]],
  " nos dar\[IAcute]a la suma de los elementos de ",
  Cell[BoxData[
      \(TraditionalForm\`v\)],
    TextAlignment->Left,
    TextJustification->1],
  ". Por tanto vamos a definir la funci\[OAcute]n suma como el producto \
escalar de la lista dada por otra lista con tantos unos como la longitud de \
la primera lista:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(suma[x_] := x . Table[1, {i, Length[x]}]\)], "Input",
  CellLabel->"In[72]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(suma[{1, 0, 1}]\)], "Input",
  CellLabel->"In[73]:="],

Cell[BoxData[
    \(TraditionalForm\`2\)], "Output",
  CellLabel->"Out[73]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Clear[x]; suma[{1, 2, x, 1}]\)], "Input",
  CellLabel->"In[74]:="],

Cell[BoxData[
    \(TraditionalForm\`x + 4\)], "Output",
  CellLabel->"Out[74]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Problema ",
  
  CounterBox["Subsection"]
}], "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Se dice que un entero positivo es perfecto si coincide con la \
suma de todos sus divisores (excluido el mismo). Encu\[EAcute]ntrense los n\
\[UAcute]meros perfectos menores que 1000.",
    FontSlant->"Italic"],
  " \nSoluci\[OAcute]n.\nLa funci\[OAcute]n 'Divisors' nos vendr\[AAcute] muy \
bien para nuestros propositos. Esta funci\[OAcute]n devuelve una lista con \
los divisores de su argumento:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(Divisors[6]\)], "Input",
  CellLabel->"In[75]:="],

Cell[BoxData[
    \(TraditionalForm\`{1, 2, 3, 6}\)], "Output",
  CellLabel->"Out[75]="]
}, Open  ]],

Cell["\<\
La condici\[OAcute]n para que un n\[UAcute]mero sea perfecto es que la suma \
de todos sus divisores coincida con el doble del n\[UAcute]mero. Definamos \
entonces una funci\[OAcute]n 'perfect' que devuelva 'True' si su argumento es \
un n\[UAcute]mero perfecto, y 'False' en caso contrario:\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(perfect[n_] := If[suma[Divisors[n]] == 2  n, True, False]\)], "Input",
  CellLabel->"In[76]:="],

Cell["por ejemplo 6 es un n\[UAcute]mero perfecto:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(perfect[6]\)], "Input",
  CellLabel->"In[77]:="],

Cell[BoxData[
    \(TraditionalForm\`True\)], "Output",
  CellLabel->"Out[77]="]
}, Open  ]],

Cell["veamos entonces los n\[UAcute]meros perfectos menores que 1000:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(i = 1;\)\), "\n", 
    \(While[i < 1000, \n\tIf[perfect[i], Print[i], ]; i = i + 1]\)}], "Input",\

  CellLabel->"In[78]:="],

Cell[BoxData[
    \(TraditionalForm\`6\)], "Print",
  CellLabel->"From In[78]:="],

Cell[BoxData[
    \(TraditionalForm\`28\)], "Print",
  CellLabel->"From In[78]:="],

Cell[BoxData[
    \(TraditionalForm\`496\)], "Print",
  CellLabel->"From In[78]:="]
}, Open  ]],

Cell[TextData[{
  "Como se observa, s\[OAcute]lo hay tres. Hemos empleado un bucle del tipo \
'While' que contiene un condicional 'If'. El comando 'If' imprime el \
\[IAcute]ndice ",
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  " si es un n\[UAcute]mero perfecto, en caso contrario no hace nada (v\
\[EAcute]ase el tercer argumento vac\[IAcute]o de 'If'). La orden ",
  StyleBox["i=i+1 ", "Input"],
  "se encarga de ir incrementado ",
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  ". "
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["Veamos ahora una variante de este problema:", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Problema ",
  
  CounterBox["Subsection"]
}], "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Def\[IAcute]nase una funci\[OAcute]n que para cada entero \
positivo",
    FontSlant->"Italic"],
  " ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  ", ",
  StyleBox["construya una lista con los n\[UAcute]meros perfectos menor o \
iguales a ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  ".\nSoluci\[OAcute]n.\nLa ideal podr\[IAcute]a ser la siguiente: definimos \
una lista vac\[IAcute]a y para cada ",
  Cell[BoxData[
      \(TraditionalForm\`i = 1, 2,  .. , n\)]],
  ", a\[NTilde]adimos a la lista el elemento ",
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  " si es perfecto. Esto puede concretarse as\[IAcute]: "
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(f[n_] := \((lista = {}; 
        i = 1; \n\t\tWhile[i <= n, \ 
          If[perfect[i], lista = Append[lista, i], ]; \n\t\t\ti = i + 1]; 
        lista)\)\)], "Input",
  CellLabel->"In[80]:="],

Cell["Veamos que la cosa funciona:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[1000]\)], "Input",
  CellLabel->"In[81]:="],

Cell[BoxData[
    \(TraditionalForm\`{6, 28, 496}\)], "Output",
  CellLabel->"Out[81]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[28]\)], "Input",
  CellLabel->"In[82]:="],

Cell[BoxData[
    \(TraditionalForm\`{6, 28}\)], "Output",
  CellLabel->"Out[82]="]
}, Open  ]],

Cell[TextData[{
  "Hagamos algunos comentarios a la definici\[OAcute]n de ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  ": en primer lugar, la definici\[OAcute]n agrupa con par\[EAcute]ntesis un \
programa. Cuando esto se hace, la salida de la funci\[OAcute]n es la \
\[UAcute]ltima variable que aparece en el programa sin punto y coma. En este \
caso 'lista'. Por otra parte la funci\[OAcute]n ha utilizado las variables ",
  Cell[BoxData[
      \(TraditionalForm\`\(\('\) \(i'\)\)\)]],
  " y 'lista'. Estas variables quedan  modificadas tras cualquier \
c\[AAcute]lculo con ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  ". Por ejemplo, el valor de 'lista' despu\[EAcute]s de calcular f[28] es:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(lista\)], "Input",
  CellLabel->"In[83]:="],

Cell[BoxData[
    \(TraditionalForm\`{6, 28}\)], "Output",
  CellLabel->"Out[83]="]
}, Open  ]],

Cell["\<\
pero si calculamos f[496], la variable 'lista' queda modificada:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[496]; lista\)], "Input",
  CellLabel->"In[84]:="],

Cell[BoxData[
    \(TraditionalForm\`{6, 28, 496}\)], "Output",
  CellLabel->"Out[84]="]
}, Open  ]],

Cell["\<\
Hay que tener entonces cuidado con las variables externas a la definici\
\[OAcute]n de la funci\[OAcute]n, y las variables que la propia \
funci\[OAcute]n define y utiliza. Si queremos definir funciones que no \
modifiquen en absoluto las variables externas, es una buena ideal recurrir a \
la noci\[OAcute]n de m\[OAcute]dulos. Para definir una funci\[OAcute]n usando \
un 'M\[OAcute]dulo' esrcibiremos  \
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    RowBox[{
      StyleBox[\(f[n_]\),
        "Input"], 
      StyleBox[":=",
        "Input"], 
      RowBox[{
        StyleBox["Module",
          "Input"], 
        StyleBox["[",
          "Input"], 
        RowBox[{
          RowBox[{
            StyleBox["{",
              "Input"], \(variables\ locales\), 
            StyleBox["}",
              "Input"]}], 
          StyleBox[",",
            "Input"], \(definici\[OAcute]n\ de\ f\)}], 
        StyleBox["]",
          "Input"]}]}]], "DisplayFormula"],

Cell[TextData[{
  "donde las variables locales son variables internas a la propia funci\
\[OAcute]n que se est\[AAcute] definiendo. Su existencia es ef\[IAcute]mera, \
de hecho, si una de estas variables no ha sido definida previamente a la \
definici\[OAcute]n de ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  ", entonces tampoco estar\[AAcute] definida despu\[EAcute]s de hacer c\
\[AAcute]lculos con ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  ". Ve\[AAcute]moslo: borremos las variables 'lista', ",
  Cell[BoxData[
      \(TraditionalForm\`\(\('\) \(i\)\)\)]],
  "' que han sido utilizadas antes:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(Clear[i, lista]\)], "Input",
  CellLabel->"In[85]:="],

Cell[TextData[{
  "Definamos ahora la funci\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  " utilizando la noci\[OAcute]n de 'M\[OAcute]dulo':"
}], "Text"],

Cell[BoxData[
    \(f[n_] := 
      Module[{lista, i}, lista = {}; 
        i = 1; \n\t\tWhile[i <= n, \ 
          If[perfect[i], lista = Append[lista, i], ]; \n\t\t\ti = i + 1]; 
        lista]\)], "Input",
  CellLabel->"In[86]:="],

Cell[TextData[{
  "Hagamos alg\[UAcute]n c\[AAcute]lculo con ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[28]\)], "Input",
  CellLabel->"In[87]:="],

Cell[BoxData[
    \(TraditionalForm\`{6, 28}\)], "Output",
  CellLabel->"Out[87]="]
}, Open  ]],

Cell["preguntemos ahora por 'lista' y por 'i':", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(lista\)], "Input",
  CellLabel->"In[88]:="],

Cell[BoxData[
    \(TraditionalForm\`lista\)], "Output",
  CellLabel->"Out[88]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(i\)], "Input",
  CellLabel->"In[89]:="],

Cell[BoxData[
    \(TraditionalForm\`i\)], "Output",
  CellLabel->"Out[89]="]
}, Open  ]],

Cell["\<\
como se observa, no est\[AAcute]n definidas. Pero es m\[AAcute]s, vamos a \
asignar alg\[UAcute]n valor a estas variables:\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[{
    \(\(lista = {1, 2, 3};\)\), "\n", 
    \(\(i = 2000;\)\)}], "Input",
  CellLabel->"In[90]:="],

Cell[TextData[{
  "Hagamos otro c\[AAcute]lculo con ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[500]\)], "Input",
  CellLabel->"In[92]:="],

Cell[BoxData[
    \(TraditionalForm\`{6, 28, 496}\)], "Output",
  CellLabel->"Out[92]="]
}, Open  ]],

Cell["y veamos el contenido de las variables en cuesti\[OAcute]n:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(lista\)], "Input",
  CellLabel->"In[93]:="],

Cell[BoxData[
    \(TraditionalForm\`{1, 2, 3}\)], "Output",
  CellLabel->"Out[93]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(i\)], "Input",
  CellLabel->"In[94]:="],

Cell[BoxData[
    \(TraditionalForm\`2000\)], "Output",
  CellLabel->"Out[94]="]
}, Open  ]],

Cell["\<\
Esta es la ventaja del uso de 'modulos' con variables locales. Frecuentemente \
las funciones definidas por el usuario contienen variables locales y tambi\
\[EAcute]n variables no locales\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Control de flujo", "Subtitle"],

Cell["\<\
Ya hemos estudiado algunas funciones que nos permiten controlar el flujo de \
programas y otras funciones. Resumamos a continuaci\[OAcute]n algunas de \
ellas y aprovechemos la situaci\[OAcute]n para definir algunas nuevas \
funciones\
\>", "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Funci\[OAcute]n If:", "Title",
  TextJustification->1],

Cell[TextData[{
  StyleBox["La funci\[OAcute]n",
    FontSlant->"Italic"],
  " ",
  StyleBox["If[condici\[OAcute]n,codigo1,codigo2] ", "Input"],
  StyleBox["ejecuta ",
    FontSlant->"Italic"],
  StyleBox["codigo1", "Input"],
  StyleBox[" si se cumple la condici\[OAcute]n ",
    FontSlant->"Italic"],
  StyleBox["condici\[OAcute]n", "Input"],
  StyleBox[", y ",
    FontSlant->"Italic"],
  StyleBox["codigo2", "Input"],
  StyleBox[" si no se cumple la condici\[OAcute]n.",
    FontSlant->"Italic"]
}], "Text"],

Cell[CellGroupData[{

Cell["Problema 12", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  " ",
  StyleBox["Def\[IAcute]nanse las funciones m\[AAcute]ximo y m\[IAcute]nimo \
de dos elementos:",
    FontSlant->"Italic"],
  "\nSoluci\[OAcute]n."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[{
    \(\(mayor[x_, y_] := 
        If[x \[GreaterEqual] y, x, y];\)\), "\[IndentingNewLine]", 
    \(\(menor[x_, y_] := If[x \[LessEqual] y, x, y];\)\)}], "Input",
  CellLabel->"In[95]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 13", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  " ",
  StyleBox["Def\[IAcute]nase la funci\[OAcute]n delta de Kronecker ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`\[Delta]\_\(i, j\) = 1\)]],
  " si ",
  Cell[BoxData[
      \(TraditionalForm\`i = j\)]],
  ", ",
  Cell[BoxData[
      \(TraditionalForm\`\[Delta]\_\(i, j\) = 0\)]],
  " ",
  StyleBox["para ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`i \[NotEqual] j\)]],
  "."
}], "Text"],

Cell[BoxData[
    \(\(\[Delta]\_\(i_, j_\) := If[i \[Equal] j, 1, 0];\)\)], "Input",
  CellLabel->"In[97]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \({\[Delta]\_\(1, 2\), \[Delta]\_\(1, 1\)}\)], "Input",
  CellLabel->"In[98]:="],

Cell[BoxData[
    \(TraditionalForm\`{0, 1}\)], "Output",
  CellLabel->"Out[98]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 14", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Def\[IAcute]nanse las matrices elementales ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`\(\(3\[Times]3\)\(,\)\)\)]],
  " ",
  StyleBox["es decir, las matrices ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`e\_\(i, j\)\)]],
  " ",
  StyleBox["con ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`i, j \[Element] {1, 2, 3}\)]],
  ", ",
  StyleBox["tales que ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`e\_\(i, j\)\)]],
  " ",
  StyleBox["tiene un uno en el lugar (i,j) y cero en los dem\[AAcute]s.",
    FontSlant->"Italic"]
}], "Text"],

Cell[BoxData[
    \(e\_\(i_, j_\) := 
      Table[\(\[Delta]\_\(i, p\)\) \[Delta]\_\(j, q\), {p, 3}, {q, 
          3}]\)], "Input",
  CellLabel->"In[99]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(Print[e\_\(1, 1\), "\<, \>", e\_\(1, 3\)]\)], "Input",
  CellLabel->"In[100]:="],

Cell[BoxData[
    FormBox[
      InterpretationBox[
        RowBox[{
          RowBox[{"(", "\[NoBreak]", GridBox[{
                {"1", "0", "0"},
                {"0", "0", "0"},
                {"0", "0", "0"}
                },
              RowSpacings->1,
              ColumnSpacings->1,
              ColumnAlignments->{Left}], "\[NoBreak]", ")"}], 
          "\[InvisibleSpace]", "\<\", \"\>", "\[InvisibleSpace]", 
          RowBox[{"(", "\[NoBreak]", GridBox[{
                {"0", "0", "1"},
                {"0", "0", "0"},
                {"0", "0", "0"}
                },
              RowSpacings->1,
              ColumnSpacings->1,
              ColumnAlignments->{Left}], "\[NoBreak]", ")"}]}],
        SequenceForm[ {{1, 0, 0}, {0, 0, 0}, {0, 0, 0}}, ", ", {{0, 0, 1}, {0,
           0, 0}, {0, 0, 0}}],
        Editable->False], TraditionalForm]], "Print",
  CellLabel->"From In[100]:="]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Funci\[OAcute]n Which:", "Title",
  TextJustification->1],

Cell["\<\
Esta orden equivale a varios If en los que cada uno va quedando dentro de los \
anteriores. Es muy \[UAcute]til para definir funciones a trozos (como las \
poligonales y los splines en general). Veamos un ejemplo\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(p[x_] = 
      Which[0 \[LessEqual] x \[LessEqual] 1, x\^3, 
        1 \[LessEqual] x \[LessEqual] 2, 2 - x\^2, 2 < x \[LessEqual] 4, 
        x - 4, True, \(\(-x\) \((x - 4)\)^2\)\/10]\)], "Input",
  CellLabel->"In[120]:="],

Cell[BoxData[
    \(Which[0 \[LessEqual] x \[LessEqual] 1, x\^3, 
      1 \[LessEqual] x \[LessEqual] 2, 2 - x\^2, 2 < x \[LessEqual] 4, x - 4, 
      True, 1\/10\ \((\(-x\))\)\ \((x - 4)\)\^2]\)], "Output",
  CellLabel->"Out[120]="]
}, Open  ]],

Cell[TextData[{
  "Con ella hemos definido una funci\[OAcute]n p(x) en todo R. Cuando demos \
un valor a x el ordenador comprueba si para ese valor es cierta la primera \
condici\[OAcute]n, en cuyo caso asigna a p el valor de x al cubo.  Si no \
verifica la primera condici\[OAcute]n ignora los dos primeros argumentos y \
comprueba si verifica o no el tercero que vuelve a ser de tipo \
l\[OAcute]gico. Caso de ser verdad le asigna el valor que aparece en el \
cuarto argumento, y as\[IAcute] sucesivamente. En el caso anterior hemos \
escrito como argumento s\[EAcute]ptimo True con lo cual si el valor de x en \
curso no ha verificado ninguna de las tres condiciones l\[OAcute]gicas \
anteriores, es decir est\[AAcute] fuera del intervalo [0,4], el ordenador \
entiende que s\[IAcute] verifica la que aparece como argumento \
s\[EAcute]ptimo y por tanto el valor de f fuera del intervalo [0,4] es ",
  Cell[BoxData[
      \(\(\(-x\) \((x - 4)\)^2\)\/10\)]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Plot[p[x], {x, \(-1\), 5}]\)], "Input",
  CellLabel->"In[122]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.18254 0.15873 0.276257 0.130825 [
[.02381 .26376 -6 -9 ]
[.02381 .26376 6 0 ]
[.34127 .26376 -3 -9 ]
[.34127 .26376 3 0 ]
[.5 .26376 -3 -9 ]
[.5 .26376 3 0 ]
[.65873 .26376 -3 -9 ]
[.65873 .26376 3 0 ]
[.81746 .26376 -3 -9 ]
[.81746 .26376 3 0 ]
[.97619 .26376 -3 -9 ]
[.97619 .26376 3 0 ]
[.17004 .01461 -12 -4.5 ]
[.17004 .01461 0 4.5 ]
[.17004 .14543 -12 -4.5 ]
[.17004 .14543 0 4.5 ]
[.17004 .40708 -6 -4.5 ]
[.17004 .40708 0 4.5 ]
[.17004 .53791 -6 -4.5 ]
[.17004 .53791 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 .27626 m
.02381 .28251 L
s
[(-1)] .02381 .26376 0 1 Mshowa
.34127 .27626 m
.34127 .28251 L
s
[(1)] .34127 .26376 0 1 Mshowa
.5 .27626 m
.5 .28251 L
s
[(2)] .5 .26376 0 1 Mshowa
.65873 .27626 m
.65873 .28251 L
s
[(3)] .65873 .26376 0 1 Mshowa
.81746 .27626 m
.81746 .28251 L
s
[(4)] .81746 .26376 0 1 Mshowa
.97619 .27626 m
.97619 .28251 L
s
[(5)] .97619 .26376 0 1 Mshowa
.125 Mabswid
.05556 .27626 m
.05556 .28001 L
s
.0873 .27626 m
.0873 .28001 L
s
.11905 .27626 m
.11905 .28001 L
s
.15079 .27626 m
.15079 .28001 L
s
.21429 .27626 m
.21429 .28001 L
s
.24603 .27626 m
.24603 .28001 L
s
.27778 .27626 m
.27778 .28001 L
s
.30952 .27626 m
.30952 .28001 L
s
.37302 .27626 m
.37302 .28001 L
s
.40476 .27626 m
.40476 .28001 L
s
.43651 .27626 m
.43651 .28001 L
s
.46825 .27626 m
.46825 .28001 L
s
.53175 .27626 m
.53175 .28001 L
s
.56349 .27626 m
.56349 .28001 L
s
.59524 .27626 m
.59524 .28001 L
s
.62698 .27626 m
.62698 .28001 L
s
.69048 .27626 m
.69048 .28001 L
s
.72222 .27626 m
.72222 .28001 L
s
.75397 .27626 m
.75397 .28001 L
s
.78571 .27626 m
.78571 .28001 L
s
.84921 .27626 m
.84921 .28001 L
s
.88095 .27626 m
.88095 .28001 L
s
.9127 .27626 m
.9127 .28001 L
s
.94444 .27626 m
.94444 .28001 L
s
.25 Mabswid
0 .27626 m
1 .27626 L
s
.18254 .01461 m
.18879 .01461 L
s
[(-2)] .17004 .01461 1 0 Mshowa
.18254 .14543 m
.18879 .14543 L
s
[(-1)] .17004 .14543 1 0 Mshowa
.18254 .40708 m
.18879 .40708 L
s
[(1)] .17004 .40708 1 0 Mshowa
.18254 .53791 m
.18879 .53791 L
s
[(2)] .17004 .53791 1 0 Mshowa
.125 Mabswid
.18254 .04077 m
.18629 .04077 L
s
.18254 .06694 m
.18629 .06694 L
s
.18254 .0931 m
.18629 .0931 L
s
.18254 .11927 m
.18629 .11927 L
s
.18254 .1716 m
.18629 .1716 L
s
.18254 .19776 m
.18629 .19776 L
s
.18254 .22393 m
.18629 .22393 L
s
.18254 .25009 m
.18629 .25009 L
s
.18254 .30242 m
.18629 .30242 L
s
.18254 .32859 m
.18629 .32859 L
s
.18254 .35475 m
.18629 .35475 L
s
.18254 .38092 m
.18629 .38092 L
s
.18254 .43325 m
.18629 .43325 L
s
.18254 .45941 m
.18629 .45941 L
s
.18254 .48558 m
.18629 .48558 L
s
.18254 .51174 m
.18629 .51174 L
s
.18254 .56407 m
.18629 .56407 L
s
.18254 .59024 m
.18629 .59024 L
s
.18254 .6164 m
.18629 .6164 L
s
.25 Mabswid
.18254 0 m
.18254 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .60332 m
.06244 .50021 L
.10458 .40586 L
.14415 .33319 L
.16408 .30204 L
.17277 .28954 L
.17735 .28321 L
.17986 .27982 L
.18109 .27818 L
.18221 .27669 L
.18341 .27626 L
.1847 .27626 L
.18537 .27626 L
.1861 .27626 L
.1868 .27626 L
.18744 .27626 L
.18867 .27626 L
.18978 .27627 L
.19106 .27628 L
.19227 .27629 L
.19343 .2763 L
.19465 .27632 L
.19684 .27635 L
.19919 .27641 L
.20178 .27649 L
.20451 .2766 L
.20701 .27674 L
.20969 .27691 L
.21261 .27715 L
.2178 .27769 L
.22272 .27838 L
.23212 .28024 L
.23747 .28168 L
.24249 .28331 L
.2526 .28751 L
.2635 .29362 L
.27307 .30053 L
.28354 .30996 L
.30464 .3358 L
.32589 .37262 L
.33077 .3828 L
.33594 .39433 L
.33806 .39931 L
.33924 .40211 L
.34035 .40481 L
.34166 .40644 L
.34285 .40446 L
.3452 .40052 L
.35484 .38376 L
.36528 .3645 L
Mistroke
.38424 .32665 L
.42249 .23895 L
.46319 .12893 L
.48202 .0722 L
.49192 .0409 L
.49453 .03247 L
.49733 .02338 L
.49868 .01893 L
.49997 .01472 L
.50112 .01553 L
.50237 .01656 L
.5077 .02096 L
.51355 .02577 L
.52382 .03424 L
.544 .05088 L
.58484 .08453 L
.62416 .11694 L
.66196 .14809 L
.70221 .18127 L
.74095 .2132 L
.78215 .24715 L
.80271 .2641 L
.80787 .26835 L
.81273 .27236 L
.81485 .27411 L
.81601 .27506 L
.8171 .27596 L
.81827 .27626 L
.81956 .27625 L
.82065 .27624 L
.82182 .27622 L
.82305 .27619 L
.8242 .27616 L
.82678 .27607 L
.82906 .27597 L
.83148 .27584 L
.83566 .27555 L
.84029 .27514 L
.85044 .27388 L
.85998 .27225 L
.8698 .2701 L
.88014 .26729 L
.89864 .26082 L
.91836 .25175 L
.93672 .24117 L
.97573 .21126 L
.97619 .21084 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[122]:=",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40005X0000gR000`400?l00000o`00003oo`3ooomY
0?ooo`00@@3oool00`000000oooo0?ooo`3o0?ooobD0oooo00110?ooo`030000003oool0oooo0?l0
oooo9@3oool003H0oooo1@0000060?ooo`030000003oool0oooo0?l0oooo9@3oool003H0oooo00D0
00000?ooo`3oool0oooo000000060?ooo`030000003oool0oooo0?l0oooo9@3oool003L0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`3o0?ooobD0oooo000^0?ooo`H00000103oool0
0`000000oooo0?ooo`060?ooo`@00000KP3oool200000;<0oooo000i0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0K`3oool00`000000oooo0000002b0?ooo`00>P3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo06h0oooo00D000000?ooo`3oool0oooo0000002a0?oo
o`00=P3oool01@000000oooo0?ooo`3oool0000000H0oooo00<000000?ooo`3oool0KP3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0:h0oooo000g0?ooo`<000001`3oool00`000000
oooo0?ooo`1^0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0[@3oool00440oooo
00<000000?ooo`3oool0K@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0:`0oooo
00110?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool01P3oool200000:`0oooo0011
0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`2Y
0?ooo`00@@3oool00`000000oooo0?ooo`1/0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool0Z03oool00440oooo0`00001/0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3o
ool0Y`3oool00440oooo00<000000?ooo`3oool0K03oool00`000000oooo0?ooo`0<0?ooo`800000
Y`3oool00440oooo00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo0:@0oooo00110?ooo`030000003oool0oooo06/0oooo00<000000?ooo`3oool0403oool0
0`000000oooo0?ooo`2S0?ooo`00@@3oool00`000000oooo0?ooo`1[0?ooo`030000003oool0oooo
0140oooo00<000000?ooo`3oool0XP3oool00440oooo00<000000?ooo`3oool0J`3oool00`000000
oooo0?ooo`0B0?ooo`030000003oool0oooo0:40oooo00110?ooo`030000003oool0oooo06X0oooo
00<000000?ooo`3oool0503oool00`000000oooo0?ooo`2P0?ooo`00@@3oool00`000000oooo0?oo
o`1Z0?ooo`030000003oool0oooo01D0oooo0P00002P0?ooo`00@@3oool00`000000oooo0?ooo`1Z
0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0W@3oool00440oooo0`00001Z0?oo
o`030000003oool0oooo01P0oooo00<000000?ooo`3oool0W03oool00440oooo00<000000?ooo`3o
ool0J@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo09/0oooo00110?ooo`030000
003oool0oooo06T0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`2J0?ooo`00@@3o
ool00`000000oooo0?ooo`1Y0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0V@3o
ool00440oooo00<000000?ooo`3oool0J03oool00`000000oooo0?ooo`0N0?ooo`800000V@3oool0
0440oooo00<000000?ooo`3oool0J03oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo
09H0oooo00110?ooo`030000003oool0oooo06P0oooo00<000000?ooo`3oool08@3oool00`000000
oooo0?ooo`2E0?ooo`00@@3oool00`000000oooo0?ooo`1W0?ooo`030000003oool0oooo02<0oooo
00<000000?ooo`3oool0U03oool00440oooo00<000000?ooo`3oool0I`3oool00`000000oooo0?oo
o`0T0?ooo`030000003oool0oooo09<0oooo00110?ooo`030000003oool0oooo06L0oooo00<00000
0?ooo`3oool09@3oool2000009<0oooo00110?ooo`<00000IP3oool00`000000oooo0?ooo`0X0?oo
o`030000003oool0oooo0900oooo00110?ooo`030000003oool0oooo06H0oooo00<000000?ooo`3o
ool0:@3oool00`000000oooo0?ooo`2?0?ooo`00@@3oool00`000000oooo0?ooo`1V0?ooo`030000
003oool0oooo02X0oooo00<000000?ooo`3oool0SP3oool00440oooo00<000000?ooo`3oool0I@3o
ool00`000000oooo0?ooo`0/0?ooo`800000SP3oool00440oooo00<000000?ooo`3oool0I@3oool0
0`000000oooo0?ooo`0^0?ooo`030000003oool0oooo08/0oooo00110?ooo`030000003oool0oooo
06D0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`2:0?ooo`00@@3oool00`000000
oooo0?ooo`1T0?ooo`030000003oool0oooo0340oooo0P00002:0?ooo`00@@3oool00`000000oooo
0?ooo`1T0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0Q`3oool00440oooo00<0
00000?ooo`3oool0I03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo08H0oooo0011
0?ooo`<00000H`3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo08D0oooo00110?oo
o`030000003oool0oooo06<0oooo00<000000?ooo`3oool0=`3oool2000008D0oooo00110?ooo`03
0000003oool0oooo06<0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`220?ooo`00
@@3oool00`000000oooo0?ooo`1R0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0
P@3oool00440oooo00<000000?ooo`3oool0HP3oool00`000000oooo0?ooo`0l0?ooo`030000003o
ool0oooo0800oooo00110?ooo`030000003oool0oooo0680oooo00<000000?ooo`3oool0?@3oool2
00000800oooo00110?ooo`030000003oool0oooo0640oooo00<000000?ooo`3oool0@03oool00`00
0000oooo0?ooo`1m0?ooo`00=`3oool5000000D0oooo00<000000?ooo`3oool0H@3oool00`000000
oooo0?ooo`110?ooo`030000003oool0oooo07`0oooo000i0?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0H03oool00`000000oooo0?ooo`130?ooo`800000O03oool003T0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`1P0?ooo`030000003oool0oooo04D0oooo00<0
00000?ooo`3oool0N@3oool002h0oooo1P0000050?ooo`030000003oool0oooo00D0oooo1000001O
0?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool0N03oool003T0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`1O0?ooo`030000003oool0oooo04P0oooo00<000000?oo
o`3oool0M`3oool003T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1O0?ooo`03
0000003oool0oooo04T0oooo00<000000?ooo`3oool0MP3oool003L0oooo0`0000070?ooo`030000
003oool0oooo05l0oooo00<000000?ooo`3oool0BP3oool2000007H0oooo000i0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0GP3oool00`000000oooo0?ooo`1=0?ooo`030000003o
ool0oooo07<0oooo00110?ooo`030000003oool0oooo05h0oooo00<000000?ooo`3oool0CP3oool0
0`000000oooo0?ooo`1b0?ooo`00@@3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo
0500oooo00<000000?ooo`3oool0L@3oool00440oooo00<000000?ooo`3oool0G@3oool00`000000
oooo0?ooo`1A0?ooo`030000003oool0oooo0700oooo00110?ooo`030000003oool0oooo05d0oooo
00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`1_0?ooo`00@@3oool3000005`0oooo00<0
00000?ooo`3oool0E03oool2000006l0oooo00110?ooo`030000003oool0oooo05`0oooo00<00000
0?ooo`3oool0EP3oool00`000000oooo0?ooo`1/0?ooo`00@@3oool00`000000oooo0?ooo`1K0?oo
o`030000003oool0oooo05P0oooo00<000000?ooo`3oool0J`3oool00440oooo00<000000?ooo`3o
ool0F`3oool00`000000oooo0?ooo`1I0?ooo`030000003oool0oooo06X0oooo00110?ooo`030000
003oool0oooo05/0oooo00<000000?ooo`3oool0FP3oool00`000000oooo0?ooo`1Y0?ooo`00@@3o
ool00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo05`0oooo00<000000?ooo`3oool0J03o
ool00440oooo00<000000?ooo`3oool0FP3oool00`000000oooo0?ooo`1M0?ooo`800000J03oool0
0440oooo00<000000?ooo`3oool0FP3oool00`000000oooo0?ooo`1O0?ooo`030000003oool0oooo
06D0oooo00110?ooo`030000003oool0oooo05T0oooo00<000000?ooo`3oool0H@3oool00`000000
oooo0?ooo`1T0?ooo`00@@3oool3000005T0oooo00<000000?ooo`3oool0HP3oool00`000000oooo
0?ooo`1S0?ooo`00@@3oool00`000000oooo0?ooo`1H0?ooo`030000003oool0oooo06@0oooo00<0
00000?ooo`3oool0HP3oool00440oooo00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`1U
0?ooo`030000003oool0oooo0640oooo00110?ooo`030000003oool0oooo05P0oooo00<000000?oo
o`3oool0IP3oool200000640oooo00110?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3o
ool0J@3oool00`000000oooo0?ooo`1N0?ooo`00@@3oool00`000000oooo0?ooo`1G0?ooo`030000
003oool0oooo06X0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`080?ooo`00@@3o
ool00`000000oooo0?ooo`1F0?ooo`030000003oool0oooo06`0oooo00<000000?ooo`3oool0D03o
ool00`000000oooo0?ooo`090?ooo`00@@3oool00`000000oooo0?ooo`1F0?ooo`030000003oool0
oooo06d0oooo00<000000?ooo`3oool0C@3oool2000000`0oooo00110?ooo`030000003oool0oooo
05H0oooo00<000000?ooo`3oool0KP3oool2000004`0oooo00<000000?ooo`3oool0303oool00440
oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo04P0
oooo00<000000?ooo`3oool03@3oool00440oooo0`00001E0?ooo`030000003oool0oooo0780oooo
00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`0>0?ooo`00@@3oool00`000000oooo0?oo
o`1E0?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3oool0@`3oool200000140oooo0011
0?ooo`030000003oool0oooo05@0oooo00<000000?ooo`3oool0M@3oool200000480oooo00<00000
0?ooo`3oool04@3oool000/0oooo1@00000a0?ooo`030000003oool0oooo03@0oooo1@00000K0?oo
o`030000003oool0oooo01D0oooo1@00000e0?ooo`<000009@3oool00`000000oooo0?ooo`0@0?oo
o`<00000:`3oool00`000000oooo0?ooo`050?ooo`@000002@3oool000d0oooo00<000000?ooo`3o
ool0<@3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3o
ool05P3oool01@000000oooo0?ooo`3oool0000003@0oooo00D000000?ooo`3oool0oooo0000000U
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0:03oool2000000L0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`003@3oool00`000000oooo0?ooo`0a0?oo
o`030000003oool0oooo03H0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0G0?oo
o`030000003oool0oooo03T0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo02L0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`060?oo
o`000P3oool6000000D0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0f0?ooo`03
0000003oool0oooo01X0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0h0?ooo`03
0000003oool0oooo02D0oooo0P00000;0?ooo`H000009`3oool00`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo00H0oooo000=0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0
=P3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0
=@3oool2000002X0oooo00<000000?ooo`3oool02@3oool010000000oooo0?ooo`00000V0?ooo`80
0000303oool4000000T0oooo000=0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0
=P3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0
=P3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool0
00009@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00X0oooo000;0?ooo`<00000
<`3oool3000003@0oooo0`00000J0?ooo`030000003oool0oooo01P0oooo00D000000?ooo`3oool0
oooo0000000d0?ooo`050000003oool0oooo0?ooo`000000:`3oool00`000000oooo0?ooo`080?oo
o`030000003oool0000002<0oooo0P00000?0?ooo`030000003oool0oooo00X0oooo000=0?ooo`03
0000003oool0oooo0340oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0H0?ooo`03
0000003oool0oooo01T0oooo0`00000f0?ooo`<00000;@3oool00`000000oooo0?ooo`080?ooo`80
00008@3oool200000140oooo1@0000080?ooo`00@@3oool00`000000oooo0?ooo`1@0?ooo`030000
003oool0oooo08@0oooo0P00000Y0?ooo`800000803oool00440oooo00<000000?ooo`3oool0D03o
ool00`000000oooo0?ooo`260?ooo`030000003oool0oooo02@0oooo0P00000R0?ooo`00@@3oool0
0`000000oooo0?ooo`1@0?ooo`030000003oool0oooo08L0oooo00<000000?ooo`3oool0803oool3
000002@0oooo00110?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3oool0R@3oool00`00
0000oooo0?ooo`0K0?ooo`@000009`3oool00440oooo00<000000?ooo`3oool0C`3oool00`000000
oooo0?ooo`2:0?ooo`800000603oool3000002/0oooo00110?ooo`030000003oool0oooo04h0oooo
00<000000?ooo`3oool0S@3oool00`000000oooo0?ooo`0A0?ooo`@00000;P3oool00440oooo00<0
00000?ooo`3oool0CP3oool00`000000oooo0?ooo`2>0?ooo`030000003oool0oooo00T0oooo1`00
000b0?ooo`00o`00001X00000040oooo00090?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`070?ooo`L000001P3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool000T0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool00P3oool400000080oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00P0oooo00090?ooo`030000003oool0oooo03@0oooo0P00000D0?ooo`<00000
8@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0
=P3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0
203oool003l0oooo00<000000?ooo`0000005`3oool3000003@0oooo00<000000?ooo`3oool0e@3o
ool003h0oooo00@000000?ooo`3oool000006P3oool00`000000oooo0?ooo`0`0?ooo`030000003o
ool0oooo0=H0oooo000m0?ooo`050000003oool0oooo0?ooo`0000006`3oool00`000000oooo0?oo
o`0_0?ooo`030000003oool0oooo0=H0oooo000m0?ooo`050000003oool0oooo0?ooo`000000703o
ool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo0=H0oooo000l0?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool06`3oool2000002d0oooo00<000000?ooo`3oool0e`3oool0
03`0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0M0?ooo`800000:`3oool00`00
0000oooo0?ooo`3G0?ooo`00>`3oool00`000000oooo0?ooo`030?ooo`<000007`3oool00`000000
oooo0?ooo`0W0?ooo`030000003oool0oooo0=P0oooo000j0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0803oool2000002L0oooo00<000000?ooo`3oool0f03oool003X0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo02@0oooo00<0
00000?ooo`3oool0f03oool003T0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0S
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0f@3oool003P0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo0280oooo00<000000?oo
o`3oool0f@3oool003P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0T0?ooo`03
0000003oool0oooo0200oooo00<000000?ooo`3oool0fP3oool003L0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0
fP3oool003L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0U0?ooo`030000003o
ool0oooo01h0oooo00<000000?ooo`3oool0f`3oool003H0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`0V0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0f`3oool0
03D0oooo00<000000?ooo`3oool02@3oool3000002L0oooo00<000000?ooo`3oool06`3oool00`00
0000oooo0?ooo`3L0?ooo`00=@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo02P0
oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`3L0?ooo`00=03oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool06@3oool00`000000oooo
0?ooo`3M0?ooo`00<`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo02T0oooo00<0
00000?ooo`3oool0603oool00`000000oooo0?ooo`3M0?ooo`00<`3oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`3N
0?ooo`00<P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo02X0oooo00<000000?oo
o`3oool05P3oool00`000000oooo0?ooo`3N0?ooo`00<P3oool00`000000oooo0?ooo`0<0?ooo`03
0000003oool0oooo02/0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`3O0?ooo`00
<@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`3O0?ooo`00<@3oool00`000000oooo0?ooo`0=0?ooo`030000003o
ool0oooo02`0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`3P0?ooo`00<03oool0
0`000000oooo0?ooo`0>0?ooo`<00000;@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0
oooo0>00oooo000`0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0;@3oool00`00
0000oooo0?ooo`0@0?ooo`030000003oool0oooo0>40oooo000_0?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0>40
oooo000_0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0;`3oool00`000000oooo
0?ooo`0=0?ooo`030000003oool0oooo0>80oooo000^0?ooo`030000003oool0oooo0100oooo00<0
00000?ooo`3oool0;`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0>80oooo000^
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo0><0oooo000]0?ooo`030000003oool0oooo0140oooo00<000000?oo
o`3oool0<03oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0><0oooo000/0?ooo`03
0000003oool0oooo0180oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`090?ooo`03
0000003oool0oooo0>@0oooo000/0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0
<@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0>@0oooo000[0?ooo`030000003o
ool0oooo01<0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo0>D0oooo000[0?ooo`030000003oool0oooo01<0oooo0`00000b0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool0i@3oool002X0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0b0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0iP3oool002X0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0i`3oool002T0oooo00<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`0c0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0i`3oool002T0oooo00<0
00000?ooo`3oool05@3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool0j03oool002P0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0d
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0j03oool002P0oooo00<000000?oo
o`3oool0303oool5000000D0oooo00<000000?ooo`3oool0=@3oool010000000oooo0?ooo`00003[
0?ooo`009`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0=P3oool00`000000oooo0000003[0?ooo`009`3oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0=P3oool200000>`0oooo000V0?ooo`030000
003oool0oooo0100oooo00<000000?ooo`3oool01@3oool4000003D0oooo00<000000?ooo`3oool0
j`3oool002H0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo0?l0oooo9@3oool002D0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo0?l0oooo9@3oool002D0oooo00<000000?ooo`3oool03`3oool30000
00L0oooo00<000000?ooo`3oool0o`3ooolU0?ooo`00903oool00`000000oooo0?ooo`0B0?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0o`3ooolU0?ooo`00903oool00`000000oooo
0?ooo`0J0?ooo`030000003oool0oooo0?l0oooo9@3oool002<0oooo00<000000?ooo`3oool06`3o
ool00`000000oooo0?ooo`3o0?ooobD0oooo000S0?ooo`030000003oool0oooo01/0oooo00<00000
0?ooo`3oool0o`3ooolU0?ooo`008P3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo
0?l0oooo9@3oool00280oooo00<000000?ooo`3oool0703oool300000?l0oooo9@3oool00240oooo
00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`3o0?ooobD0oooo000Q0?ooo`030000003o
ool0oooo01d0oooo00<000000?ooo`3oool0o`3ooolU0?ooo`008@3oool00`000000oooo0?ooo`0M
0?ooo`030000003oool0oooo0?l0oooo9@3oool00200oooo00<000000?ooo`3oool07P3oool00`00
0000oooo0?ooo`3o0?ooobD0oooo000P0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3o
ool0o`3ooolU0?ooo`007`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0?l0oooo
9@3oool001l0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`3o0?ooobD0oooo000N
0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0o`3ooolU0?ooo`007P3oool00`00
0000oooo0?ooo`0P0?ooo`030000003oool0oooo0?l0oooo9@3oool001d0oooo00<000000?ooo`3o
ool08@3oool300000?l0oooo9@3oool001d0oooo00<000000?ooo`3oool08@3oool00`000000oooo
0?ooo`3o0?ooobD0oooo000L0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0o`3o
oolU0?ooo`00703oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0?l0oooo9@3oool0
01`0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`3o0?ooobD0oooo000K0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool0o`3ooolU0?ooo`006`3oool00`000000oooo
0?ooo`0S0?ooo`030000003oool0oooo0?l0oooo9@3oool001X0oooo00<000000?ooo`3oool0903o
ool00`000000oooo0?ooo`3o0?ooobD0oooo000J0?ooo`030000003oool0oooo02@0oooo00<00000
0?ooo`3oool0o`3ooolU0?ooo`006@3oool00`000000oooo0?ooo`0U0?ooo`<00000o`3ooolU0?oo
o`006@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo0?l0oooo9@3oool001P0oooo
00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`3o0?ooobD0oooo000H0?ooo`030000003o
ool0oooo02H0oooo00<000000?ooo`3oool0o`3ooolU0?ooo`005`3oool00`000000oooo0?ooo`0W
0?ooo`030000003oool0oooo0?l0oooo9@3oool001L0oooo00<000000?ooo`3oool09`3oool00`00
0000oooo0?ooo`3o0?ooobD0oooo000G0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3o
ool0o`3ooolU0?ooo`005P3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo0?l0oooo
9@3oool001H0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`3o0?ooobD0oooo000E
0?ooo`030000003oool0oooo02T0oooo0`00003o0?ooobD0oooo000E0?ooo`030000003oool0oooo
02T0oooo00<000000?ooo`3oool0o`3ooolU0?ooo`005@3oool00`000000oooo0?ooo`0Y0?ooo`03
0000003oool0oooo0?l0oooo9@3oool001@0oooo00<000000?ooo`3oool0:P3oool00`000000oooo
0?ooo`3o0?ooobD0oooo000D0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0o`3o
oolU0?ooo`00503oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0?l0oooo9@3oool0
01<0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`3o0?ooobD0oooo000C0?ooo`03
0000003oool0oooo0200oooo1@0000060?ooo`030000003oool0oooo0?l0oooo9@3oool00180oooo
00<000000?ooo`3oool08@3oool01@000000oooo0?ooo`3oool0000000H0oooo00<000000?ooo`3o
ool0o`3ooolU0?ooo`004P3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool0o`3ooolU0?ooo`004P3oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo00H0oooo1000003o0?ooob@0oooo000A0?ooo`030000003oool0oooo02D0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`3o0?ooobD0oooo000A0?ooo`030000003oool0oooo
02H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?ooobD0oooo000A0?ooo`03
0000003oool0oooo0280oooo00D000000?ooo`3oool0oooo000000060?ooo`030000003oool0oooo
0?l0oooo9@3oool00100oooo00<000000?ooo`3oool0903oool3000000L0oooo00<000000?ooo`3o
ool0o`3ooolU0?ooo`00403oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo0?l0oooo
9@3oool000l0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`3o0?ooobD0oooo000?
0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0o`3ooolU0?ooo`003`3oool00`00
0000oooo0?ooo`0_0?ooo`030000003oool0oooo0?l0oooo9@3oool000h0oooo00<000000?ooo`3o
ool0<03oool300000?l0oooo9@3oool000h0oooo00<000000?ooo`3oool0<03oool00`000000oooo
0?ooo`3o0?ooobD0oooo000>0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0o`3o
oolU0?ooo`003@3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo0?l0oooo9@3oool0
00d0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`3o0?ooobD0oooo000<0?ooo`03
0000003oool0oooo0380oooo00<000000?ooo`3oool0o`3ooolU0?ooo`00303oool00`000000oooo
0?ooo`0b0?ooo`030000003oool0oooo0?l0oooo9@3oool000`0oooo00<000000?ooo`3oool0<P3o
ool00`000000oooo0?ooo`3o0?ooobD0oooo000;0?ooo`030000003oool0oooo03<0oooo00<00000
0?ooo`3oool0o`3ooolU0?ooo`002`3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo
0?l0oooo9@3oool000/0oooo00<000000?ooo`3oool0<`3oool300000?l0oooo9@3oool000X0oooo
00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`3o0?ooobD0oooo000:0?ooo`030000003o
ool0oooo03@0oooo00<000000?ooo`3oool0o`3ooolU0?ooo`002@3oool00`000000oooo0?ooo`0e
0?ooo`030000003oool0oooo0?l0oooo9@3oool000T0oooo00<000000?ooo`3oool0=@3oool00`00
0000oooo0?ooo`3o0?ooobD0oooo00110?ooo`030000003oool0oooo0?l0oooo9@3oool00440oooo
00<000000?ooo`3oool0o`3ooolU0?ooo`00@@3oool00`000000oooo0?ooo`3o0?ooobD0oooo0011
0?ooo`030000003oool0oooo0?l0oooo9@3oool00440oooo0`00003o0?ooobD0oooo0000\
\>"],
  ImageRangeCache->{{{0, 359}, {221.375, 0}} -> {-1.16285, -2.12026, \
0.0220254, 0.0267234}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[122]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Recursividad:", "Title",
  TextAlignment->Left,
  TextJustification->1],

Cell["\<\
Ya hemos utilizado la recursividad en problemas anteriores pero vamos a \
insistir en ella para\
\>", "Text"],

Cell[CellGroupData[{

Cell["Problema 15", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Construir la funci\[OAcute]n cardinal de una lista. Para ello se \
sugiere utilizar la funci\[OAcute]n ",
    FontSlant->"Italic"],
  StyleBox["Delete[lista,i]", "Input",
    FontFamily->"Americana BT"],
  StyleBox["que borra el i-\[EAcute]simo elemento de la lista",
    FontFamily->"Americana BT",
    FontSlant->"Italic"],
  StyleBox[".",
    FontFamily->"Americana BT",
    FontSize->9,
    FontSlant->"Italic"]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(card[{}] := 0;\)\), "\[IndentingNewLine]", 
    \(card[x_] := 1 + card[Delete[x, 1]]\), "\[IndentingNewLine]", 
    \(\(lista = {1, a, 0, 3};\)\), "\[IndentingNewLine]", 
    \(card[lista]\)}], "Input",
  CellLabel->"In[101]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`4\)], "Output",
  CellLabel->"Out[104]="]
}, Open  ]],

Cell["\<\
Sin embargo la recursividad implica algunos problemas de memoria.  Si por \
ejemplo queremos determinar el cardinal del siguiente conjunto no se nos \
plantear\[AAcute]
ning\[UAcute]n problema:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(TraditionalForm\`\(t = 
        Table[i\^2, {i, 254}];\)\), "\[IndentingNewLine]", 
    \(TraditionalForm\`card[t]\)}], "Input",
  CellLabel->"In[105]:="],

Cell[BoxData[
    \(TraditionalForm\`254\)], "Output",
  CellLabel->"Out[106]="]
}, Open  ]],

Cell[TextData[{
  "pero si nos pasamos un poco habremos agotado la \"profundidad de recursion\
\" de ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(TraditionalForm\`\(t = 
        Table[i\^2, {i, 255}];\)\), "\[IndentingNewLine]", 
    \(TraditionalForm\`card[t]\)}], "Input",
  CellLabel->"In[107]:="],

Cell[BoxData[
    FormBox[
      RowBox[{\($RecursionLimit::"reclim"\), \(\(:\)\(\ \)\), "\<\"Recursion \
depth of \\!\\(TraditionalForm\\`256\\) exceeded. \\!\\(\\*ButtonBox[\\\"More\
\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}], 
      TraditionalForm]], "Message",
  CellLabel->"From In[107]:="],

Cell[BoxData[
    FormBox[
      RowBox[{\($RecursionLimit::"reclim"\), \(\(:\)\(\ \)\), "\<\"Recursion \
depth of \\!\\(TraditionalForm\\`256\\) exceeded. \\!\\(\\*ButtonBox[\\\"More\
\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}], 
      TraditionalForm]], "Message",
  CellLabel->"From In[107]:="],

Cell[BoxData[
    \(TraditionalForm\`Hold[Hold[card(Delete[{65025}, 1])] + 1] + 
      254\)], "Output",
  CellLabel->"Out[108]="]
}, Open  ]],

Cell["\<\
Esto quiere decir que si la funci\[OAcute]n se llama a si misma mas de 256 \
veces obtendremos un mensaje de error y el c\[AAcute]lculo no se efectuar\
\[AAcute]. Para paliar el problema podemos redefinir el valor de la variables \
$RecursionLimit. El valor predeterminado de dicha variable es 256:
\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TraditionalForm\`$RecursionLimit\)], "Input",
  CellLabel->"In[109]:="],

Cell[BoxData[
    \(TraditionalForm\`256\)], "Output",
  CellLabel->"Out[109]="]
}, Open  ]],

Cell["Pero podemos hacer:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(TraditionalForm\`\($RecursionLimit = 500;\)\), "\[IndentingNewLine]", 
    \(TraditionalForm\`\(t = Table[i\^2, {i, 498}];\)\), "\n", 
    \(TraditionalForm\`card[t]\)}], "Input",
  CellLabel->"In[110]:="],

Cell[BoxData[
    \(TraditionalForm\`498\)], "Output",
  CellLabel->"Out[112]="]
}, Open  ]],

Cell["Tambien podemos hacer:", "Text"],

Cell[BoxData[
    \(TraditionalForm\`\($RecursionLimit = \[Infinity];\)\)], "Input",
  CellLabel->"In[113]:="],

Cell["\<\
Y estudiar las reacciones de la maquina al evaluar funciones recursivas.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 16", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  " ",
  StyleBox["Constr\[UAcute]yase una funci\[OAcute]n que determine el m\
\[AAcute]ximo valor de una lista dada.",
    FontSlant->"Italic"]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[{
    \(\(primero[x_] := x[\([1]\)];\)\), "\[IndentingNewLine]", 
    \(\(resto[x_] := Delete[x, 1];\)\), "\[IndentingNewLine]", 
    \(maximovalor[x_] := 
      If[card[x] \[Equal] 1, primero[x], 
        mayor[primero[x], maximovalor[resto[x]]]]\)}], "Input",
  CellLabel->"In[114]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(l = {0, \(-3\), 2, \(-2\), 4};\)\), "\[IndentingNewLine]", 
    \(maximovalor[l]\)}], "Input",
  CellLabel->"In[117]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`4\)], "Output",
  CellLabel->"Out[118]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(l = Table[i, {i, 12}]; maximovalor[l]\)], "Input",
  CellLabel->"In[119]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`12\)], "Output",
  CellLabel->"Out[119]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 17", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  " ",
  StyleBox["Teniendo en cuenta que MCD(a,b)=MCD(a-b,b) def\[IAcute]nase la \
funci\[OAcute]n MCD (m\[AAcute]ximo com\[UAcute]n divisor).",
    FontSlant->"Italic"]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["(Ejemplo: MCD(8,6)=MCD(2,6)=MCD(4,2)=MCD(2,2)=2).", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(\(\(\[IndentingNewLine]\)\(mcd[x_, y_] := 
      If[x \[Equal] y, x, 
        mcd[Max[x, y] - Min[x, y], Min[x, y]]]\)\)\)], "Input",
  CellLabel->"In[120]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(mcd[124, 36]\)], "Input",
  CellLabel->"In[121]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`4\)], "Output",
  CellLabel->"Out[121]="]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Bucle For:", "Title",
  TextJustification->1],

Cell[TextData[{
  StyleBox["El bucle ",
    FontSlant->"Italic"],
  StyleBox["For[comienzo, test, incremento, c\[OAcute]digo]", "Input"],
  StyleBox[", ", "Input",
    FontSlant->"Italic"],
  StyleBox["se utiliza como puede verse en los siguientes ejemplos:",
    FontSlant->"Italic"]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell["Problema 18", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  " ",
  StyleBox["Obtener la suma de los cuadrados de los primeros 100 \
n\[UAcute]meros naturales:",
    FontSlant->"Italic"]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(s = 0;\)\), "\[IndentingNewLine]", 
    \(For[i = 1, i \[LessEqual] 100, i = i + 1, s = s + i\^2]; s\)}], "Input",\

  CellLabel->"In[122]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`338350\)], "Output",
  CellLabel->"Out[123]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Sum]\_\(i = 1\)\%100 i\^2\)], "Input",
  CellLabel->"In[124]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`338350\)], "Output",
  CellLabel->"Out[124]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 19", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Def\[IAcute]nase la funci\[OAcute]n factorial usando un bucle  ",
    FontSlant->"Italic"],
  StyleBox["For", "Input"],
  StyleBox[" :",
    FontSlant->"Italic"]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(fac[n_] := \((p = 1; For[i = 1, i \[LessEqual] n, i = i + 1, p = p*i]; 
        p)\)\)], "Input",
  CellLabel->"In[125]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[fac[i], {i, 6}]\)], "Input",
  CellLabel->"In[126]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`{1, 2, 6, 24, 120, 720}\)], "Output",
  CellLabel->"Out[126]="]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Bucle While:", "Title",
  TextJustification->1],

Cell[CellGroupData[{

Cell["Problema 20", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Determ\[IAcute]nese una lista con los primeros 10 n\[UAcute]meros \
primos de la sucesi\[OAcute]n dada por: ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`\(\(x\_1 = 2\)\(,\)\(x\_2 = 1\)\(,\)\(\ \)\)\)]],
  Cell[BoxData[
      \(TraditionalForm\`x\_n = x\_\(n - 1\) + \(\(x\_\(n - 2\)\)\(.\)\)\)]]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[{
    \(x\_1 = 2; x\_2 = 1;\), "\[IndentingNewLine]", 
    \(x\_n_ := x\_\(n - 1\) + x\_\(n - 2\)\)}], "Input",
  CellLabel->"In[127]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[{
    \(lista = {}; i = 1;\), "\[IndentingNewLine]", 
    \(While[Length[lista] < 10, 
      If[PrimeQ[x\_i], lista = Append[lista, x\_i]]; i = i + 1]; 
    lista\)}], "Input",
  CellLabel->"In[129]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`{2, 3, 7, 11, 29, 47, 199, 521, 2207, 
      3571}\)], "Output",
  CellLabel->"Out[130]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 21", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["En el grupo aditivo de los enteros modulo 1350, \
determ\[IAcute]nese el orden del elemento 28. Recordemos que el orden de un \
elemento x en un grupo G con notatici\[OAcute]n aditiva es el menor natural ",
    
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`n \[NotEqual] 0\)]],
  "tal que ",
  Cell[BoxData[
      \(TraditionalForm\`\(n\_\ \) x = 0\)]],
  ".",
  StyleBox["   ",
    FontSlant->"Italic"]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(n = 1; While[Mod[28\ n, 1350] \[NotEqual] 0, n = n + 1]; n\)], "Input",
  CellLabel->"In[131]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`675\)], "Output",
  CellLabel->"Out[131]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 22", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[StyleBox["Determ\[IAcute]nese la suma de todos los \
n\[UAcute]meros capicuos menores que 1000:",
  FontSlant->"Italic"]], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Soluci\[OAcute]n. \nEn primer lugar vamos a definir la funci\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`primerdigito[x_]\)], "Input"],
  " que nos devolver\[AAcute] la cifra de las unidades del natural ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " . Despu\[EAcute]s la funci\[OAcute]n ",
  StyleBox["o[x_]", "Input"],
  "nos da el n\[UAcute]mero formado por los restantes d\[IAcute]gitos. "
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[{
    \(\(primerdigito[x_] := Mod[x, 10];\)\), "\[IndentingNewLine]", 
    \(\(o[x_] := IntegerPart[N[x/10]];\)\)}], "Input",
  CellLabel->"In[132]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell["Por ejemplo:", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(primerdigito[123]\)], "Input",
  CellLabel->"In[134]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`3\)], "Output",
  CellLabel->"Out[134]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(o[123]\)], "Input",
  CellLabel->"In[135]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`12\)], "Output",
  CellLabel->"Out[135]="]
}, Open  ]],

Cell[TextData[{
  "A continuaci\[OAcute]n la funci\[OAcute]n ",
  StyleBox["cifras[x_]", "Input"],
  "nos devolver\[AAcute] el conjunto de los d\[IAcute]gitos que forma el \
natural ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  ":"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(cifras[x_] := 
      If[x < 10, {x}, Join[cifras[o[x]], {primerdigito[x]}]]\)], "Input",
  CellLabel->"In[136]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(cifras[2156]\)], "Input",
  CellLabel->"In[137]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`{2, 1, 5, 6}\)], "Output",
  CellLabel->"Out[137]="]
}, Open  ]],

Cell[TextData[{
  "Por \[UAcute]ltimo la funci\[OAcute]n ",
  StyleBox["sim[x_]", "Input"],
  " asigna a cada ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " el n\[UAcute]mero cuyos d\[IAcute]gitos son los mismos que los de ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " en orden sim\[EAcute]trico. De este modo, un n\[UAcute]mero ser\[AAcute] \
capicuo si y s\[OAcute]lo si ",
  Cell[BoxData[
      \(TraditionalForm\`x = sim[x]\)]],
  "."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(sim[
        x_] := \[Sum]\_\(i = 1\)\%\(Length[cifras[x]]\)\(cifras[
              x]\)[\([i]\)]\ 10\^\(i - 1\)\)], "Input",
  CellLabel->"In[138]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(sim[1982]\)], "Input",
  CellLabel->"In[139]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`2891\)], "Output",
  CellLabel->"Out[139]="]
}, Open  ]],

Cell[BoxData[
    \(capicuo[x_] := x \[Equal] sim[x]\)], "Input",
  CellLabel->"In[140]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[{
    \(s = 0; i = 1;\), "\[IndentingNewLine]", 
    \(While[i \[LessEqual] 1000, If[capicuo[i], s = s + i]; i = i + 1]; 
    s\)}], "Input",
  CellLabel->"In[141]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`50040\)], "Output",
  CellLabel->"Out[142]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(lista = {}; i = 1;\), "\[IndentingNewLine]", 
    \(While[i \[LessEqual] 1000, If[capicuo[i], lista = Append[lista, i]]; 
      i = i + 1]; lista\)}], "Input",
  CellLabel->"In[143]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`{1, 2, 3, 4, 5, 6, 7, 8, 9, 11, 22, 33, 44, 55, 66, 
      77, 88, 99, 101, 111, 121, 131, 141, 151, 161, 171, 181, 191, 202, 212, 
      222, 232, 242, 252, 262, 272, 282, 292, 303, 313, 323, 333, 343, 353, 
      363, 373, 383, 393, 404, 414, 424, 434, 444, 454, 464, 474, 484, 494, 
      505, 515, 525, 535, 545, 555, 565, 575, 585, 595, 606, 616, 626, 636, 
      646, 656, 666, 676, 686, 696, 707, 717, 727, 737, 747, 757, 767, 777, 
      787, 797, 808, 818, 828, 838, 848, 858, 868, 878, 888, 898, 909, 919, 
      929, 939, 949, 959, 969, 979, 989, 999}\)], "Output",
  CellLabel->"Out[144]="]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Bucle Table:", "Title",
  TextJustification->1],

Cell["\<\
Nos permite generar un vector, una matriz o tensores m\[AAcute]s complejos, \
definiendo su t\[EAcute]rmino general mediante una funci\[OAcute]n. Ya la \
hemos utilizado con anterioridad pero ilustremos su uso con algunos ejemplos \
m\[AAcute]s.\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell["Problema 23", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[StyleBox["Construir la base can\[OAcute]nica en un espacio \
vectorial de dimensi\[OAcute]n 7.",
  FontSlant->"Italic"]], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Soluci\[OAcute]n. Para definir el ",
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  "-\[EAcute]simo vector de la base can\[OAcute]nica podemos hacer"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(e\_i_ := Table[\[Delta]\_\(j, i\), {j, 7}]\)], "Input",
  CellLabel->"In[145]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell["Ahora podemos ver el resultado de nuestra definici\[OAcute]n:", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(e\_3\)], "Input",
  CellLabel->"In[146]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`{0, 0, 1, 0, 0, 0, 0}\)], "Output",
  CellLabel->"Out[146]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 24", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Constr\[UAcute]yase la matriz ",
  Cell[BoxData[
      \(TraditionalForm\`\(\((a\_\(i, j\))\)\(\ \ \)\)\)]],
  "de orden 4 tal que ",
  Cell[BoxData[
      \(TraditionalForm\`a\_\(i, j\) = x\^i - j\^2\)]],
  ". "
}], "Text",
  TextAlignment->Left,
  TextJustification->1,
  FontSlant->"Italic"],

Cell[TextData[{
  "Soluci\[OAcute]n. Usando de nuevo la func\[IAcute]\[OAcute]n ",
  StyleBox["Table", "Input"],
  ", podemos hacer"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[x\^i - j\^2, {i, 4}, {j, 4}]\)], "Input",
  CellLabel->"In[147]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    FormBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(x - 1\), \(x - 4\), \(x - 9\), \(x - 16\)},
            {\(x\^2 - 1\), \(x\^2 - 4\), \(x\^2 - 9\), \(x\^2 - 16\)},
            {\(x\^3 - 1\), \(x\^3 - 4\), \(x\^3 - 9\), \(x\^3 - 16\)},
            {\(x\^4 - 1\), \(x\^4 - 4\), \(x\^4 - 9\), \(x\^4 - 16\)}
            },
          RowSpacings->1,
          ColumnSpacings->1,
          ColumnAlignments->{Left}], "\[NoBreak]", ")"}], 
      TraditionalForm]], "Output",
  CellLabel->"Out[147]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 25", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Definir las matrices elementales ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(e\_\(i, j\)\)\(\ \)\)\)]],
  "de orden 5.  Recordemos que la matriz ",
  Cell[BoxData[
      \(TraditionalForm\`e\_\(i, j\)\)]],
  " se define como la matriz que tiene un uno en la fila ",
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  "-\[EAcute]sima y la columna ",
  Cell[BoxData[
      \(TraditionalForm\`j\)]],
  "-\[EAcute]sima, y cero en los dem\[AAcute]s lugares. \nSoluci\[OAcute]n.\n\
Bastar\[AAcute] definir:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(e\_\(i_, j_\) := 
      Table[\(\[Delta]\_\(p, i\)\) \[Delta]\_\(q, j\), {p, 5}, {q, 
          5}]\)], "Input",
  CellLabel->"In[148]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(e\_\(2, 3\)\)], "Input",
  CellLabel->"In[149]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    FormBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"0", "0", "0", "0", "0"},
            {"0", "0", "1", "0", "0"},
            {"0", "0", "0", "0", "0"},
            {"0", "0", "0", "0", "0"},
            {"0", "0", "0", "0", "0"}
            },
          RowSpacings->1,
          ColumnSpacings->1,
          ColumnAlignments->{Left}], "\[NoBreak]", ")"}], 
      TraditionalForm]], "Output",
  CellLabel->"Out[149]="]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Bucle Do:", "Title",
  TextJustification->1],

Cell[TextData[{
  "Otra interesante funci\[OAcute]n que podemos aplicar en Mathematica es ",
  StyleBox["Do", "Input"],
  "[Programa, iterador]. La idea es que se ejecuta un programa que depende de \
unas ciertas variables mientras dichas variables se mantengan en el rango \
especificado por el iterador. "
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell["Problema 26", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Definir las matrices elementales ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`\(\(e\_\(i, j\)\)\(\ \)\)\)],
    FontSlant->"Italic"],
  StyleBox["de orden ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`n\)],
    FontSlant->"Italic"],
  StyleBox[" sin definir la funci\[OAcute]n ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`e\_\(i_, j_\)\)],
    FontSlant->"Italic"],
  StyleBox["del apartado anterior",
    FontSlant->"Italic"],
  "\nSoluci\[OAcute]n.\nPodemos definir todas las matrices ",
  Cell[BoxData[
      \(TraditionalForm\`e\_\(i, j\)\)]],
  ", (",
  Cell[BoxData[
      \(TraditionalForm\`\(\(i, j = 1,  .. , n\)\()\)\)\)]],
  ", sin recurrir a la funci\[OAcute]n mencionada. Para ello podemos hacer"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(n = Input["\<Diga el orden de las matrices\>"]; 
    Do[e\_\(i, j\) = 
        Table[\(\[Delta]\_\(p, i\)\) \[Delta]\_\(q, j\), {p, n}, {q, n}], {i, 
        n}, {j, n}]\)], "Input",
  CellLabel->"In[150]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Aqu\[IAcute] el programa es la definici\[OAcute]n: ",
  StyleBox[Cell[BoxData[
      \(e\_\(i, j\) = \(\(Table\)\([\)\(\(\[Delta]\_\(p, 
                i\)\) \[Delta]\_\(q, j\), {p, n}, {q, n}\)\)\)], "Input",
    TextAlignment->Left,
    TextJustification->1], "Input"],
  StyleBox["]", "Input"],
  ", mientras que los iteradores son ",
  StyleBox["{i,n},{j,n}", "Input"],
  ". Es decir se define ",
  Cell[BoxData[
      \(TraditionalForm\`e\_\(i, j\)\)]],
  " para ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(i = 1\)\(,\)\(...\)\(,\)\(n\)\(\ \)\)\)]],
  "y ",
  Cell[BoxData[
      \(TraditionalForm\`j = 1,  ... , n\)]],
  ".  Ahora tenemos definidas las matrices. y podemos hacer c\[AAcute]lculos \
con ellas:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(e\_\(2, 2\)\)], "Input",
  CellLabel->"In[151]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    FormBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"0", "0", "0"},
            {"0", "1", "0"},
            {"0", "0", "0"}
            },
          RowSpacings->1,
          ColumnSpacings->1,
          ColumnAlignments->{Left}], "\[NoBreak]", ")"}], 
      TraditionalForm]], "Output",
  CellLabel->"Out[151]="]
}, Open  ]],

Cell[TextData[{
  "El inconveniente de este m\[EAcute]todo es que hemos utilizado una mayor \
cantidad de memor\[IAcute]a pues hemos calculado (para el caso ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(n = 3\)\()\)\)\)]],
  " nueve matrices que est\[AAcute]n en memor\[IAcute]a. La ventaja es que \
las matrices est\[AAcute]n calculadas de antemano y en posteriores \
c\[AAcute]lculos que las involucren, no hay necesidad de recalcularlas. Con \
el soluci\[OAcute]n aportada en el problema 22, estamos en realidad \
definiendo una funci\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`e\_\(i_, j_\)\)]],
  " que calcula la matriz elemental cada vez que un c\[OAcute]mputo la \
necesite. Se gasta menos memoria pero el c\[AAcute]lculo se ralentiza al \
tener que recalcular la matriz cada vez que sea llamada."
}], "Text",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Bucle Select:", "Title",
  TextJustification->1],

Cell["\<\
La orden Select sirve para seleccionar aquellos elementos de una lista que \
satisfagan un criterio determinado. Para explicar su uso lo mejor es resolver \
algunos problemas m\[AAcute]s.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Problema 27", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Del conjunto ",
  Cell[BoxData[
      \(TraditionalForm\`{2  n\^3 - n + 7 : \ 
          n \[Element] \[DoubleStruckCapitalN], \ n = 1, \(\(...\)\(.\)\), 
        1000}\)]],
  ", extraer los elementos menores que ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(10\^5\)\(.\)\)\)]]
}], "Text",
  FontSlant->"Italic"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(TraditionalForm\`\(l = 
        Table[2  n\^3 - n + 7, {n, 1, 1000}];\)\), "\[IndentingNewLine]", 
    \(TraditionalForm\`Select[l, # < 10\^5 &]\)}], "Input",
  CellLabel->"In[152]:="],

Cell[BoxData[
    \(TraditionalForm\`{8, 21, 58, 131, 252, 433, 686, 1023, 1456, 1997, 
      2658, 3451, 4388, 5481, 6742, 8183, 9816, 11653, 13706, 15987, 18508, 
      21281, 24318, 27631, 31232, 35133, 39346, 43883, 48756, 53977, 59558, 
      65511, 71848, 78581, 85722, 93283}\)], "Output",
  CellLabel->"Out[153]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 28", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Crear una lista con los n\[UAcute]meros primos del conjunto ",
  Cell[BoxData[
      \(TraditionalForm\`{2  n\^3 - n + 7 : \ 
          n \[Element] \[DoubleStruckCapitalN], \ n = 1, \(\(...\)\(.\)\), 
        1000}\)]],
  "."
}], "Text",
  FontSlant->"Italic"],

Cell["\<\
Soluci\[OAcute]n.
Podemos crear una lista:\
\>", "Text"],

Cell[BoxData[
    \(TraditionalForm\`\(l = 
        Table[2  n\^3 - n + 7, {n, 1, 1000}];\)\)], "Input",
  CellLabel->"In[154]:="],

Cell["\<\
Y ahora seleccionar los primos de dicha lista. Para ello utilizamos la funci\
\[OAcute]n 'PrimeQ' previamente introducida.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TraditionalForm\`Select[l, PrimeQ[#] &]\)], "Input",
  CellLabel->"In[155]:="],

Cell[BoxData[
    \(TraditionalForm\`{131, 433, 1997, 27631, 93283, 431947, 524231, 574933, 
      877883, 949033, 1362863, 2122321, 3455887, 8191847, 10176731, 10535881, 
      16484621, 19600481, 25625581, 35969201, 52926893, 80003041, 82843133, 
      88723381, 91765073, 116821763, 124197883, 127999607, 141915481, 
      152449631, 159013577, 221183527, 226759331, 229582033, 247011493, 
      262192523, 265301497, 291062633, 311441213, 336392671, 358811731, 
      427693793, 445089433, 509679581, 544194943, 559451881, 623330833, 
      668510081, 740291753, 784445611, 949103227, 1039436131, 1086676183, 
      1160186581, 1228249157, 1263256573, 1289944231, 1335254381, 1629560081, 
      1693180133}\)], "Output",
  CellLabel->"Out[155]="]
}, Open  ]],

Cell["\<\
Por lo tanto observamos que el primer argumento de 'Select' es la lista de la \
que se van a extraer los elementos, y el segundo argumento es el criterio de \
selecci\[OAcute]n en el que un elemento gen\[EAcute]rico de la lista se \
representa mediante el s\[IAcute]mbolo #.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 29", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Crear una lista con los n\[UAcute]meros naturales menores que 100 que sean \
soluci\[OAcute]n de la ecuaci\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`n\^2 - 2  n + 4\  \[Congruent] \ 
        1\ \((mod\ 7)\)\)]],
  "."
}], "Text",
  FontSlant->"Italic"],

Cell["Soluci\[OAcute]n.", "Text"],

Cell[TextData[{
  "Usaremos al funci\[OAcute]n 'Mod[",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  ",",
  Cell[BoxData[
      \(TraditionalForm\`m\)]],
  "]' que nos da el resto de la divisi\[OAcute]n de ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " entre ",
  Cell[BoxData[
      \(TraditionalForm\`m\)]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(TraditionalForm\`\(l = Table[n, {n, 100}];\)\), "\[IndentingNewLine]", 
    \(TraditionalForm\`Select[l, 
      Mod[#\^2 - 2  # + 4, 6] \[Equal] 1 &]\)}], "Input",
  CellLabel->"In[156]:="],

Cell[BoxData[
    \(TraditionalForm\`{3, 5, 9, 11, 15, 17, 21, 23, 27, 29, 33, 35, 39, 41, 
      45, 47, 51, 53, 57, 59, 63, 65, 69, 71, 75, 77, 81, 83, 87, 89, 93, 95, 
      99}\)], "Output",
  CellLabel->"Out[157]="]
}, Open  ]],

Cell["aqui", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problemas variados", "Subtitle",
  TextJustification->1],

Cell["\<\
Vamos ahora a resolver algunos problemas en los que habr\[AAcute] que \
utilizar la mayor\[IAcute]a de las herramientas que hemos introducido.\
\>", "Text",
  TextJustification->1],

Cell[CellGroupData[{

Cell["Problema 30", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell["Determinar el polinomio minimal de la matriz racional", "Text",
  TextJustification->1,
  FontSlant->"Italic"],

Cell[BoxData[
    RowBox[{
      RowBox[{"M", "=", 
        RowBox[{"(", "\[NoBreak]", GridBox[{
              {"1", \(1\/2\), "3", \(1\/2\), \(-3\)},
              {\(-1\), "1", \(-5\), "1", "6"},
              {"0", "0", "1", "1", "0"},
              {\(-\(1\/3\)\), \(1\/3\), \(1\/3\), "1", "0"},
              {"0", "0", "0", "1", "1"}
              },
            ColumnAlignments->{Decimal}], "\[NoBreak]", ")"}]}], 
      ";"}]], "Input",
  CellLabel->"In[158]:=",
  TextJustification->1],

Cell[TextData[{
  "Soluci\[OAcute]n. El polinomio minimal es el polinomio (m\[OAcute]nico) \
con coeficientes en \[DoubleStruckCapitalQ] de grado m\[IAcute]nimo, que \
satisface la matriz  Sabemos que el polinomio minimal divide al \
caracteristico. Calculemos el polinomio caracter\[IAcute]stico. ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " nos proporciona una funci\[OAcute]n que lo hace directamente:"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(p = CharacteristicPolynomial[M, x]\)], "Input",
  CellLabel->"In[159]:=",
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`\(-x\^5\) + 5\ x\^4 - 10\ x\^3 + 10\ x\^2 - 5\ x + 
      1\)], "Output",
  CellLabel->"Out[159]="]
}, Open  ]],

Cell["Vamos a descomponer el polinomio en factores primos", "Text",
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(Factor[p]\)], "Input",
  CellLabel->"In[160]:=",
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`\(-\((x - 1)\)\^5\)\)], "Output",
  CellLabel->"Out[160]="]
}, Open  ]],

Cell[TextData[{
  "Por lo tanto el polinomio minimal es de la forma ",
  Cell[BoxData[
      \(TraditionalForm\`\((x - 1)\)\^k\)]],
  "  con ",
  Cell[BoxData[
      \(TraditionalForm\`k \[LessEqual] \ 5. \)]],
  " Bastar\[AAcute] determinar el menor ",
  Cell[BoxData[
      \(TraditionalForm\`k\)]],
  " tal que ",
  Cell[BoxData[
      \(TraditionalForm\`\((M - Id)\)\^k = 0\)]],
  " para concluir que ",
  Cell[BoxData[
      \(TraditionalForm\`\((x - 1)\)\^k\)]],
  " es el polinomio minimal de ",
  Cell[BoxData[
      \(TraditionalForm\`M\)]],
  ". Definamos la matriz identidad ",
  Cell[BoxData[
      \(TraditionalForm\`5\[Times]5\)]],
  ": "
}], "Text",
  TextJustification->1],

Cell[BoxData[
    \(\(id = IdentityMatrix[5];\)\)], "Input",
  CellLabel->"In[161]:=",
  TextJustification->1],

Cell[TextData[{
  "Calculemos ahora la menor ",
  Cell[BoxData[
      \(TraditionalForm\`k\)]],
  " tal que ",
  Cell[BoxData[
      \(TraditionalForm\`\((M - id)\)\^k = 0. \)]],
  "Las potencias de una matriz se calculan con la funci\[OAcute]n ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox["MatrixPower",
            "Input"], 
          StyleBox[" ",
            "Input"], "[", \(X, k\)}], TraditionalForm]]],
  "], que eleva la matrix ",
  Cell[BoxData[
      \(TraditionalForm\`X\)]],
  " a la ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(k\)\(-\)\(\[EAcute]sima\)\(\ \)\)\)]],
  "potencia.Obs\[EAcute]rvese que se define tambi\[EAcute]n la matriz nula ",
  StyleBox["cero", "Input"],
  "=0 ",
  StyleBox["id.", "Input"]
}], "Text",
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(cero = 0\ id;\)\), "\[IndentingNewLine]", 
    \(\(k = 0;\)\), "\[IndentingNewLine]", 
    \(While[MatrixPower[M - id, k] \[NotEqual] cero, k = k + 1]; 
    k\)}], "Input",
  CellLabel->"In[162]:=",
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`4\)], "Output",
  CellLabel->"Out[164]="]
}, Open  ]],

Cell[TextData[{
  "Lo que demuestra que el menor ",
  Cell[BoxData[
      \(TraditionalForm\`k\)]],
  " para el que ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(\((M - id)\)\^k\)\(=\)\(0\)\(\ \)\)\)]],
  "es ",
  Cell[BoxData[
      \(TraditionalForm\`k = 4\)]],
  ".El polinomio minimal de ",
  Cell[BoxData[
      \(TraditionalForm\`M\)]],
  " es entonces ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(\((x - 1)\)\^4\)\(.\)\)\)]]
}], "Text",
  TextJustification->1]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 31", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Una matriz cuadrada ",
  Cell[BoxData[
      \(TraditionalForm\`M = \((m\_\(i, j\))\)\)]],
  " de orden n, con coeficientes es un cuerpo cualquiera se dice que es m\
\[AAcute]gica cuando la suma de los elementos de cada fila, columna, diagonal \
y antidiagonal es la misma. De forma m\[AAcute]s precisa: p",
  StyleBox["ara todo ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`i\)],
    FontSlant->"Italic"],
  StyleBox[" se tiene ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`\[Sum]\_\(k = 1\)\%n m\_\(i, k\) = \(\[Sum]\_\(k = 1\
\)\%n m\_\(\(k\)\(,\)\(i\)\(\ \)\) = \(\[Sum]\_\(k = 1\)\%n m\_\(k, k\)\  = \ \
\[Sum]\_\(k = 1\)\%n m\_\(n + 1 - k, k\)\)\)\)]],
  ". Constr\[UAcute]yase una funci\[OAcute]n que nos diga si una matriz es m\
\[AAcute]gica  o no."
}], "Text",
  TextJustification->1,
  FontSlant->"Italic"],

Cell[TextData[{
  "Soluci\[OAcute]n. Definamos en primer lugar dos funciones ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox["fila",
            FontWeight->"Bold"], "[", \(i_, M\)}], TraditionalForm]]],
  "_] y  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox["columna",
            FontWeight->"Bold"], "[", \(i_, M\ _\), "]"}], 
        TraditionalForm]]],
  ", que calculen la suma de la fila ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(i\)\(-\)\(\[EAcute]sima\)\(\ \)\)\)]],
  "de ",
  Cell[BoxData[
      \(TraditionalForm\`M\)]],
  " (respectivamente suma de la columna ",
  Cell[BoxData[
      \(TraditionalForm\`i - \[EAcute]sima\)]],
  "):"
}], "Text"],

Cell[BoxData[{
    \(\(fila[i_, 
          M_] := \[Sum]\_\(k = 1\)\%\(Length[M]\)M[\([i, 
              k]\)];\)\), "\[IndentingNewLine]", 
    \(\(columna[i_, M_] := 
        fila[i, Transpose[M]];\)\), "\[IndentingNewLine]", 
    \(\)}], "Input",
  CellLabel->"In[165]:="],

Cell[TextData[{
  "Ahora podemos definir la funci\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`Magica[M\ _]\)]],
  " que nos devuelve ",
  StyleBox["True",
    FontWeight->"Bold"],
  " s\[OAcute]lo cuando ",
  Cell[BoxData[
      \(TraditionalForm\`M\)]],
  " es una matriz m\[AAcute]gica."
}], "Text"],

Cell[BoxData[
    \(Magica[M_] := 
      Module[{n}, n = Length[M]; \ S = \[Sum]\_\(i = 1\)\%n M[\([i, i]\)]; 
        i = 1; \[IndentingNewLine]While[
          i \[LessEqual] n\  && \ 
            fila[i, M] \[Equal] columna[i, M] \[Equal] S, i = i + 1]; 
        If[S == \[Sum]\_\(k = 1\)\%n M[\([k, n - k + 1]\)] && i > n, True, 
          False]]\)], "Input",
  CellLabel->"In[167]:="],

Cell["\<\
probemos el funcionamiento de la funci\[OAcute]n reci\[EAcute]n definida con \
dos ejemplos:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"Magica", "[", 
      RowBox[{"(", GridBox[{
            {"x", \(\(-x\) - y\), "y"},
            {\(y - x\), "0", \(x - y\)},
            {\(-y\), \(x + y\), \(-x\)}
            }], ")"}], "]"}]], "Input",
  CellLabel->"In[168]:="],

Cell[BoxData[
    \(TraditionalForm\`True\)], "Output",
  CellLabel->"Out[168]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"Magica", "[", 
      RowBox[{"(", GridBox[{
            {"8", "3", "4"},
            {"1", "5", "9"},
            {"6", "7", "2"}
            }], ")"}], "]"}]], "Input",
  CellLabel->"In[169]:="],

Cell[BoxData[
    \(TraditionalForm\`True\)], "Output",
  CellLabel->"Out[169]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Magica[IdentityMatrix[8]]\)], "Input",
  CellLabel->"In[170]:="],

Cell[BoxData[
    \(TraditionalForm\`False\)], "Output",
  CellLabel->"Out[170]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 32", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Def\[IAcute]nase una funci\[OAcute]n que cuente el n\[UAcute]mero \
de primos de una lista de enteros.",
    FontSlant->"Italic"],
  "\nSol."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "La idea que vamos a utilizar es definir una funci\[OAcute]n con una \
variables local ",
  Cell[BoxData[
      \(TraditionalForm\`s\)]],
  " que contabilice el n\[UAcute]mero de primos de la lista ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(L\)\(.\)\(\ \)\)\)]],
  "Inicialmente ",
  Cell[BoxData[
      \(TraditionalForm\`s = 0\)]],
  " y despu\[EAcute]s mediante un bucle ",
  StyleBox["Do ",
    FontWeight->"Bold"],
  "incrementamos ",
  Cell[BoxData[
      \(TraditionalForm\`s\)]],
  " cuendo ",
  Cell[BoxData[
      \(TraditionalForm\`L[\([i]\)]\)]],
  " sea un n\[UAcute]mero primo. Esta \[UAcute]ltima condici\[OAcute]n la \
comprobamos con la funci\[OAcute]n ",
  StyleBox["PrimeQ",
    FontWeight->"Bold"],
  "."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(Num[L_] := 
      Module[{s}, 
        s = 0; \[IndentingNewLine]Do[
          If[PrimeQ[L[\([i]\)]], s = s + 1], {i, 1, Length[L]}]; 
        s]\)], "Input",
  CellLabel->"In[171]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell["Vamos a comprobar que funciona:", "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[CellGroupData[{

Cell[BoxData[
    \(L = {1, 2, 3, 4, 5}; Num\ [L]\)], "Input",
  CellLabel->"In[172]:=",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`3\)], "Output",
  CellLabel->"Out[172]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problema 33", "Subsection",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  StyleBox["Def\[IAcute]nase una funci\[OAcute]n que nos de las posibles \
descomposiciones de un entero como producto de dos enteros primos relativos.",
    
    FontSlant->"Italic"],
  "\nSol.\nTenemos que utilizar la funci\[OAcute]n ",
  StyleBox["Divisors [x_]",
    FontWeight->"Bold"],
  ", que nos da la lista de divisores del entero ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  ". Tambi\[EAcute]n usaremos la funci\[OAcute]n ",
  StyleBox["GCD[x_,y_]",
    FontWeight->"Bold"],
  " que nos da el m\[AAcute]ximo com\[UAcute]n divisor de ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " e ",
  Cell[BoxData[
      \(TraditionalForm\`y\)]],
  ". ",
  " Con esta funci\[OAcute]n construimos ",
  StyleBox["pr[x_,y_]",
    FontWeight->"Bold"],
  " que nos devuelve ",
  StyleBox["True",
    FontWeight->"Bold"],
  " cuando ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(x\)\(\ \)\)\)]],
  "e ",
  Cell[BoxData[
      \(TraditionalForm\`y\)]],
  " son primos relativos. La funci\[OAcute]n que se nos pide simplemente \
determina primero la lista ",
  Cell[BoxData[
      \(TraditionalForm\`L\)]],
  " de los divisores de ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  ". Despu\[EAcute]s  \"imprime\" la pareja ",
  Cell[BoxData[
      \(TraditionalForm\`L[\([i]\)]\)]],
  ", ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(M/L[\([i]\)]\)\(\ \)\)\)]],
  "siempre que sean primos relativos."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(\(\(pr[x_, y_] := 
        If[GCD[x, y] \[Equal] 1, True, False];\)\(\[IndentingNewLine]\)
    \)\)], "Input",
  CellLabel->"In[173]:="],

Cell[BoxData[
    \(f[x_] := 
      Module[{L, n}, L = Divisors[x]; 
        n = Length[L]; \[IndentingNewLine]Do[
          If[pr[L[\([i]\)], x/L[\([i]\)]], 
            Print[{L[\([i]\)], x/L[\([i]\)]}]], {i, 1, 
            IntegerPart[n/2]}]]\)], "Input",
  CellLabel->"In[174]:="],

Cell["Algunas aplicaciones:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[10001]\)], "Input",
  CellLabel->"In[175]:="],

Cell[BoxData[
    \(TraditionalForm\`{1, 10001}\)], "Print",
  CellLabel->"From In[175]:="],

Cell[BoxData[
    \(TraditionalForm\`{73, 137}\)], "Print",
  CellLabel->"From In[175]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[1890]\)], "Input",
  CellLabel->"In[176]:="],

Cell[BoxData[
    \(TraditionalForm\`{1, 1890}\)], "Print",
  CellLabel->"From In[176]:="],

Cell[BoxData[
    \(TraditionalForm\`{2, 945}\)], "Print",
  CellLabel->"From In[176]:="],

Cell[BoxData[
    \(TraditionalForm\`{5, 378}\)], "Print",
  CellLabel->"From In[176]:="],

Cell[BoxData[
    \(TraditionalForm\`{7, 270}\)], "Print",
  CellLabel->"From In[176]:="],

Cell[BoxData[
    \(TraditionalForm\`{10, 189}\)], "Print",
  CellLabel->"From In[176]:="],

Cell[BoxData[
    \(TraditionalForm\`{14, 135}\)], "Print",
  CellLabel->"From In[176]:="],

Cell[BoxData[
    \(TraditionalForm\`{27, 70}\)], "Print",
  CellLabel->"From In[176]:="],

Cell[BoxData[
    \(TraditionalForm\`{35, 54}\)], "Print",
  CellLabel->"From In[176]:="]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Actividad a realizar", "Subtitle",
  TextJustification->1],

Cell["\<\
En esta entrega hemos incidido en algunas \[OAcute]rdenes que ya conoc\
\[IAcute]a, (como If, Table, etc.) y hemos desarrollado otras nuevas. La \
actividad principal que debe hacer es practicar con todas ellas en problemas \
que sean de su inter\[EAcute]s en funci\[OAcute]n de su actividad docente o \
investigadora. Los archivos que vaya creando los guarda y cuando crea que la \
pr\[AAcute]ctica la domina nos los env\[IAcute]a. 
A continuaci\[OAcute]n se recogen diversos problemas que puede usar para \
practicar. Muchos le resultar\[AAcute]n f\[AAcute]ciles y le facilitar\
\[AAcute]n la tarea de practicar con las diferentes \[OAcute]rdenes,  pero \
otros es posible que requieran unos conocimientos que no haya recibido o que \
hay olvidado, en tal caso no tiene que sentirse obligado a resolverlos.\
\>", "Text",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]],

Cell[CellGroupData[{

Cell["Problemas.", "Subtitle",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Problema 1.  Repres\[EAcute]ntese gr\[AAcute]ficamente la \
funci\[OAcute]n",
  StyleBox[" ",
    FontWeight->"Bold"],
  Cell[BoxData[
      \(TraditionalForm\`f(x) := \@\(x\^2 - 3  x + 2\)\%3\)]],
  ".\nProblema 2. Repres\[EAcute]ntese gr\[AAcute]ficamente la \
funci\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`f(x, 
          y) = \(\((x\^2 - 3  x + 2)\) y\^2\)\/\(3  x\^2 - 2  x\)\)]],
  " (\[UAcute]sese el paquete RealOnly).\nProblema 3.  Representar \
gr\[AAcute]ficamente un toro de radios ",
  Cell[BoxData[
      \(TraditionalForm\`R = a\)]],
  " y  ",
  Cell[BoxData[
      \(TraditionalForm\`r = b\)]],
  ", ( ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(b < a\)\()\)\)\)]],
  ", y calcular su volumen. ",
  StyleBox["Sugerencia: explorar el paquete Shapes que se invoca as\[IAcute]: \
",
    FontSlant->"Italic"]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    \(TraditionalForm\`<< Graphics`Shapes`\)], "Input",
  CellLabel->"In[177]:="],

Cell["Despu\[EAcute]s se podr\[AAcute] representar el toro con la instrucci\
\[OAcute]n:", "Text",
  FontSlant->"Italic"],

Cell[CellGroupData[{

Cell["Show[Graphics3D[ Torus[ ] ]]", "Input",
  CellLabel->"In[178]:=",
  CellTags->"S5.42.1"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .77006 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-2.72135e-17 1.0494 -0.0881211 1.0494 [
[ 0 0 0 0 ]
[ 1 .77006 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02966 .25621 m
0 .44336 L
s
0 .44336 m
.39755 .77006 L
s
.39755 .77006 m
.40347 .60068 L
s
.40347 .60068 m
.02966 .25621 L
s
.69117 0 m
.97553 .43075 L
s
.97553 .43075 m
1 .60976 L
s
1 .60976 m
.70254 .19586 L
s
.70254 .19586 m
.69117 0 L
s
.02966 .25621 m
0 .44336 L
s
0 .44336 m
.70254 .19586 L
s
.70254 .19586 m
.69117 0 L
s
.69117 0 m
.02966 .25621 L
s
.40347 .60068 m
.97553 .43075 L
s
.97553 .43075 m
1 .60976 L
s
1 .60976 m
.39755 .77006 L
s
.39755 .77006 m
.40347 .60068 L
s
0 0 m
1 0 L
1 .77006 L
0 .77006 L
closepath
clip
newpath
.5 Mabswid
.756 .57 .645 r
.39136 .60138 m .40095 .54112 L .4873 .55522 L p F P
0 g
s
.756 .57 .645 r
.4873 .55522 m .48442 .61602 L .39136 .60138 L p F P
0 g
s
.737 .654 .767 r
.49371 .49635 m .4873 .55522 L .40095 .54112 L p F P
0 g
s
.7 .522 .644 r
.48442 .61602 m .4873 .55522 L .57629 .55399 L p F P
0 g
s
.702 .621 .764 r
.4873 .55522 m .49371 .49635 L .56744 .49529 L p F P
0 g
s
.702 .621 .764 r
.56744 .49529 m .57629 .55399 L .4873 .55522 L p F P
0 g
s
.7 .522 .644 r
.57629 .55399 m .58026 .61474 L .48442 .61602 L p F P
0 g
s
.639 .475 .645 r
.58026 .61474 m .57629 .55399 L .66162 .53746 L p F P
0 g
s
.663 .594 .768 r
.57629 .55399 m .56744 .49529 L .63792 .48114 L p F P
0 g
s
.663 .594 .768 r
.63792 .48114 m .66162 .53746 L .57629 .55399 L p F P
0 g
s
.737 .654 .767 r
.40095 .54112 m .42233 .48427 L .49371 .49635 L p F P
0 g
s
.662 .743 .91 r
.50153 .45989 m .49371 .49635 L .42233 .48427 L p F P
0 g
s
.662 .743 .91 r
.49371 .49635 m .50153 .45989 L .55666 .45908 L p F P
0 g
s
.662 .743 .91 r
.55666 .45908 m .56744 .49529 L .49371 .49635 L p F P
0 g
s
.744 .424 .441 r
.39721 .64403 m .39136 .60138 L .48442 .61602 L p F P
0 g
s
.744 .424 .441 r
.48442 .61602 m .48618 .65766 L .39721 .64403 L p F P
0 g
s
.664 .36 .448 r
.48618 .65766 m .48442 .61602 L .58026 .61474 L p F P
0 g
s
.662 .743 .91 r
.56744 .49529 m .55666 .45908 L .60919 .44829 L p F P
0 g
s
.662 .743 .91 r
.60919 .44829 m .63792 .48114 L .56744 .49529 L p F P
0 g
s
.813 .625 .649 r
.30776 .57143 m .32363 .51232 L .40095 .54112 L p F P
0 g
s
.813 .625 .649 r
.40095 .54112 m .39136 .60138 L .30776 .57143 L p F P
0 g
s
.771 .692 .776 r
.42233 .48427 m .40095 .54112 L .32363 .51232 L p F P
0 g
s
.664 .36 .448 r
.58026 .61474 m .57784 .65647 L .48618 .65766 L p F P
0 g
s
.572 .283 .438 r
.57784 .65647 m .58026 .61474 L .67225 .59759 L p F P
0 g
s
.639 .475 .645 r
.66162 .53746 m .67225 .59759 L .58026 .61474 L p F P
0 g
s
.565 .425 .649 r
.67225 .59759 m .66162 .53746 L .7369 .50641 L p F P
0 g
s
.62 .572 .779 r
.66162 .53746 m .63792 .48114 L .69961 .45469 L p F P
0 g
s
.62 .572 .779 r
.69961 .45469 m .7369 .50641 L .66162 .53746 L p F P
0 g
s
.771 .692 .776 r
.32363 .51232 m .35887 .4597 L .42233 .48427 L p F P
0 g
s
.662 .743 .91 r
.44827 .45067 m .42233 .48427 L .35887 .4597 L p F P
0 g
s
.662 .743 .91 r
.42233 .48427 m .44827 .45067 L .50153 .45989 L p F P
0 g
s
.662 .743 .91 r
.63792 .48114 m .60919 .44829 L .65472 .42826 L p F P
0 g
s
.662 .743 .91 r
.65472 .42826 m .69961 .45469 L .63792 .48114 L p F P
0 g
s
.821 .481 .413 r
.31745 .61617 m .30776 .57143 L .39136 .60138 L p F P
0 g
s
.821 .481 .413 r
.39136 .60138 m .39721 .64403 L .31745 .61617 L p F P
0 g
s
.572 .283 .438 r
.67225 .59759 m .66577 .6405 L .57784 .65647 L p F P
0 g
s
.444 .172 .406 r
.66577 .6405 m .67225 .59759 L .75371 .56528 L p F P
0 g
s
.565 .425 .649 r
.7369 .50641 m .75371 .56528 L .67225 .59759 L p F P
0 g
s
.874 .693 .655 r
.24047 .52758 m .26177 .47029 L .32363 .51232 L p F P
0 g
s
.874 .693 .655 r
.32363 .51232 m .30776 .57143 L .24047 .52758 L p F P
0 g
s
.802 .739 .794 r
.35887 .4597 m .32363 .51232 L .26177 .47029 L p F P
0 g
s
.019 0 0 r
.50793 .46053 m .54782 .45994 L p .53677 .45993 L F P
0 g
s
.019 0 0 r
.50153 .45989 m .50793 .46053 L p .53677 .45993 L F P
0 g
s
.019 0 0 r
.54782 .45994 m .55666 .45908 L .50153 .45989 L p F P
0 g
s
0 .486 .715 r
.50793 .46053 m .50153 .45989 L .44827 .45067 L p F P
0 g
s
0 .486 .715 r
.46949 .45387 m .50793 .46053 L p .49375 .45818 L F P
0 g
s
0 .486 .715 r
.44827 .45067 m .46949 .45387 L p .49375 .45818 L F P
0 g
s
.662 .743 .91 r
.35887 .4597 m .40134 .43204 L .44827 .45067 L p F P
0 g
s
0 .476 .815 r
.46949 .45387 m .44827 .45067 L .40134 .43204 L p F P
0 g
s
0 .476 .815 r
.43584 .44048 m .46949 .45387 L p .45337 .44871 L F P
0 g
s
0 .476 .815 r
.40134 .43204 m .43584 .44048 L p .45337 .44871 L F P
0 g
s
.075 .495 .897 r
.43584 .44048 m .40134 .43204 L .36491 .40529 L p F P
0 g
s
.075 .495 .897 r
.41009 .42138 m .43584 .44048 L p .41916 .4322 L F P
0 g
s
.075 .495 .897 r
.36491 .40529 m .41009 .42138 L p .41916 .4322 L F P
0 g
s
.241 .511 .907 r
.39485 .39816 m .41009 .42138 L p .39434 .40994 L F P
0 g
s
.241 .511 .907 r
.34274 .37246 m .39485 .39816 L p .39434 .40994 L F P
0 g
s
0 0 .437 r
.39485 .39816 m .39199 .37288 L p .39543 .38487 L F P
0 g
s
.855 .466 0 r
.41009 .42138 m .39485 .39816 L p .39987 .40918 L F P
0 g
s
.241 .511 .907 r
.41009 .42138 m .36491 .40529 L .34274 .37246 L p F P
0 g
s
.855 .466 0 r
.4266 .46799 m .41009 .42138 L p .39987 .40918 L F P
0 g
s
.855 .466 0 r
.41377 .44866 m .4266 .46799 L p .42009 .45367 L F P
0 g
s
.855 .466 0 r
.39485 .39816 m .41377 .44866 L p .42009 .45367 L F P
0 g
s
0 0 .437 r
.41377 .44866 m .39485 .39816 L p .39543 .38487 L F P
0 g
s
0 0 .437 r
.41155 .42771 m .41377 .44866 L p .40931 .43316 L F P
0 g
s
0 0 .437 r
.39199 .37288 m .41155 .42771 L p .40931 .43316 L F P
0 g
s
.9 .504 .254 r
.43584 .44048 m .41009 .42138 L p .41614 .43123 L F P
0 g
s
.9 .504 .254 r
.41009 .42138 m .4266 .46799 L .44853 .48393 L p F P
0 g
s
.136 .144 .603 r
.42054 .40714 m .41155 .42771 L p .40966 .41142 L F P
0 g
s
.136 .144 .603 r
.40229 .34796 m .42054 .40714 L p .40966 .41142 L F P
0 g
s
0 0 .087 r
.42054 .40714 m .44019 .38909 L p .43168 .40276 L F P
0 g
s
.66 .774 .302 r
.41155 .42771 m .42054 .40714 L p .41384 .42211 L F P
0 g
s
.136 .144 .603 r
.41155 .42771 m .39199 .37288 L .40229 .34796 L p F P
0 g
s
.66 .774 .302 r
.38756 .4809 m .41155 .42771 L p .41384 .42211 L F P
0 g
s
.981 .906 .584 r
.41377 .44866 m .41155 .42771 L p .40728 .44353 L F P
0 g
s
.981 .906 .584 r
.41155 .42771 m .38756 .4809 L .39059 .50548 L p F P
0 g
s
.66 .774 .302 r
.39815 .45666 m .38756 .4809 L p .39282 .46913 L F P
0 g
s
.66 .774 .302 r
.42054 .40714 m .39815 .45666 L p .39282 .46913 L F P
0 g
s
0 0 .087 r
.39815 .45666 m .42054 .40714 L p .43168 .40276 L F P
0 g
s
.981 .906 .584 r
.39059 .50548 m .41377 .44866 L p .40728 .44353 L F P
0 g
s
.9 .504 .254 r
.44853 .48393 m .43584 .44048 L p .41614 .43123 L F P
0 g
s
0 0 .087 r
.4218 .43528 m .39815 .45666 L p .40488 .44584 L F P
0 g
s
0 0 .087 r
.44019 .38909 m .4218 .43528 L p .40488 .44584 L F P
0 g
s
.323 .011 .272 r
.45646 .41916 m .4218 .43528 L p .42935 .42568 L F P
0 g
s
.323 .011 .272 r
.46875 .37552 m .45646 .41916 L p .42935 .42568 L F P
0 g
s
.515 .182 .342 r
.4986 .41021 m .45646 .41916 L p .46402 .4109 L F P
0 g
s
.515 .182 .342 r
.50332 .36801 m .4986 .41021 L p .46402 .4109 L F P
0 g
s
.639 .289 .362 r
.54022 .36744 m .54365 .40952 L .4986 .41021 L p F P
0 g
s
.032 .603 .728 r
.4986 .41021 m .54365 .40952 L p .53059 .40956 L F P
0 g
s
.639 .289 .362 r
.4986 .41021 m .50332 .36801 L .54022 .36744 L p F P
0 g
s
.032 .603 .728 r
.48648 .40967 m .4986 .41021 L p .53059 .40956 L F P
0 g
s
.224 .745 .773 r
.45646 .41916 m .4986 .41021 L p .4817 .41309 L F P
0 g
s
.323 .011 .272 r
.4218 .43528 m .44019 .38909 L .46875 .37552 L p F P
0 g
s
.515 .182 .342 r
.45646 .41916 m .46875 .37552 L .50332 .36801 L p F P
0 g
s
.224 .745 .773 r
.42499 .42276 m .45646 .41916 L p .4817 .41309 L F P
0 g
s
.482 .9 .861 r
.4218 .43528 m .45646 .41916 L p .43763 .4254 L F P
0 g
s
.662 .743 .91 r
.40134 .43204 m .35887 .4597 L .30879 .42412 L p F P
0 g
s
.482 .9 .861 r
.37497 .44617 m .4218 .43528 L p .43763 .4254 L F P
0 g
s
.705 .977 .914 r
.39815 .45666 m .4218 .43528 L p .40314 .44496 L F P
0 g
s
.705 .977 .914 r
.34156 .47692 m .39815 .45666 L p .40314 .44496 L F P
0 g
s
.825 .458 .36 r
.46949 .45387 m .43584 .44048 L p .44235 .44905 L F P
0 g
s
.825 .458 .36 r
.47732 .49514 m .46949 .45387 L p .44235 .44905 L F P
0 g
s
.742 .399 .401 r
.50793 .46053 m .46949 .45387 L p .47587 .46119 L F P
0 g
s
.742 .399 .401 r
.5103 .50072 m .50793 .46053 L p .47587 .46119 L F P
0 g
s
.802 .739 .794 r
.26177 .47029 m .30879 .42412 L .35887 .4597 L p F P
0 g
s
.466 .365 .656 r
.75371 .56528 m .7369 .50641 L .79568 .46247 L p F P
0 g
s
.571 .555 .797 r
.7369 .50641 m .69961 .45469 L .74704 .41754 L p F P
0 g
s
.571 .555 .797 r
.74704 .41754 m .79568 .46247 L .7369 .50641 L p F P
0 g
s
.175 .708 .728 r
.55666 .45908 m .54782 .45994 L .58571 .45216 L p F P
0 g
s
.175 .708 .728 r
.58571 .45216 m .60919 .44829 L .55666 .45908 L p F P
0 g
s
.303 0 0 r
.4172 .65223 m .39721 .64403 L .48618 .65766 L p F P
0 g
s
.303 0 0 r
.48618 .65766 m .49217 .66368 L .4172 .65223 L p F P
0 g
s
.219 0 0 r
.49217 .66368 m .48618 .65766 L .57784 .65647 L p F P
0 g
s
.219 0 0 r
.57784 .65647 m .56956 .66268 L .49217 .66368 L p F P
0 g
s
.036 0 0 r
.56956 .66268 m .57784 .65647 L .66577 .6405 L p F P
0 g
s
.662 .743 .91 r
.69961 .45469 m .65472 .42826 L .68909 .40038 L p F P
0 g
s
.662 .743 .91 r
.68909 .40038 m .74704 .41754 L .69961 .45469 L p F P
0 g
s
.444 .879 .831 r
.60919 .44829 m .58571 .45216 L .61829 .43777 L p F P
0 g
s
.444 .879 .831 r
.61829 .43777 m .65472 .42826 L .60919 .44829 L p F P
0 g
s
.898 .535 .342 r
.25349 .57547 m .24047 .52758 L .30776 .57143 L p F P
0 g
s
.898 .535 .342 r
.30776 .57143 m .31745 .61617 L .25349 .57547 L p F P
0 g
s
.278 0 0 r
.35043 .62893 m .31745 .61617 L .39721 .64403 L p F P
0 g
s
.278 0 0 r
.39721 .64403 m .4172 .65223 L .35043 .62893 L p F P
0 g
s
.444 .172 .406 r
.75371 .56528 m .74344 .61046 L .66577 .6405 L p F P
0 g
s
.229 0 .323 r
.74344 .61046 m .75371 .56528 L .81774 .5194 L p F P
0 g
s
.466 .365 .656 r
.79568 .46247 m .81774 .5194 L .75371 .56528 L p F P
0 g
s
.036 0 0 r
.66577 .6405 m .64361 .64927 L .56956 .66268 L p F P
0 g
s
0 0 0 r
.64361 .64927 m .66577 .6405 L .74344 .61046 L p F P
0 g
s
.662 .743 .91 r
.30879 .42412 m .36491 .40529 L .40134 .43204 L p F P
0 g
s
.687 .976 .903 r
.65472 .42826 m .63123 .43439 L p .64252 .41789 L F P
0 g
s
.687 .976 .903 r
.64252 .41789 m .68909 .40038 L .65472 .42826 L p F P
0 g
s
.816 .963 .904 r
.68909 .40038 m .64252 .41789 L .65588 .39419 L p F P
0 g
s
0 0 0 r
.63673 .44536 m .65242 .40343 L p .64252 .41789 L F P
0 g
s
0 0 0 r
.65242 .40343 m .65588 .39419 L .64252 .41789 L p F P
0 g
s
.687 .976 .903 r
.63123 .43439 m .61829 .43777 L .64252 .41789 L p F P
0 g
s
.827 .794 .82 r
.22173 .41759 m .27724 .37994 L .30879 .42412 L p F P
0 g
s
.827 .794 .82 r
.30879 .42412 m .26177 .47029 L .22173 .41759 L p F P
0 g
s
.662 .743 .91 r
.36491 .40529 m .30879 .42412 L .27724 .37994 L p F P
0 g
s
.939 .783 .66 r
.19638 .47235 m .22173 .41759 L .26177 .47029 L p F P
0 g
s
.939 .783 .66 r
.26177 .47029 m .24047 .52758 L .19638 .47235 L p F P
0 g
s
.513 .544 .825 r
.79568 .46247 m .74704 .41754 L .77519 .37227 L p F P
0 g
s
.662 .743 .91 r
.74704 .41754 m .68909 .40038 L .70869 .36681 L p F P
0 g
s
.662 .743 .91 r
.70869 .36681 m .77519 .37227 L .74704 .41754 L p F P
0 g
s
.311 .278 .66 r
.81774 .5194 m .79568 .46247 L .83167 .40838 L p F P
0 g
s
.513 .544 .825 r
.77519 .37227 m .83167 .40838 L .79568 .46247 L p F P
0 g
s
.654 .329 .411 r
.50793 .46053 m .5103 .50072 L .54455 .50023 L p F P
0 g
s
.654 .329 .411 r
.54455 .50023 m .54782 .45994 L .50793 .46053 L p F P
0 g
s
0 .385 .796 r
.29757 .59512 m .25349 .57547 L .31745 .61617 L p F P
0 g
s
0 .385 .796 r
.31745 .61617 m .35043 .62893 L .29757 .59512 L p F P
0 g
s
.548 .239 .397 r
.54782 .45994 m .54455 .50023 L .57705 .49371 L p F P
0 g
s
.548 .239 .397 r
.57705 .49371 m .58571 .45216 L .54782 .45994 L p F P
0 g
s
.648 .76 .931 r
.44437 .62035 m .4172 .65223 L .49217 .66368 L p F P
0 g
s
.648 .76 .931 r
.49217 .66368 m .50035 .6291 L .44437 .62035 L p F P
0 g
s
.648 .76 .931 r
.50035 .6291 m .49217 .66368 L .56956 .66268 L p F P
0 g
s
.648 .76 .931 r
.56956 .66268 m .55828 .62833 L .50035 .6291 L p F P
0 g
s
.648 .76 .931 r
.55828 .62833 m .56956 .66268 L .64361 .64927 L p F P
0 g
s
.742 .399 .401 r
.46949 .45387 m .47732 .49514 L .5103 .50072 L p F P
0 g
s
0 0 0 r
.74344 .61046 m .70853 .62417 L .64361 .64927 L p F P
0 g
s
.229 0 .323 r
.81774 .5194 m .80426 .5679 L .74344 .61046 L p F P
0 g
s
.574 .939 .818 r
.70853 .62417 m .74344 .61046 L .80426 .5679 L p F P
0 g
s
.662 .743 .91 r
.27724 .37994 m .34274 .37246 L .36491 .40529 L p F P
0 g
s
.393 .103 .349 r
.58571 .45216 m .57705 .49371 L .60492 .48166 L p F P
0 g
s
.393 .103 .349 r
.60492 .48166 m .61829 .43777 L .58571 .45216 L p F P
0 g
s
.928 .552 .155 r
.21188 .52435 m .19638 .47235 L .24047 .52758 L p F P
0 g
s
.928 .552 .155 r
.24047 .52758 m .25349 .57547 L .21188 .52435 L p F P
0 g
s
.816 .963 .904 r
.65588 .39419 m .70869 .36681 L .68909 .40038 L p F P
0 g
s
.648 .76 .931 r
.39496 .60265 m .35043 .62893 L .4172 .65223 L p F P
0 g
s
.648 .76 .931 r
.4172 .65223 m .44437 .62035 L .39496 .60265 L p F P
0 g
s
.648 .76 .931 r
.64361 .64927 m .61352 .61809 L .55828 .62833 L p F P
0 g
s
.648 .76 .931 r
.61352 .61809 m .64361 .64927 L .70853 .62417 L p F P
0 g
s
0 0 .104 r
.80426 .5679 m .81774 .5194 L .8575 .46268 L p F P
0 g
s
.311 .278 .66 r
.83167 .40838 m .8575 .46268 L .81774 .5194 L p F P
0 g
s
.825 .458 .36 r
.43584 .44048 m .44853 .48393 L .47732 .49514 L p F P
0 g
s
.115 0 .226 r
.61829 .43777 m .60492 .48166 L .62552 .46508 L p F P
0 g
s
.115 0 .226 r
.62552 .46508 m .64252 .41789 L .61829 .43777 L p F P
0 g
s
.84 .857 .856 r
.20917 .35811 m .26855 .33064 L .27724 .37994 L p F P
0 g
s
.84 .857 .856 r
.27724 .37994 m .22173 .41759 L .20917 .35811 L p F P
0 g
s
.662 .743 .91 r
.34274 .37246 m .27724 .37994 L .26855 .33064 L p F P
0 g
s
.662 .743 .91 r
.26855 .33064 m .33767 .33632 L .34274 .37246 L p F P
0 g
s
.376 .522 .875 r
.39485 .39816 m .34274 .37246 L .33767 .33632 L p F P
0 g
s
.442 .542 .863 r
.83167 .40838 m .77519 .37227 L .77991 .32256 L p F P
0 g
s
.662 .743 .91 r
.77519 .37227 m .70869 .36681 L .71082 .33044 L p F P
0 g
s
.662 .743 .91 r
.71082 .33044 m .77991 .32256 L .77519 .37227 L p F P
0 g
s
.76 .569 .639 r
.5074 .56601 m .5103 .50072 L .47732 .49514 L p F P
0 g
s
.699 .517 .638 r
.5103 .50072 m .5074 .56601 L .54855 .56544 L p F P
0 g
s
.699 .517 .638 r
.54855 .56544 m .54455 .50023 L .5103 .50072 L p F P
0 g
s
.632 .465 .639 r
.54455 .50023 m .54855 .56544 L .58766 .5579 L p F P
0 g
s
.632 .465 .639 r
.58766 .5579 m .57705 .49371 L .54455 .50023 L p F P
0 g
s
.74 .66 .772 r
.46773 .55956 m .44437 .62035 L .50035 .6291 L p F P
0 g
s
.74 .66 .772 r
.50035 .6291 m .5074 .56601 L .46773 .55956 L p F P
0 g
s
.701 .625 .769 r
.5074 .56601 m .50035 .6291 L .55828 .62833 L p F P
0 g
s
.648 .76 .931 r
.35652 .5772 m .29757 .59512 L .35043 .62893 L p F P
0 g
s
.648 .76 .931 r
.35043 .62893 m .39496 .60265 L .35652 .5772 L p F P
0 g
s
.701 .625 .769 r
.55828 .62833 m .54855 .56544 L .5074 .56601 L p F P
0 g
s
.659 .595 .773 r
.54855 .56544 m .55828 .62833 L .61352 .61809 L p F P
0 g
s
0 .002 .56 r
.66106 .47692 m .64352 .43832 L p .63673 .44536 L F P
0 g
s
0 0 0 r
.64252 .41789 m .63016 .45218 L p .63673 .44536 L F P
0 g
s
.94 .888 .483 r
.65588 .39419 m .64195 .4314 L p .63717 .42433 L F P
0 g
s
.94 .888 .483 r
.64195 .4314 m .63673 .44536 L .63717 .42433 L p F P
0 g
s
0 .002 .56 r
.64352 .43832 m .63717 .42433 L .63673 .44536 L p F P
0 g
s
.707 .327 0 r
.64831 .45297 m .63222 .41702 L p .63717 .42433 L F P
0 g
s
.707 .327 0 r
.63222 .41702 m .6264 .40402 L .63717 .42433 L p F P
0 g
s
0 0 0 r
.63016 .45218 m .62552 .46508 L .63673 .44536 L p F P
0 g
s
.984 .894 .643 r
.18182 .40969 m .20917 .35811 L .22173 .41759 L p F P
0 g
s
.984 .894 .643 r
.22173 .41759 m .19638 .47235 L .18182 .40969 L p F P
0 g
s
.85 .896 .869 r
.70869 .36681 m .65588 .39419 L .65665 .36879 L p F P
0 g
s
.85 .896 .869 r
.65665 .36879 m .71082 .33044 L .70869 .36681 L p F P
0 g
s
.105 .454 .885 r
.26405 .55303 m .21188 .52435 L .25349 .57547 L p F P
0 g
s
.105 .454 .885 r
.25349 .57547 m .29757 .59512 L .26405 .55303 L p F P
0 g
s
.822 .629 .641 r
.46773 .55956 m .47732 .49514 L .44853 .48393 L p F P
0 g
s
.76 .569 .639 r
.47732 .49514 m .46773 .55956 L .5074 .56601 L p F P
0 g
s
.648 .76 .931 r
.70853 .62417 m .66146 .59905 L .61352 .61809 L p F P
0 g
s
.648 .76 .931 r
.66146 .59905 m .70853 .62417 L .75864 .58885 L p F P
0 g
s
.574 .939 .818 r
.80426 .5679 m .75864 .58885 L .70853 .62417 L p F P
0 g
s
.549 .409 .642 r
.57705 .49371 m .58766 .5579 L .6213 .54394 L p F P
0 g
s
.549 .409 .642 r
.6213 .54394 m .60492 .48166 L .57705 .49371 L p F P
0 g
s
.776 .703 .782 r
.43299 .54657 m .39496 .60265 L .44437 .62035 L p F P
0 g
s
.776 .703 .782 r
.44437 .62035 m .46773 .55956 L .43299 .54657 L p F P
0 g
s
.021 .125 .633 r
.8575 .46268 m .83167 .40838 L .83938 .34829 L p F P
0 g
s
.442 .542 .863 r
.77991 .32256 m .83938 .34829 L .83167 .40838 L p F P
0 g
s
.659 .595 .773 r
.61352 .61809 m .58766 .5579 L .54855 .56544 L p F P
0 g
s
.611 .571 .785 r
.58766 .5579 m .61352 .61809 L .66146 .59905 L p F P
0 g
s
0 0 .104 r
.8575 .46268 m .8417 .51541 L .80426 .5679 L p F P
0 g
s
.786 .989 .889 r
.75864 .58885 m .80426 .5679 L .8417 .51541 L p F P
0 g
s
.89 .704 .645 r
.43299 .54657 m .44853 .48393 L .4266 .46799 L p F P
0 g
s
.822 .629 .641 r
.44853 .48393 m .43299 .54657 L .46773 .55956 L p F P
0 g
s
.433 .336 .645 r
.60492 .48166 m .6213 .54394 L .64635 .52464 L p F P
0 g
s
.433 .336 .645 r
.64635 .52464 m .62552 .46508 L .60492 .48166 L p F P
0 g
s
.376 .522 .875 r
.33767 .33632 m .39199 .37288 L .39485 .39816 L p F P
0 g
s
.611 .571 .785 r
.66146 .59905 m .6213 .54394 L .58766 .5579 L p F P
0 g
s
.94 .888 .483 r
.63717 .42433 m .65665 .36879 L .65588 .39419 L p F P
0 g
s
0 0 .256 r
.19857 .46654 m .18182 .40969 L .19638 .47235 L p F P
0 g
s
0 0 .256 r
.19638 .47235 m .21188 .52435 L .19857 .46654 L p F P
0 g
s
.81 .754 .801 r
.40638 .52803 m .35652 .5772 L .39496 .60265 L p F P
0 g
s
.81 .754 .801 r
.39496 .60265 m .43299 .54657 L .40638 .52803 L p F P
0 g
s
.96 .803 .641 r
.40638 .52803 m .4266 .46799 L .41377 .44866 L p F P
0 g
s
.89 .704 .645 r
.4266 .46799 m .40638 .52803 L .43299 .54657 L p F P
0 g
s
.662 .743 .91 r
.28541 .28082 m .35123 .30031 L .33767 .33632 L p F P
0 g
s
.662 .743 .91 r
.33767 .33632 m .26855 .33064 L .28541 .28082 L p F P
0 g
s
.475 .533 .837 r
.39199 .37288 m .33767 .33632 L .35123 .30031 L p F P
0 g
s
.554 .551 .805 r
.6213 .54394 m .66146 .59905 L .69775 .57251 L p F P
0 g
s
.648 .76 .931 r
.75864 .58885 m .69775 .57251 L .66146 .59905 L p F P
0 g
s
.237 .221 .638 r
.62552 .46508 m .64635 .52464 L .6602 .50162 L p F P
0 g
s
.237 .221 .638 r
.6602 .50162 m .63673 .44536 L .62552 .46508 L p F P
0 g
s
.648 .76 .931 r
.333 .5459 m .26405 .55303 L .29757 .59512 L p F P
0 g
s
.648 .76 .931 r
.29757 .59512 m .35652 .5772 L .333 .5459 L p F P
0 g
s
.021 .125 .633 r
.83938 .34829 m .86682 .39931 L .8575 .46268 L p F P
0 g
s
.83 .811 .324 r
.8417 .51541 m .8575 .46268 L .86682 .39931 L p F P
0 g
s
.826 .92 .899 r
.22812 .29726 m .28541 .28082 L .26855 .33064 L p F P
0 g
s
.826 .92 .899 r
.26855 .33064 m .20917 .35811 L .22812 .29726 L p F P
0 g
s
.662 .743 .91 r
.77991 .32256 m .71082 .33044 L .69427 .2948 L p F P
0 g
s
.84 .822 .832 r
.71082 .33044 m .65665 .36879 L .64426 .34418 L p F P
0 g
s
.84 .822 .832 r
.64426 .34418 m .69427 .2948 L .71082 .33044 L p F P
0 g
s
.554 .551 .805 r
.69775 .57251 m .64635 .52464 L .6213 .54394 L p F P
0 g
s
.648 .76 .931 r
.69775 .57251 m .75864 .58885 L .7886 .54572 L p F P
0 g
s
.786 .989 .889 r
.8417 .51541 m .7886 .54572 L .75864 .58885 L p F P
0 g
s
.354 .55 .906 r
.83938 .34829 m .77991 .32256 L .75886 .27314 L p F P
0 g
s
.662 .743 .91 r
.69427 .2948 m .75886 .27314 L .77991 .32256 L p F P
0 g
s
.475 .533 .837 r
.35123 .30031 m .40229 .34796 L .39199 .37288 L p F P
0 g
s
.981 .822 .611 r
.65665 .36879 m .63717 .42433 L .6264 .40402 L p F P
0 g
s
.981 .822 .611 r
.6264 .40402 m .64426 .34418 L .65665 .36879 L p F P
0 g
s
.96 .803 .641 r
.41377 .44866 m .39059 .50548 L .40638 .52803 L p F P
0 g
s
.837 .816 .829 r
.35652 .5772 m .40638 .52803 L .39059 .50548 L p F P
0 g
s
0 .002 .56 r
.63673 .44536 m .6602 .50162 L .66106 .47692 L p F P
0 g
s
.837 .816 .829 r
.39059 .50548 m .333 .5459 L .35652 .5772 L p F P
0 g
s
.484 .536 .835 r
.64635 .52464 m .69775 .57251 L .71857 .5405 L p F P
0 g
s
.484 .536 .835 r
.71857 .5405 m .6602 .50162 L .64635 .52464 L p F P
0 g
s
.299 .494 .881 r
.2545 .50595 m .19857 .46654 L .21188 .52435 L p F P
0 g
s
.299 .494 .881 r
.21188 .52435 m .26405 .55303 L .2545 .50595 L p F P
0 g
s
.83 .902 .489 r
.20149 .34523 m .22812 .29726 L .20917 .35811 L p F P
0 g
s
.83 .902 .489 r
.20917 .35811 m .18182 .40969 L .20149 .34523 L p F P
0 g
s
.648 .76 .931 r
.7886 .54572 m .71857 .5405 L .69775 .57251 L p F P
0 g
s
.662 .743 .91 r
.328 .23585 m .38301 .26825 L .35123 .30031 L p F P
0 g
s
.662 .743 .91 r
.35123 .30031 m .28541 .28082 L .328 .23585 L p F P
0 g
s
.55 .55 .807 r
.40229 .34796 m .35123 .30031 L .38301 .26825 L p F P
0 g
s
.83 .811 .324 r
.86682 .39931 m .85002 .45698 L .8417 .51541 L p F P
0 g
s
.855 .932 .876 r
.7886 .54572 m .8417 .51541 L .85002 .45698 L p F P
0 g
s
0 0 .437 r
.86682 .39931 m .83938 .34829 L .8152 .28781 L p F P
0 g
s
.354 .55 .906 r
.75886 .27314 m .8152 .28781 L .83938 .34829 L p F P
0 g
s
.55 .55 .807 r
.38301 .26825 m .42521 .32601 L .40229 .34796 L p F P
0 g
s
.39 .298 .63 r
.42054 .40714 m .40229 .34796 L .42521 .32601 L p F P
0 g
s
.662 .743 .91 r
.75886 .27314 m .69427 .2948 L .65974 .26373 L p F P
0 g
s
.812 .759 .803 r
.69427 .2948 m .64426 .34418 L .61946 .32293 L p F P
0 g
s
.812 .759 .803 r
.61946 .32293 m .65974 .26373 L .69427 .2948 L p F P
0 g
s
.908 .716 .631 r
.64426 .34418 m .6264 .40402 L .60517 .38656 L p F P
0 g
s
.908 .716 .631 r
.60517 .38656 m .61946 .32293 L .64426 .34418 L p F P
0 g
s
.707 .327 0 r
.63717 .42433 m .65662 .46715 L p .64831 .45297 L F P
0 g
s
.884 .452 .13 r
.6264 .40402 m .64831 .45297 L .62271 .43228 L p F P
0 g
s
.115 .514 .91 r
.66742 .44183 m .6381 .43557 L p .64831 .45297 L F P
0 g
s
.115 .514 .91 r
.6381 .43557 m .62271 .43228 L .64831 .45297 L p F P
0 g
s
.707 .327 0 r
.65662 .46715 m .66106 .47692 L .64831 .45297 L p F P
0 g
s
.849 .888 .867 r
.333 .5459 m .39059 .50548 L .38756 .4809 L p F P
0 g
s
.391 .526 .873 r
.6602 .50162 m .71857 .5405 L .72103 .50576 L p F P
0 g
s
.391 .526 .873 r
.72103 .50576 m .66106 .47692 L .6602 .50162 L p F P
0 g
s
.648 .76 .931 r
.32746 .51138 m .2545 .50595 L .26405 .55303 L p F P
0 g
s
.648 .76 .931 r
.26405 .55303 m .333 .5459 L .32746 .51138 L p F P
0 g
s
.755 .962 .935 r
.27954 .2417 m .328 .23585 L .28541 .28082 L p F P
0 g
s
.755 .962 .935 r
.28541 .28082 m .22812 .29726 L .27954 .2417 L p F P
0 g
s
.608 .57 .786 r
.43041 .24388 m .45874 .30947 L .42521 .32601 L p F P
0 g
s
.608 .57 .786 r
.42521 .32601 m .38301 .26825 L .43041 .24388 L p F P
0 g
s
.53 .388 .633 r
.44019 .38909 m .42521 .32601 L .45874 .30947 L p F P
0 g
s
.39 .298 .63 r
.42521 .32601 m .44019 .38909 L .42054 .40714 L p F P
0 g
s
.849 .888 .867 r
.38756 .4809 m .32746 .51138 L .333 .5459 L p F P
0 g
s
.648 .76 .931 r
.71857 .5405 m .7886 .54572 L .79397 .49822 L p F P
0 g
s
.855 .932 .876 r
.85002 .45698 m .79397 .49822 L .7886 .54572 L p F P
0 g
s
0 .035 .544 r
.21781 .40726 m .20149 .34523 L .18182 .40969 L p F P
0 g
s
0 .035 .544 r
.18182 .40969 m .19857 .46654 L .21781 .40726 L p F P
0 g
s
.253 .569 .938 r
.8152 .28781 m .75886 .27314 L .71234 .22947 L p F P
0 g
s
.662 .743 .91 r
.65974 .26373 m .71234 .22947 L .75886 .27314 L p F P
0 g
s
.778 .706 .784 r
.65974 .26373 m .61946 .32293 L .58451 .30746 L p F P
0 g
s
.833 .633 .633 r
.61946 .32293 m .60517 .38656 L .57543 .37388 L p F P
0 g
s
.833 .633 .633 r
.57543 .37388 m .58451 .30746 L .61946 .32293 L p F P
0 g
s
.662 .743 .91 r
.39316 .20129 m .43041 .24388 L .38301 .26825 L p F P
0 g
s
.662 .743 .91 r
.38301 .26825 m .328 .23585 L .39316 .20129 L p F P
0 g
s
.648 .76 .931 r
.79397 .49822 m .72103 .50576 L .71857 .5405 L p F P
0 g
s
.884 .452 .13 r
.62271 .43228 m .60517 .38656 L .6264 .40402 L p F P
0 g
s
.662 .743 .91 r
.71234 .22947 m .65974 .26373 L .61024 .24091 L p F P
0 g
s
.778 .706 .784 r
.58451 .30746 m .61024 .24091 L .65974 .26373 L p F P
0 g
s
0 0 .437 r
.8152 .28781 m .84142 .33518 L .86682 .39931 L p F P
0 g
s
.997 .839 .563 r
.85002 .45698 m .86682 .39931 L .84142 .33518 L p F P
0 g
s
.819 .955 .904 r
.32746 .51138 m .38756 .4809 L .39815 .45666 L p F P
0 g
s
.657 .596 .774 r
.48857 .23028 m .49948 .30029 L .45874 .30947 L p F P
0 g
s
.657 .596 .774 r
.45874 .30947 m .43041 .24388 L .48857 .23028 L p F P
0 g
s
.624 .453 .631 r
.46875 .37552 m .45874 .30947 L .49948 .30029 L p F P
0 g
s
.53 .388 .633 r
.45874 .30947 m .46875 .37552 L .44019 .38909 L p F P
0 g
s
.741 .662 .773 r
.61024 .24091 m .58451 .30746 L .54301 .29959 L p F P
0 g
s
.765 .568 .631 r
.58451 .30746 m .57543 .37388 L .54022 .36744 L p F P
0 g
s
.765 .568 .631 r
.54022 .36744 m .54301 .29959 L .58451 .30746 L p F P
0 g
s
.266 .521 .909 r
.66106 .47692 m .72103 .50576 L .70375 .47164 L p F P
0 g
s
.266 .521 .909 r
.70375 .47164 m .64831 .45297 L .66106 .47692 L p F P
0 g
s
.826 .425 .288 r
.60517 .38656 m .62271 .43228 L .58658 .4172 L p F P
0 g
s
.826 .425 .288 r
.58658 .4172 m .57543 .37388 L .60517 .38656 L p F P
0 g
s
.701 .626 .77 r
.55093 .22924 m .54301 .29959 L .49948 .30029 L p F P
0 g
s
.701 .626 .77 r
.49948 .30029 m .48857 .23028 L .55093 .22924 L p F P
0 g
s
.698 .51 .631 r
.50332 .36801 m .49948 .30029 L .54301 .29959 L p F P
0 g
s
.624 .453 .631 r
.49948 .30029 m .50332 .36801 L .46875 .37552 L p F P
0 g
s
.741 .662 .773 r
.54301 .29959 m .55093 .22924 L .61024 .24091 L p F P
0 g
s
.698 .51 .631 r
.54301 .29959 m .54022 .36744 L .50332 .36801 L p F P
0 g
s
0 0 0 r
.25683 .28603 m .27954 .2417 L .22812 .29726 L p F P
0 g
s
0 0 0 r
.22812 .29726 m .20149 .34523 L .25683 .28603 L p F P
0 g
s
.662 .743 .91 r
.47416 .18185 m .48857 .23028 L .43041 .24388 L p F P
0 g
s
.662 .743 .91 r
.43041 .24388 m .39316 .20129 L .47416 .18185 L p F P
0 g
s
.433 .52 .847 r
.27192 .45823 m .21781 .40726 L .19857 .46654 L p F P
0 g
s
.433 .52 .847 r
.19857 .46654 m .2545 .50595 L .27192 .45823 L p F P
0 g
s
.662 .743 .91 r
.61024 .24091 m .6441 .19705 L .71234 .22947 L p F P
0 g
s
.662 .743 .91 r
.6441 .19705 m .61024 .24091 L .55093 .22924 L p F P
0 g
s
.605 .942 .941 r
.36005 .19856 m .39316 .20129 L .328 .23585 L p F P
0 g
s
.605 .942 .941 r
.328 .23585 m .27954 .2417 L .36005 .19856 L p F P
0 g
s
.737 .366 .348 r
.57543 .37388 m .58658 .4172 L .54365 .40952 L p F P
0 g
s
.737 .366 .348 r
.54365 .40952 m .54022 .36744 L .57543 .37388 L p F P
0 g
s
.253 .569 .938 r
.71234 .22947 m .75875 .23376 L .8152 .28781 L p F P
0 g
s
.828 .364 0 r
.84142 .33518 m .8152 .28781 L .75875 .23376 L p F P
0 g
s
.819 .955 .904 r
.39815 .45666 m .34156 .47692 L .32746 .51138 L p F P
0 g
s
.648 .76 .931 r
.2545 .50595 m .32746 .51138 L .34156 .47692 L p F P
0 g
s
.997 .839 .563 r
.84142 .33518 m .82534 .39804 L .85002 .45698 L p F P
0 g
s
.851 .851 .842 r
.79397 .49822 m .85002 .45698 L .82534 .39804 L p F P
0 g
s
.662 .743 .91 r
.5614 .18036 m .55093 .22924 L .48857 .23028 L p F P
0 g
s
.662 .743 .91 r
.48857 .23028 m .47416 .18185 L .5614 .18036 L p F P
0 g
s
.168 .6 .938 r
.75875 .23376 m .71234 .22947 L .6441 .19705 L p F P
0 g
s
.662 .743 .91 r
.55093 .22924 m .5614 .18036 L .6441 .19705 L p F P
0 g
s
.115 .514 .91 r
.64831 .45297 m .70375 .47164 L .66742 .44183 L p F P
0 g
s
.648 .76 .931 r
.34156 .47692 m .27192 .45823 L .2545 .50595 L p F P
0 g
s
.648 .76 .931 r
.72103 .50576 m .79397 .49822 L .77211 .45086 L p F P
0 g
s
.648 .76 .931 r
.77211 .45086 m .70375 .47164 L .72103 .50576 L p F P
0 g
s
.851 .851 .842 r
.82534 .39804 m .77211 .45086 L .79397 .49822 L p F P
0 g
s
.705 .977 .914 r
.4218 .43528 m .37497 .44617 L .34156 .47692 L p F P
0 g
s
0 .506 .848 r
.62271 .43228 m .66742 .44183 L .61516 .4199 L p F P
0 g
s
0 .506 .848 r
.61516 .4199 m .58658 .4172 L .62271 .43228 L p F P
0 g
s
.332 .248 .609 r
.27077 .35301 m .25683 .28603 L .20149 .34523 L p F P
0 g
s
.332 .248 .609 r
.20149 .34523 m .21781 .40726 L .27077 .35301 L p F P
0 g
s
.404 .851 .914 r
.46128 .17413 m .47416 .18185 L .39316 .20129 L p F P
0 g
s
.404 .851 .914 r
.39316 .20129 m .36005 .19856 L .46128 .17413 L p F P
0 g
s
.168 .6 .938 r
.6441 .19705 m .67424 .19325 L .75875 .23376 L p F P
0 g
s
.15 .651 .909 r
.67424 .19325 m .6441 .19705 L .5614 .18036 L p F P
0 g
s
.648 .76 .931 r
.27192 .45823 m .34156 .47692 L .37497 .44617 L p F P
0 g
s
.929 .729 .612 r
.82534 .39804 m .84142 .33518 L .78053 .27756 L p F P
0 g
s
.828 .364 0 r
.75875 .23376 m .78053 .27756 L .84142 .33518 L p F P
0 g
s
.482 .9 .861 r
.45646 .41916 m .42499 .42276 L .37497 .44617 L p F P
0 g
s
.648 .76 .931 r
.70375 .47164 m .77211 .45086 L .72321 .4089 L p F P
0 g
s
.648 .76 .931 r
.72321 .4089 m .66742 .44183 L .70375 .47164 L p F P
0 g
s
.223 0 .163 r
.34443 .23987 m .36005 .19856 L .27954 .2417 L p F P
0 g
s
.223 0 .163 r
.27954 .2417 m .25683 .28603 L .34443 .23987 L p F P
0 g
s
0 .525 .762 r
.58658 .4172 m .61516 .4199 L .55245 .40868 L p F P
0 g
s
0 .525 .762 r
.55245 .40868 m .54365 .40952 L .58658 .4172 L p F P
0 g
s
.232 .737 .893 r
.57076 .17226 m .5614 .18036 L .47416 .18185 L p F P
0 g
s
.232 .737 .893 r
.47416 .18185 m .46128 .17413 L .57076 .17226 L p F P
0 g
s
.15 .651 .909 r
.5614 .18036 m .57076 .17226 L .67424 .19325 L p F P
0 g
s
.224 .745 .773 r
.4986 .41021 m .48648 .40967 L .42499 .42276 L p F P
0 g
s
.818 .375 .187 r
.78053 .27756 m .75875 .23376 L .67424 .19325 L p F P
0 g
s
.032 .603 .728 r
.54365 .40952 m .55245 .40868 L .48648 .40967 L p F P
0 g
s
.526 .543 .816 r
.31664 .41504 m .27077 .35301 L .21781 .40726 L p F P
0 g
s
.526 .543 .816 r
.21781 .40726 m .27192 .45823 L .31664 .41504 L p F P
0 g
s
.648 .76 .931 r
.37497 .44617 m .31664 .41504 L .27192 .45823 L p F P
0 g
s
.929 .729 .612 r
.78053 .27756 m .76717 .34525 L .82534 .39804 L p F P
0 g
s
.822 .778 .812 r
.77211 .45086 m .82534 .39804 L .76717 .34525 L p F P
0 g
s
.822 .778 .812 r
.76717 .34525 m .72321 .4089 L .77211 .45086 L p F P
0 g
s
.648 .76 .931 r
.31664 .41504 m .37497 .44617 L .42499 .42276 L p F P
0 g
s
.648 .76 .931 r
.66742 .44183 m .72321 .4089 L .65114 .37768 L p F P
0 g
s
.648 .76 .931 r
.65114 .37768 m .61516 .4199 L .66742 .44183 L p F P
0 g
s
.468 .106 .267 r
.45518 .21364 m .46128 .17413 L .36005 .19856 L p F P
0 g
s
.468 .106 .267 r
.36005 .19856 m .34443 .23987 L .45518 .21364 L p F P
0 g
s
.505 .362 .62 r
.35402 .31082 m .34443 .23987 L .25683 .28603 L p F P
0 g
s
.505 .362 .62 r
.25683 .28603 m .27077 .35301 L .35402 .31082 L p F P
0 g
s
.818 .375 .187 r
.67424 .19325 m .68846 .23417 L .78053 .27756 L p F P
0 g
s
.727 .32 .276 r
.68846 .23417 m .67424 .19325 L .57076 .17226 L p F P
0 g
s
.846 .638 .621 r
.76717 .34525 m .78053 .27756 L .68846 .23417 L p F P
0 g
s
.648 .76 .931 r
.38543 .38176 m .42499 .42276 L .48648 .40967 L p F P
0 g
s
.648 .76 .931 r
.42499 .42276 m .38543 .38176 L .31664 .41504 L p F P
0 g
s
.648 .76 .931 r
.61516 .4199 m .65114 .37768 L .56358 .36158 L p F P
0 g
s
.648 .76 .931 r
.56358 .36158 m .55245 .40868 L .61516 .4199 L p F P
0 g
s
.596 .568 .794 r
.27077 .35301 m .31664 .41504 L .38543 .38176 L p F P
0 g
s
.616 .234 .297 r
.57519 .21163 m .57076 .17226 L .46128 .17413 L p F P
0 g
s
.616 .234 .297 r
.46128 .17413 m .45518 .21364 L .57519 .21163 L p F P
0 g
s
.727 .32 .276 r
.57076 .17226 m .57519 .21163 L .68846 .23417 L p F P
0 g
s
.648 .76 .931 r
.47116 .36301 m .48648 .40967 L .55245 .40868 L p F P
0 g
s
.648 .76 .931 r
.48648 .40967 m .47116 .36301 L .38543 .38176 L p F P
0 g
s
.596 .568 .794 r
.38543 .38176 m .35402 .31082 L .27077 .35301 L p F P
0 g
s
.784 .719 .791 r
.72321 .4089 m .76717 .34525 L .67973 .30562 L p F P
0 g
s
.784 .719 .791 r
.67973 .30562 m .65114 .37768 L .72321 .4089 L p F P
0 g
s
.648 .76 .931 r
.55245 .40868 m .56358 .36158 L .47116 .36301 L p F P
0 g
s
.846 .638 .621 r
.68846 .23417 m .67973 .30562 L .76717 .34525 L p F P
0 g
s
.613 .439 .622 r
.45893 .2869 m .45518 .21364 L .34443 .23987 L p F P
0 g
s
.613 .439 .622 r
.34443 .23987 m .35402 .31082 L .45893 .2869 L p F P
0 g
s
.771 .566 .622 r
.67973 .30562 m .68846 .23417 L .57519 .21163 L p F P
0 g
s
.651 .597 .781 r
.35402 .31082 m .38543 .38176 L .47116 .36301 L p F P
0 g
s
.743 .671 .78 r
.65114 .37768 m .67973 .30562 L .57247 .28507 L p F P
0 g
s
.743 .671 .78 r
.57247 .28507 m .56358 .36158 L .65114 .37768 L p F P
0 g
s
.651 .597 .781 r
.47116 .36301 m .45893 .2869 L .35402 .31082 L p F P
0 g
s
.696 .503 .622 r
.57247 .28507 m .57519 .21163 L .45518 .21364 L p F P
0 g
s
.696 .503 .622 r
.45518 .21364 m .45893 .2869 L .57247 .28507 L p F P
0 g
s
.771 .566 .622 r
.57519 .21163 m .57247 .28507 L .67973 .30562 L p F P
0 g
s
.7 .631 .776 r
.45893 .2869 m .47116 .36301 L .56358 .36158 L p F P
0 g
s
.7 .631 .776 r
.56358 .36158 m .57247 .28507 L .45893 .2869 L p F P
0 g
s
.25 Mabswid
.69117 0 m
.97553 .43075 L
s
.97553 .43075 m
1 .60976 L
s
1 .60976 m
.70254 .19586 L
s
.70254 .19586 m
.69117 0 L
s
.02966 .25621 m
0 .44336 L
s
0 .44336 m
.70254 .19586 L
s
.70254 .19586 m
.69117 0 L
s
.69117 0 m
.02966 .25621 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[178]:=",
  ImageSize->{288, 221.75},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40005X00015B000`400?l00000o`00003om`3oool2
000006l0oooo003e0?ooo`80000000<0oooo000000000000KP3oool00?80oooo0`0000030?ooo`80
0000KP3oool00>l0oooo0`0000060?ooo`030000003oool0000006d0oooo003]0?ooo`8000002@3o
ool010000000oooo0?ooo`00001/0?ooo`00jP3oool3000000/0oooo00@000000?ooo`3oool00000
K03oool00>P0oooo0P00000>0?ooo`050000003oool0oooo0?ooo`000000J`3oool00>D0oooo0`00
000@0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0J03oool00><0oooo0P00000C
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0J03oool00>00oooo0`00000F0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0I`3oool00=d0oooo0`00000I0?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool0IP3oool00=/0oooo0P00000L0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0IP3oool00=P0oooo0`00000N0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0I@3oool00=H0oooo0P00000Q0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0I03oool00=<0oooo0`00000S0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0I03oool00=00oooo0`00000V0?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool0H`3oool00<h0oooo0P00000Y0?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool0HP3oool00</0oooo0`00000[0?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool0HP3oool00<T0oooo0P00000^0?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool0H@3oool00<H0oooo0`00000`0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0H03oool00<<0oooo0`00000c0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0H03oool00<40oooo0P00000f0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
G`3oool00;h0oooo0`00000h0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0G`3o
ool00;`0oooo0P00000k0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0GP3oool0
0;T0oooo0`00000m0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0G@3oool00;L0
oooo0P0000100?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0G@3oool00;@0oooo
0`0000120?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0G03oool00;40oooo0`00
00160?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0F`3oool00:l0oooo0P000019
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0F`3oool00:`0oooo0`00001;0?oo
o`030000003oool0oooo00h0oooo00<000000?ooo`3oool0FP3oool00:X0oooo0P00001>0?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool0F@3oool00:L0oooo0`00001@0?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool0F@3oool00:@0oooo0`00001C0?ooo`030000003o
ool0oooo0100oooo00<000000?ooo`3oool0F03oool00:80oooo0P00001F0?ooo`030000003oool0
oooo0140oooo00<000000?ooo`3oool0E`3oool009l0oooo0`00001H0?ooo`030000003oool0oooo
0140oooo00<000000?ooo`3oool0E`3oool009d0oooo0P00001K0?ooo`030000003oool0oooo0180
oooo00<000000?ooo`3oool0EP3oool009X0oooo0`00001M0?ooo`030000003oool0oooo01<0oooo
00<000000?ooo`3oool0E@3oool009L0oooo0`00001P0?ooo`030000003oool0oooo01<0oooo00<0
00000?ooo`3oool0E@3oool009D0oooo0P00001S0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0E03oool00980oooo0`00001U0?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool0D`3oool00900oooo0P00001X0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool0D`3oool008d0oooo0`00001Z0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0
DP3oool008/0oooo0P00001]0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0D@3o
ool008P0oooo0`00001_0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0D@3oool0
08D0oooo0`00001b0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0D03oool008<0
oooo0P00001f0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0C`3oool00800oooo
0`00001h0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0C`3oool007h0oooo0P00
001k0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0CP3oool007/0oooo0`00001m
0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0C@3oool007P0oooo0`0000200?oo
o`030000003oool0oooo01X0oooo00<000000?ooo`3oool0C@3oool007H0oooo0P0000230?ooo`03
0000003oool0oooo01/0oooo00<000000?ooo`3oool0C03oool007<0oooo0`0000250?ooo`030000
003oool0oooo01`0oooo00<000000?ooo`3oool0B`3oool00740oooo0P0000280?ooo`030000003o
ool0oooo01`0oooo00<000000?ooo`3oool0B`3oool006h0oooo0`00002:0?ooo`030000003oool0
oooo01d0oooo00<000000?ooo`3oool0BP3oool006`0oooo0P00002=0?ooo`030000003oool0oooo
01h0oooo00<000000?ooo`3oool0B@3oool006T0oooo0`00002?0?ooo`030000003oool0oooo01h0
oooo00<000000?ooo`3oool0B@3oool006H0oooo0`00002B0?ooo`030000003oool0oooo01l0oooo
00<000000?ooo`3oool0B03oool006@0oooo0P00002E0?ooo`030000003oool0oooo0200oooo00<0
00000?ooo`3oool0A`3oool00640oooo0`00002G0?ooo`030000003oool0oooo0200oooo00<00000
0?ooo`3oool0A`3oool005l0oooo0P00002J0?ooo`030000003oool0oooo0240oooo00<000000?oo
o`3oool0AP3oool005`0oooo0`00002L0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3o
ool0AP3oool005T0oooo0`00002O0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
A@3oool005L0oooo0P00001P0?oooaH00000;03oool00`000000oooo0?ooo`0S0?ooo`030000003o
ool0oooo04@0oooo001D0?ooo`<00000C@3ooolE000001<0WC]<00<000000;YAAP2jDDH01000000Y
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0A03oool00580oooo0P00001<0?oo
o`@0000000<0Ma]40000002M>d`09@2M>d`00`000000^U560;YAAP040;YAAPD00000903oool00`00
0000oooo0?ooo`0S0?ooo`030000003oool0oooo04<0oooo001?0?ooo`<00000BP3oool4000000D0
Ma]400<0000009dkC02M>d`0902M>d`00`000000^U560;YAAP090;YAAPD000007`3oool00`000000
oooo0?ooo`0T0?ooo`030000003oool0oooo0480oooo001<0?ooo`<00000B@3oool4000000T0Ma]4
00<0000009dkC02M>d`09@2M>d`00`000000^U560;YAAP0=0;YAAP@000006`3oool00`000000oooo
0?ooo`0T0?ooo`030000003oool0oooo0480oooo001:0?ooo`800000B03oool4000000`0Ma]400<0
000009dkC02M>d`09P2M>d`00`000000^U560;YAAP0A0;YAAPD000005P3oool00`000000oooo0?oo
o`0U0?ooo`030000003oool0oooo0440oooo00170?ooo`<00000AP3oool400000100Ma]400<00000
09dkC02M>d`09P2M>d`00`000000^U560;YAAP0F0;YAAPD000004@3oool00`000000oooo0?ooo`0V
0?ooo`030000003oool0oooo0400oooo00150?ooo`800000A@3oool4000001@0Ma]400<0000009dk
C02M>d`09P2M>d`00`000000^U560;YAAP0K0;YAAP@000003@3oool00`000000oooo0?ooo`0V0?oo
o`030000003oool0oooo0400oooo00120?ooo`<00000@`3oool4000001P0Ma]400<0000009dkC02M
>d`09P2M>d`00`000000^U560;YAAP0O0;YAAP@000002@3oool00`000000oooo0?ooo`0W0?ooo`03
0000003oool0oooo03l0oooo00100?ooo`800000@P3oool4000001`0Ma]400<0000009dkC02M>d`0
9P2M>d`00`000000^U560;YAAP0Q0;YAAP040000003AGbl00000000000H0oooo0P00000Z0?ooo`03
0000003oool0oooo03h0oooo000m0?ooo`<00000@@3oool300000200Ma]400<0000009dkC02M>d`0
9P2M>d`00`000000^U560;YAAP0R0;YAAP030000003AGbl0dEl_0080000000@0oooo000000000000
00000P3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo03h0oooo000j0?ooo`<00000
@P3oool300000280Ma]400<0000009dkC02M>d`09`2M>d`00`000000^U560;YAAP0Q0;YAAP030000
003AGbl0dEl_00@00000103oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo03d0oooo
000h0?ooo`800000@`3oool20000000303T0:@000000Ma]40240Ma]400<0000009dkC02M>d`0:02M
>d`00`000000^U560;YAAP0Q0;YAAP<00000103AGbl2000000<0oooo00<000000?ooo`3oool0:03o
ool00`000000oooo0?ooo`0l0?ooo`00=@3oool3000004<0oooo0P00000303T0:@030000001g6d@0
Ma]40200Ma]400<0000009dkC02M>d`0:02M>d`00`000000^U560;YAAP0O0;YAAP80000000<0^U56
0000003AGbl01P3AGbl3000000030?ooo`000000oooo02P0oooo00<000000?ooo`3oool0?03oool0
03<0oooo0P0000140?ooo`800000100i02T00`000000Ma]407LKA00Q07LKA0030000002M>d`0WC]<
01<0WC]<6000000L0;YAAP<00000102jDDH00`000000dEl_0=5O;`070=5O;`<00000:@3oool00`00
0000oooo0?ooo`0k0?ooo`00<03oool3000004@0oooo0P00000603T0:@030000001g6d@0Ma]401l0
Ma]46000000E0;:0W`0300000035T9l0aI2O00D00000502jDDH3000000L0^U5600<000000=5O;`3A
Gbl02@3AGbl2000002T0oooo00<000000?ooo`3oool0>P3oool002d0oooo0`0000150?ooo`800000
1`0i02T00`000000Ma]407LKA00L07LKA0@000000P2LL9l00`000000/X2O0;:0W`0X0;:0W`030000
0035T9l0aI2O00D0aI2O1@00000<0;YAAP<000002P2jDDH00`000000dEl_0=5O;`0:0=5O;`<00000
9`3oool00`000000oooo0?ooo`0j0?ooo`00:`3oool2000004H0oooo0P00000903T0:@030000001g
6d@0Ma]401L0Ma]41@00000609a`W`030000002bP9l0/X2O02P0/X2O00<000000<F@W`35T9l02P35
T9l5000000@0^U560`00000>0;YAAP030000003AGbl0dEl_00X0dEl_00<000000=5O;`0000000P00
000U0?ooo`030000003oool0oooo03T0oooo000X0?ooo`<00000AP3oool2000000/0>@0Y00<00000
07LKA01g6d@04`1g6d@4000000/0W72O00<000000;:0W`2bP9l0:02bP9l00`000000aI2O0<F@W`0?
0<F@W`H000003`2jDDH00`000000dEl_0=5O;`0:0=5O;`030000003AGbl0dEl_0080dEl_0P00000T
0?ooo`030000003oool0oooo03P0oooo000V0?ooo`800000A`3oool2000000`0>@0Y00<0000007LK
A01g6d@0401g6d@4000000l0W72O00<000000;:0W`2bP9l0:02bP9l00`000000aI2O0<F@W`0=0<F@
W`<000001@35T9l5000000/0^U5600<000000=5O;`3AGbl02P3AGbl00`000000dEl_0=5O;`030=5O
;`8000008P3oool00`000000oooo0?ooo`0h0?ooo`008`3oool3000004L0oooo0P00000>03T0:@03
0000001g6d@0Ma]400/0Ma]41@00000C09a`W`030000002bP9l0/X2O02P0/X2O00<000000<F@W`35
T9l02`35T9l2000000d0aI2O1@0000060;YAAP030000003AGbl0dEl_00/0dEl_00<000000=5O;`3A
Gbl0103AGbl200000240oooo00<000000?ooo`3oool0=`3oool00200oooo0`0000180?ooo`800000
3`0i02T00`000000Ma]407LKA00807LKA0@00000602LL9l00`000000/X2O0;:0W`0X0;:0W`030000
0035T9l0aI2O00P0aI2O0`00000D0<F@W`D000000P2jDDH00`000000dEl_0=5O;`0;0=5O;`030000
003AGbl0dEl_00D0dEl_0P00000P0?ooo`030000003oool0oooo03H0oooo000N0?ooo`800000B@3o
ool200000140>@0Y00<0000007LKA01g6d@00`1g6d@5000001`0W72O00<000000;:0W`2bP9l0:02b
P9l00`000000aI2O0<F@W`050<F@W`<000007035T9l4000000`0dEl_00<000000=5O;`3AGbl01`3A
Gbl2000001h0oooo00<000000?ooo`3oool0=P3oool001/0oooo0`0000190?ooo`8000004P0i02T0
0`000000Ma]407LKA00400000240W72O00<000000;:0W`2bP9l0:02bP9l00`000000aI2O0<F@W`02
0<F@W`<000008@35T9l010000000f:>N00000000000;0=5O;`030000003AGbl0dEl_00L0dEl_0P00
000N0?ooo`030000003oool0oooo03D0oooo000I0?ooo`800000BP3oool2000001@0>@0Y0`00000U
09a`W`030000002bP9l0/X2O02P0/X2O00<000000<F@W`0000000P00000T0<F@W`040000003HXih0
f:>N0=RSWP8000002P3AGbl00`000000dEl_0=5O;`070=5O;`8000007P3oool00`000000oooo0?oo
o`0d0?ooo`005P3oool3000004/0oooo00<0000003T0:@0i02T04P0i02T3000002L0W72O00<00000
0;:0W`2bP9l09`2bP9l3000002L0aI2O00<000000=RSWP3HXih00`3HXih2000000P0dEl_00<00000
0=5O;`3AGbl01`3AGbl00`000000ded00000000M0?ooo`030000003oool0oooo03@0oooo000D0?oo
o`800000C@3oool00`000000>@0Y03T0:@0A03T0:@8000000P21G9h00`000000W72O09a`W`0U09a`
W`030000002bP9l0/X2O02@0/X2O0`0000000`2bP9l000000<F@W`0V0<F@W`030000003HXih0f:>N
00H0f:>N0P0000070=5O;`030000003AGbl0dEl_00L0dEl_00<000000==M000000007@3oool00`00
0000oooo0?ooo`0c0?ooo`004@3oool3000004h0oooo0P00000A03T0:@8000001021G9h00`000000
W72O09a`W`0U09a`W`030000002bP9l0/X2O0280/X2O0P0000040;:0W`0300000035T9l0aI2O02D0
aI2O00<000000=RSWP3HXih0203HXih2000000H0dEl_00<000000=5O;`3AGbl01P3AGbl010000000
ded00==M0000000M0?ooo`030000003oool0oooo0380oooo000>0?ooo`<00000D03oool200000100
>@0Y0P000007085LWP030000002LL9l0W72O02@0W72O00<000000;:0W`2bP9l07`2bP9l3000000D0
/X2O00<000000<F@W`35T9l09P35T9l00`000000f:>N0=RSWP0:0=RSWP8000001@3AGbl00`000000
dEl_0=5O;`060=5O;`040000003CG@00ded0000001`0oooo00<000000?ooo`3oool0<P3oool000`0
oooo0P00001B0?ooo`<000003P0i02T2000000T0PEbN00<0000009a`W`2LL9l09@2LL9l00`000000
/X2O0;:0W`0K0;:0W`<00000202bP9l00`000000aI2O0<F@W`0V0<F@W`030000003HXih0f:>N00`0
f:>N0P0000030=5O;`030000003AGbl0dEl_00H0dEl_00D000000==M003CG@00ded00000000L0?oo
o`030000003oool0oooo0340oooo000:0?ooo`800000D`3oool3000000h0>@0Y00<00000085LWP21
G9h02@21G9h00`000000W72O09a`W`0U09a`W`030000002bP9l0/X2O01P0/X2O0`00000;0;:0W`03
00000035T9l0aI2O02H0aI2O00<000000=RSWP3HXih03P3HXih200000080dEl_00<000000=5O;`3A
Gbl01P3AGbl01@000000ded00==M003CG@00000001`0oooo00<000000?ooo`3oool0<03oool000X0
oooo0P00001B0?ooo`@00000300i02T2000000`0PEbN00<0000009a`W`2LL9l09@2LL9l00`000000
/X2O0;:0W`0E0;:0W`<000003P2bP9l00`000000aI2O0<F@W`0V0<F@W`030000003HXih0f:>N0100
f:>N0P0000000`3AGbl000000=5O;`060=5O;`030000003CG@00ded00080ded000<000000?ooo`3o
ool06@3oool00`000000oooo0?ooo`0`0?ooo`002P3oool00`000000oooo0000001@0?ooo`@00000
2`0i02T2000000h0PEbN00<0000009a`W`2LL9l09@2LL9l00`000000/X2O0;:0W`0B0;:0W`<00000
4@2bP9l00`000000aI2O0<F@W`0U0<F@W`030000003HXih0f:>N01<0f:>N0P0000080=5O;`030000
003CG@00ded00080ded000<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0_0?ooo`002P3o
ool010000000oooo0?ooo`00001>0?ooo`D000002@0i02T200000100PEbN00<0000009a`W`2LL9l0
9@2LL9l00`000000/X2O0;:0W`0?0;:0W`<00000502bP9l00`000000aI2O0<F@W`0U0<F@W`030000
003HXih0f:>N01D0f:>N0P0000060=5O;`030000003CG@00ded000<0ded000<000000?ooo`3oool0
6@3oool00`000000oooo0?ooo`0^0?ooo`002@3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo04X0oooo1@00000803T0:@8000004`21G9h00`000000W72O09a`W`0T09a`W`030000002b
P9l0/X2O00`0/X2O0`00000G0;:0W`0300000035T9l0aI2O02D0aI2O00<000000=RSWP3HXih05P3H
Xih3000000D0dEl_00<000000==M003CG@000`3CG@000`000000oooo0?ooo`0H0?ooo`030000003o
ool0oooo02h0oooo00090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0B03oool6
000000L0>@0Y00<00000085LWP21G9h04`21G9h00`000000W72O09a`W`0T09a`W`030000002bP9l0
/X2O00X0/X2O0P00000J0;:0W`0300000035T9l0aI2O02D0aI2O00<000000=RSWP3HXih05`3HXih0
10000000f:>N0000000000030=5O;`030000003CG@00ded000@0ded000<000000?ooo`3oool0603o
ool00`000000oooo0?ooo`0]0?ooo`002@3oool00`000000oooo0?ooo`040?ooo`800000B03oool5
000000H0>@0Y0P00000F085LWP030000002LL9l0W72O02@0W72O00<000000;:0W`2bP9l01`2bP9l3
000001`0/X2O00<000000<F@W`35T9l09@35T9l00`000000f:>N0=RSWP0G0=RSWP040000003HXih0
f:>N0=RSWP8000000P3AGbl00`000000ded00==M00040==M00030000003oool0oooo01L0oooo00<0
00000?ooo`3oool0;@3oool000T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`14
0?ooo`H00000100i02T2000001P0PEbN00<0000009a`W`2LL9l0902LL9l00`000000/X2O0;:0W`04
0;:0W`<000007`2bP9l00`000000aI2O0<F@W`0U0<F@W`030000003HXih0f:>N01P0f:>N00<00000
0=RSWP3HXih00P3HXih3000000L0ded000<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0/
0?ooo`002@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0480oooo1P00000303T0
:@8000006P21G9h00`000000W72O09a`W`0T09a`W`040000002bP9l0/X2O0;:0W`<000008P2bP9l0
0`000000aI2O0<F@W`0U0<F@W`030000003HXih0f:>N01T0f:>N00<000000=RSWP3HXih00`3HXih2
000000L0ded000<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0[0?ooo`002@3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo0400oooo1`0000000`0i02T000000000000L085L
WP030000002LL9l0W72O02@0W72O1000000U0;:0W`0300000035T9l0aI2O02@0aI2O00<000000=RS
WP3HXih06P3HXih00`000000f:>N0=RSWP040=RSWP8000001`3CG@000`000000oooo0?ooo`0F0?oo
o`030000003oool0oooo02/0oooo00090?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0?P3oool9000001h0PEbN00<0000009a`W`2LL9l08P2LL9l3000002P0/X2O00<000000<F@W`35
T9l09035T9l00`000000f:>N0=RSWP0K0=RSWP030000003HXih0f:>N00<0f:>N00<000000>fjW000
00001`3CG@000`000000oooo0?ooo`0F0?ooo`030000003oool0oooo02X0oooo00080?ooo`030000
003oool0oooo00/0oooo00<000000?ooo`3oool0?03oool800000240PEbN00<0000009a`W`2LL9l0
7P2LL9la000002@0aI2O00<000000=RSWP3HXih0703HXih01@000000f:>N0=RSWP3HXih0000000<0
kKZL00<000000==M003CG@001@3CG@000`000000oooo0?ooo`0F0?ooo`030000003oool0oooo02T0
oooo00080?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0>P3oool900000240PEbN
00<0000009a`W`2LL9l0702LL9l500000080YYS700<000000;>QaP2cXLH09P2cXLH00`000000_Z_7
0;j[a`06000001h0aI2O00<000000=RSWP3HXih07@3HXih010000000f:>N0=RSWP0000040>fjW003
0000003CG@00ded000D0ded000<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0Y0?ooo`00
203oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo03P0oooo200000000`1D?i/00000
085LWP0P085LWP030000002LL9l0W72O01T0W72O100000060:JHa`030000002cXLH0/j7602H0/j76
00<000000;j[a`2nZlL01P2nZlL5000001T0aI2O00<000000=RSWP3HXih07@3HXih010000000f:>N
0=RSWP0000050>fjW0030000003CG@00ded000D0ded000<000000?ooo`3oool05@3oool00`000000
oooo0?ooo`0X0?ooo`00203oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo03H0oooo
2000000305@oV`0300000021G9h0PEbN01h0PEbN00<0000009a`W`2LL9l05@2LL9l4000000/0YYS7
00<000000;>QaP2cXLH09@2cXLH00`000000_Z_70;j[a`0;0;j[a`D000005035T9l00`000000f:>N
0=RSWP0N0=RSWP030000003HXih0000000H0kKZL00<000000==M003CG@00103CG@000`000000oooo
0?ooo`0F0?ooo`030000003oool0oooo02L0oooo00080?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool0=03oool8000000@0E3nK00<00000085LWP21G9h07P21G9h00`000000W72O09a`
W`0A09a`W`D000003P2VV<L00`000000/j760;>QaP0U0;>QaP030000002nZlL0_Z_70100_Z_71P00
000=0<F@W`030000003HXih0f:>N0200f:>N0P0000070>fjW0030000003CG@00ded000@0ded000<0
00000?ooo`3oool05@3oool00`000000oooo0?ooo`0W0?ooo`00203oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo0380oooo2000000505@oV`0300000021G9h0PEbN01h0PEbN00<00000
09a`W`2LL9l03@2LL9l600000140YYS700<000000;>QaP2cXLH0902cXLH00`000000_Z_70;j[a`0G
0;j[a`D000002035T9l00`000000f:>N0=RSWP0P0=RSWP030000003]^Y`0kKZL00L0kKZL00<00000
0==M003CG@000`3CG@000`000000oooo0?ooo`0F0?ooo`030000003oool0oooo02H0oooo00070?oo
o`030000003oool0oooo0180oooo00<000000?ooo`3oool0<@3oool7000000H0E3nK00<00000085L
WP21G9h07`21G9h00`000000W72O09a`W`0809a`W`L00000502VV<L00`000000/j760;>QaP0T0;>Q
aP030000002nZlL0_Z_701`0_Z_71P0000020<F@W`030000003HXih0f:>N0200f:>N0P0000090>fj
W0030000003CG@00ded000<0ded000<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0U0?oo
o`001`3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo02l0oooo1`00000705@oV`03
00000021G9h0PEbN01l0PEbN00<0000009a`W`2LL9l0102LL9l4000000040:JHa`00000000000000
01L0YYS700<000000;>QaP2cXLH0902cXLH00`000000_Z_70;j[a`0R0;j[a`@000008@3HXih00`00
0000kKZL000000090>fjW0030000003CG@00ded00080ded000<000000?ooo`3oool05P3oool00`00
0000oooo0?ooo`0U0?ooo`001`3oool00`000000oooo0?ooo`0D0?ooo`800000;`3oool6000000T0
E3nK00<00000085LWP21G9h07P21G9h00`000000W72O09a`W`04000000<0YYS70P00000J0:JHa`03
0000002cXLH0/j7602@0/j7600<000000;j[a`2nZlL0902nZlL010000000b;S:00000000000O0=RS
WP040000003]^Y`0kKZL000000T0kKZL00<000000==M003CG@000P3CG@000`000000oooo0?ooo`0F
0?ooo`030000003oool0oooo02@0oooo00070?ooo`030000003oool0oooo01H0oooo00<000000?oo
o`3oool0:`3oool6000000X0E3nK00<00000085LWP21G9h07P21G9h3000000@0YYS70`00000M0:JH
a`030000002cXLH0/j7602<0/j7600<000000;j[a`2nZlL08`2nZlL00`000000b;S:0<RhbP020<Rh
bP800000703HXih01@000000kKZL0>fjW03]^Y`0000000X0kKZL00D000000==M003CG@00ded00000
000I0?ooo`030000003oool0oooo02<0oooo00070?ooo`030000003oool0oooo01L0oooo00<00000
0?ooo`3oool0:P3oool5000000/0E3nK00<00000085LWP21G9h07021G9h3000000<0YYS70`00000P
0:JHa`030000002cXLH0/j7602<0/j7600<000000;j[a`2nZlL08`2nZlL00`000000b;S:0<RhbP04
0<RhbP8000006P3HXih00`000000kKZL0>fjW0020>fjW0030000003]^Y`0kKZL00P0kKZL00D00000
0==M003CG@00ded00000000H0?ooo`030000003oool0oooo02<0oooo00070?ooo`030000003oool0
oooo01P0oooo00<000000?ooo`3oool0:03oool6000000/0E3nK00<00000085LWP21G9h06P21G9h2
000000<0V97;0`00000S0:JHa`030000002cXLH0/j7602<0/j7600<000000;j[a`2nZlL08P2nZlL0
0`000000b;S:0<RhbP070<RhbP<000005`3HXih00`000000kKZL0>fjW0030>fjW0030000003]^Y`0
kKZL00P0kKZL00@000000==M003CG@0000006@3oool00`000000oooo0?ooo`0R0?ooo`001`3oool0
0`000000oooo0?ooo`0I0?ooo`030000003oool0oooo02L0oooo1@00000<05@oV`0300000021G9h0
PEbN01P0PEbN0P00000209RAb`@000009@2VV<L00`000000/j760;>QaP0S0;>QaP030000002nZlL0
_Z_70280_Z_700<000000<RhbP38^<X02P38^<X2000001D0f:>N00<000000>fjW03]^Y`0103]^Y`0
0`000000kKZL0>fjW0080>fjW0040000003CG@00ded0000001T0oooo00<000000?ooo`3oool08@3o
ool000H0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0U0?ooo`D000003P1D?i/0
0`000000PEbN085LWP0E085LWP80000000@0V97;0000000000000000102HTL/00`000000YYS70:JH
a`0R0:JHa`030000002cXLH0/j7602<0/j7600<000000;j[a`2nZlL08P2nZlL00`000000b;S:0<Rh
bP0<0<RhbP8000004`3HXih00`000000kKZL0>fjW0040>fjW0030000003]^Y`0kKZL00T0kKZL00<0
00000==M000000006@3oool00`000000oooo0?ooo`0Q0?ooo`001P3oool00`000000oooo0?ooo`0L
0?ooo`030000003oool0oooo02@0oooo1000000?05@oV`0300000021G9h0PEbN01<0PEbN1@000007
09RAb`030000002VV<L0YYS70280YYS700<000000;>QaP2cXLH08P2cXLH00`000000_Z_70;j[a`0R
0;j[a`0300000038^<X0b;S:00l0b;S:0`00000?0=RSWP030000003]^Y`0kKZL00H0kKZL00<00000
0>fjW03]^Y`02@3]^Y`00`000000ded00000000I0?ooo`030000003oool0oooo0200oooo00060?oo
o`030000003oool0oooo01d0oooo00<000000?ooo`3oool08P3oool400000100E3nK00<00000085L
WP21G9h04@21G9h4000000/0V97;00<000000:JHa`2VV<L08P2VV<L00`000000/j760;>QaP0Q0;>Q
aP030000002nZlL0_Z_70280_Z_700<000000<RhbP38^<X04P38^<X2000000d0f:>N00<000000>fj
W03]^Y`01`3]^Y`00`000000kKZL0>fjW0090>fjW08000006P3oool00`000000oooo0?ooo`0O0?oo
o`001P3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo0240oooo0`00000A05@oV`03
00000021G9h0PEbN00l0PEbN0`00000>09RAb`030000002VV<L0YYS70280YYS700<000000;>QaP2c
XLH08@2cXLH00`000000_Z_70;j[a`0R0;j[a`0300000038^<X0b;S:01@0b;S:0P00000;0=RSWP03
0000003]^Y`0kKZL00L0kKZL00<000000>fjW03]^Y`02P3]^Y`2000001T0oooo00<000000?ooo`3o
ool07`3oool000H0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?ooo`<00000
4`1D?i/00`000000PEbN085LWP0<085LWP<000004@2HTL/00`000000YYS70:JHa`0Q0:JHa`030000
002cXLH0/j760240/j7600<000000;j[a`2nZlL08@2nZlL00`000000b;S:0<RhbP0G0<RhbP800000
2@3HXih00`000000kKZL0>fjW0080>fjW0030000003]^Y`0kKZL00X0kKZL00<000000?ooo`3oool0
603oool00`000000oooo0?ooo`0N0?ooo`001P3oool00`000000oooo0?ooo`0P0?ooo`030000003o
ool0oooo01h0oooo0P00000D05@oV`0300000021G9h0PEbN00T0PEbN0`00000D09RAb`030000002V
V<L0YYS70240YYS700<000000;>QaP2cXLH08@2cXLH00`000000_Z_70;j[a`0Q0;j[a`0300000038
^<X0b;S:01T0b;S:0`0000060=RSWP030000003]^Y`0kKZL00T0kKZL00<000000>fjW03]^Y`02P3]
^Y`00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo01d0oooo00060?ooo`030000003oool0
oooo0240oooo00<000000?ooo`3oool0703oool2000001D0E3nK00<00000085LWP21G9h01P21G9h4
000001H0V97;00<000000:JHa`2VV<L08@2VV<L00`000000/j760;>QaP0Q0;>QaP030000002nZlL0
_Z_70200_Z_700<000000<RhbP38^<X07@38^<X2000000<0f:>N00<000000>fjW03]^Y`02`3]^Y`0
0`000000kKZL0>fjW0090>fjW0030000003oool0oooo01P0oooo00<000000?ooo`3oool07@3oool0
00D0oooo00<000000?ooo`3oool08`3oool2000001`0oooo00<0000005@oV`1D?i/0501D?i/00`00
0000PEbN085LWP03085LWPD000006@2HTL/00`000000YYS70:JHa`0Q0:JHa`030000002cXLH0/j76
0200/j7600<000000;j[a`2nZlL0802nZlL00`000000b;S:0<RhbP0O0<RhbP80000000<0f:>N0000
003]^Y`0303]^Y`00`000000kKZL0>fjW0090>fjW08000006P3oool00`000000oooo0?ooo`0L0?oo
o`001@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo01P0oooo00<0000005@oV`1D
?i/05@1D?i/00`000000PEbN085LWP0300000003085LWP000000000001/0V97;00<000000:JHa`2V
V<L08@2VV<L00`000000/j760;>QaP0P0;>QaP030000002nZlL0_Z_70200_Z_700<000000<RhbP38
^<X08@38^<X2000000h0kKZL00<000000>fjW03]^Y`01`3]^Y`00`000000omJ@0000000K0?ooo`03
0000003oool0oooo01/0oooo00050?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0
5`3oool00`000000E3nK05@oV`0E05@oV`<000000P21G9h2000001h0V97;00<000000:JHa`2VV<L0
802VV<L00`000000/j760;>QaP0P0;>QaP030000002nZlL0_Z_701l0_Z_700<000000<RhbP38^<X0
8P38^<X00`000000d/O?0000000>0>fjW0030000003]^Y`0kKZL00H0kKZL00@000000?oFT03oeY00
00006P3oool00`000000oooo0?ooo`0K0?ooo`001@3oool00`000000oooo0?ooo`0W0?ooo`030000
003oool0oooo01D0oooo00<000000008R`000000501D?i/20000000305@oV`000000PEbN00800000
802HTL/00`000000YYS70:JHa`0P0:JHa`030000002cXLH0/j7601l0/j7600<000000;j[a`2nZlL0
802nZlL00`000000b;S:0<RhbP0R0<RhbP040000003Ball0d/O?000000d0kKZL00<000000>fjW03]
^Y`01P3]^Y`010000000omJ@0?oFT000000K0?ooo`030000003oool0oooo01X0oooo00050?ooo`03
0000003oool0oooo02P0oooo00<000000?ooo`3oool0503oool00`00000000R;0000000A05@oV`<0
00000`1D?i/2000002<0V97;00<000000:JHa`2VV<L07`2VV<L00`000000/j760;>QaP0O0;>QaP03
0000002nZlL0_Z_701l0_Z_700<000000<RhbP38^<X08P38^<X00`000000d/O?0=;7c`020=;7c`03
0000003]^Y`0kKZL00/0kKZL00<000000>fjW03]^Y`01@3]^Y`01@000000omJ@0?oFT03oeY000000
01/0oooo00<000000?ooo`3oool06@3oool000D0oooo00<000000?ooo`3oool0:@3oool00`000000
oooo0?ooo`0C0?ooo`030000000028/0000000h0E3nK0`00000505@oV`0300000026Rm00000002<0
V97;00<000000:JHa`2VV<L07`2VV<L00`000000/j760;>QaP0O0;>QaP030000002nZlL0_Z_701l0
_Z_700<000000<RhbP38^<X08@38^<X00`000000d/O?0=;7c`040=;7c`030000003]^Y`0kKZL00/0
kKZL00<000000>fjW03]^Y`00`3]^Y`00`000000omJ@0?oFT0020?oFT0030000003oool0oooo01T0
oooo00<000000?ooo`3oool06@3oool000@0oooo00<000000?ooo`3oool0:`3oool00`000000oooo
0?ooo`0A0?ooo`040000000028/000R;000000/0E3nK0`00000705@oV`0400000026Rm00QX_@0000
02<0V97;00<000000:JHa`2VV<L0802VV<L00`000000/j760;>QaP0N0;>QaP030000002nZlL0_Z_7
01l0_Z_700<000000<RhbP38^<X08@38^<X00`000000d/O?0=;7c`050=;7c`800000303]^Y`00`00
0000kKZL0>fjW0020>fjW0030000003oeY00omJ@0080omJ@00<000000?ooo`3oool06P3oool00`00
0000oooo0?ooo`0H0?ooo`00103oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo0100
oooo00D000000008R`0028/000R;0000000705@oV`<000002@1D?i/00`000000QX_@08J;d00208J;
d0030000002HTL/0V97;0240V97;00<000000:JHa`2VV<L07`2VV<L00`000000/j760;>QaP0>0;>Q
aQ<000007P2nZlL00`000000b;S:0<RhbP0Q0<RhbP030000003Ball0d/O?00P0d/O?00<000000>fj
W03]^Y`02@3]^Y`00`000000kKZL0>fjW0020>fjW0030000003oeY00omJ@00<0omJ@00<000000?oo
o`3oool06P3oool00`000000oooo0?ooo`0G0?ooo`00103oool00`000000oooo0?ooo`0]0?ooo`03
0000003oool0oooo00l0oooo00D000000008R`0028/000R;0000000405@oV`<000002`1D?i/00`00
0000QX_@08J;d00408J;d0030000002HTL/0V97;0200V97;00<000000:JHa`2VV<L07@2VV<LC0000
0100YL;^00<000000:G2kP2U`^h01@00000I0;j[a`0300000038^<X0b;S:0200b;S:00<000000=;7
c`3Ball02P3Ball00`000000kKZL0>fjW0090>fjW0050000003]^Y`0kKZL0>fjW00000001@3oeY00
0`000000oooo0?ooo`0J0?ooo`030000003oool0oooo01L0oooo00040?ooo`030000003oool0oooo
02h0oooo00<000000?ooo`3oool03P3oool01P00000000R;0008R`0028/0000005@oV`<000003@1D
?i/00`000000QX_@08J;d00608J;d0030000002HTL/0V97;0200V97;00<000000:JHa`2VV<L05`2V
V<L500000080YL;^00<000000:G2kP2U`^h07P2U`^h00`000000YL;^0:G2kP050:G2kPD00000502n
ZlL00`000000b;S:0<RhbP0O0<RhbP030000003Ball0d/O?00`0d/O?00<000000>fjW03]^Y`02@3]
^Y`00`000000kKZL000000070?oFT0030000003oool0oooo01X0oooo00<000000?ooo`3oool05P3o
ool000@0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0<0?ooo`030000000028/0
00R;008000R;0P00000?05@oV`0300000026Rm00QX_@00L0QX_@00<0000009RAb`2HTL/0802HTL/0
0`000000YYS70:JHa`0B0:JHa`D00000202U`^h00`000000YL;^0:G2kP0L0:G2kP030000002U`^h0
YL;^00/0YL;^1P00000=0;j[a`0300000038^<X0b;S:0200b;S:00<000000=;7c`3Ball03@3Ball0
0`000000kKZL0>fjW0080>fjW0030000003]^Y`0000000L0omJ@00<000000?ooo`3oool06`3oool0
0`000000oooo0?ooo`0E0?ooo`00103oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo
00/0oooo00<000000008R`0000000P0000000`0028/0000005@oV`0=05@oV`0300000026Rm00QX_@
00T0QX_@00<0000009RAb`2HTL/0802HTL/00`000000YYS70:JHa`0;0:JHa`H000003@2U`^h00`00
0000YL;^0:G2kP0L0:G2kP030000002U`^h0YL;^0140YL;^1@0000080;j[a`0300000038^<X0b;S:
01l0b;S:00<000000=;7c`3Ball03`3Ball00`000000kKZL0>fjW0080>fjW0800000203oeY000`00
0000oooo0?ooo`0J0?ooo`030000003oool0oooo01D0oooo00040?ooo`030000003oool0oooo0340
oooo0P00000:0?ooo`<00000100028/00`000000E3nK05@oV`0;05@oV`0300000026Rm00QX_@00/0
QX_@00<0000009RAb`2HTL/07`2HTL/00`000000YYS70:JHa`060:JHa`D000004`2U`^h00`000000
YL;^0:G2kP0L0:G2kP030000002U`^h0YL;^01H0YL;^1@0000020;j[a`0300000038^<X0b;S:01l0
b;S:00<000000=;7c`3Ball04@3Ball00`000000kKZL0>fjW0080>fjW0030000003oeY00omJ@00H0
omJ@00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0D0?ooo`000`3oool00`000000oooo
0?ooo`0d0?ooo`030000003oool0oooo00@0oooo100000060008R`030000001D?i/0E3nK00X0E3nK
00<0000008J;d026Rm003@26Rm000`000000V97;09RAb`0O09RAb`030000002VV<L0YYS700D00000
6@2U`^h00`000000YL;^0:G2kP0K0:G2kP030000002U`^h0YL;^01/0YL;^1000000P0<RhbP030000
003Ball0d/O?0180d/O?00<000000>fjW03]^Y`01`3]^Y`2000000P0omJ@00<000000?ooo`3oool0
6P3oool00`000000oooo0?ooo`0D0?ooo`000`3oool00`000000oooo0?ooo`0e0?ooo`030000003o
ool0oooo00<000000`3oool00`00000000R;0008R`050008R`030000001D?i/0E3nK00P0E3nK00<0
000008J;d026Rm003P26Rm000`000000V97;09RAb`0N09RAb`@000007P2U`^h00`000000YL;^0:G2
kP0J0:G2kP030000002U`^h0YL;^01d0YL;^00<000000:G2kP2U`^h00P00000M0<RhbP030000003B
all0d/O?01@0d/O?00<000000>fjW03]^Y`01@3]^Y`00`000000omJ@000000080?oFT0030000003o
ool0oooo01/0oooo00<000000?ooo`3oool04`3oool000<0oooo00<000000?ooo`3oool0=@3oool3
000000H0oooo00<000000008R`0028/01@0028/00`000000E3nK05@oV`0705@oV`0300000026Rm00
QX_@0100QX_@00<0000009RAb`2HTL/06`2HTL/200000080YL;^00<000000:G2kP2U`^h07@2U`^h0
0`000000YL;^0:G2kP0J0:G2kP030000002U`^h0YL;^01`0YL;^00<000000:G2kP2U`^h00`2U`^h2
000001X0b;S:00<000000=;7c`3Ball05P3Ball2000000D0kKZL00@000000?oFT03oeY0000001`3o
eY000`000000oooo0?ooo`0L0?ooo`030000003oool0oooo0180oooo00030?ooo`030000003oool0
oooo0380oooo0`0000020?ooo`030000003oool0oooo00<0oooo00<000000008R`0028/01P0028/0
0`000000E3nK05@oV`0605@oV`0300000026Rm00QX_@0180QX_@00<0000009RAb`2HTL/0602HTL/2
000000D0YL;^00<000000:G2kP2U`^h0702U`^h00`000000YL;^0:G2kP0J0:G2kP030000002U`^h0
YL;^01/0YL;^00<000000:G2kP2U`^h01P2U`^h3000001L0b;S:00<000000=;7c`3Ball0603Ball0
0`000000kKZL0>fjW0020>fjW0050000003oeY00omJ@0?oFT00000001`3oeY000`000000oooo0?oo
o`0K0?ooo`030000003oool0oooo0180oooo00030?ooo`030000003oool0oooo02l0oooo0`000006
0?ooo`030000003oool0oooo0080oooo00<000000008R`0028/01P0028/00`000000E3nK05@oV`05
05@oV`0300000026Rm00QX_@01<0QX_@00<0000009RAb`2HTL/05P2HTL/2000000P0YL;^00<00000
0:G2kP2U`^h0702U`^h00`000000YL;^0:G2kP0I0:G2kP030000002U`^h0YL;^01/0YL;^00<00000
0:G2kP2U`^h02@2U`^h2000001@0b;S:00<000000=;7c`3Ball06P3Ball01@000000kKZL0>fjW03]
^Y`0000000<0omJ@00<000000?oFT03oeY001@3oeY000`000000oooo0?ooo`0L0?ooo`030000003o
ool0oooo0140oooo00030?ooo`030000003oool0oooo02d0oooo0P00000:0?ooo`050000003oool0
oooo0?ooo`0000002@0028/00`000000E3nK05@oV`0305@oV`0300000026Rm00QX_@01D0QX_@00<0
000009RAb`2HTL/04`2HTL/2000000/0YL;^00<000000:G2kP2U`^h06`2U`^h00`000000YL;^0:G2
kP0H0:G2kP030000002U`^h0YL;^01/0YL;^00<000000:G2kP2U`^h0302U`^h200000140b;S:00<0
00000=;7c`3Ball0703Ball00`000000kKZL000000050?oFT0030000003oeY00omJ@00D0omJ@00<0
00000?ooo`3oool0703oool00`000000oooo0?ooo`0@0?ooo`000`3oool00`000000oooo0?ooo`0Z
0?ooo`<000003@3oool010000000oooo0?ooo`0000090008R`030000001D?i/0E3nK0080E3nK00<0
000008J;d026Rm005`26Rm000`000000V97;09RAb`0@09RAb`8000003P2U`^h00`000000YL;^0:G2
kP0J0:G2kP030000002U`^h0YL;^01P0YL;^00<000000:G2kP2U`^h06P2U`^h00`000000YL;^0:G2
kP0?0:G2kP<000003@38^<X00`000000d/O?0=;7c`0N0=;7c`8000001P3oeY000`000000omJ@0?oF
T0040?oFT0030000003oool0oooo01`0oooo00<000000?ooo`3oool0403oool00080oooo00<00000
0?ooo`3oool0:03oool300000140oooo0P00000:0008R`050000001D?i/0E3nK05@oV`0000006`26
Rm000`000000V97;09RAb`0=09RAb`8000004@2U`^h00`000000YL;^0:G2kP0J0:G2kP030000002U
`^h0YL;^01L0YL;^00<000000:G2kP2U`^h06@2U`^h00`000000YL;^0:G2kP0C0:G2kP8000002`38
^<X00`000000d/O?0=;7c`0O0=;7c`030000003oeY00omJ@00D0omJ@00<000000?oFT03oeY00103o
eY000`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00l0oooo00020?ooo`030000003oool0
oooo02D0oooo0`00000E0?ooo`030000000028/000R;00P000R;00@0000005@oV`1D?i/000007026
Rm000`000000V97;09RAb`0;09RAb`800000502U`^h00`000000YL;^0:G2kP0I0:G2kP030000002U
`^h0YL;^01L0YL;^00<000000:G2kP2U`^h0602U`^h00`000000YL;^0:G2kP0F0:G2kP<000001`38
^<X00`000000d/O?0=;7c`0O0=;7c`8000001`3oeY000`000000omJ@0?oFT0040?oFT0030000003o
ool0oooo01d0oooo00<000000?ooo`3oool03P3oool00080oooo00<000000?ooo`3oool08P3oool3
000001P0oooo00<000000008R`0028/02@0028/2000001h0QX_@00<0000009RAb`2HTL/0202HTL/2
000001H0YL;^00<000000:G2kP2U`^h06@2U`^h00`000000YL;^0:G2kP0F0:G2kP030000002U`^h0
YL;^01P0YL;^00<000000:G2kP2U`^h06P2U`^h2000000@0b;S:00<000000=;7c`3Ball07`3Ball0
10000000fMWG0=WIe`0000070?oFT0030000003oeY00omJ@00<0omJ@00<000000?ooo`3oool07@3o
ool00`000000oooo0?ooo`0>0?ooo`000P3oool00`000000oooo0?ooo`0O0?ooo`<000006P3oool0
0`00000000R;0008R`0:0008R`0300000026Rm00QX_@01h0QX_@00<0000009RAb`2HTL/01@2HTL/2
000001T0YL;^00<000000:G2kP2U`^h06@2U`^h00`000000YL;^0:G2kP0E0:G2kP030000002U`^h0
YL;^01L0YL;^00<000000:G2kP2U`^h07@2U`^h200000080b;S:00<000000=;7c`3Ball07P3Ball0
1@000000fMWG0=WIe`3IfML0000000P0omJ@00@000000?oFT03oeY00omJ@0P00000P0?ooo`030000
003oool0oooo00d0oooo00020?ooo`030000003oool0oooo01`0oooo0`00000M0?ooo`0300000000
28/000R;00X000R;0P00000P08J;d0030000002HTL/0V97;0080V97;0P00000L0:G2kP030000002U
`^h0YL;^01H0YL;^7@00000F0:G2kP030000002U`^h0YL;^0200YL;^0P00000P0=;7c`030000003I
fML0fMWG00<0fMWG00<000000?oFT03oeY001@3oeY001@000000omJ@0?oFT03oeY0000000280oooo
00<000000?ooo`3oool0303oool00080oooo00<000000?ooo`3oool06P3oool200000200oooo00<0
00000008R`0028/02@0028/010000000KXGH06j5f000000O08J;d0030000002HTL/0V97;00800000
7`2U`^h00`000000YL;^0:G2kP0A0:G2kP@0000000<0>Kk50000000000000P00000E0?ooo`T00000
402U`^h00`000000YL;^0:G2kP0O0:G2kP80000000<0YL;^0000003Ball07@3Ball00`000000fMWG
0=WIe`040=WIe`030000003oeY00omJ@00H0omJ@00@000000?oFT03oeY0000008P3oool00`000000
oooo0?ooo`0<0?ooo`0000<0oooo0000003oool06@3oool300000280oooo0P00000:0008R`050000
001^QMP0KXGH06j5f00000007`26Rm0200000280YL;^00<000000:G2kP2U`^h0302U`^h400000003
03Vna@0000000000008000007P3oool9000000X0YL;^00<000000:G2kP2U`^h07P2U`^h2000000@0
YL;^00<000000=;7c`3Ball06P3Ball00`000000fMWG0=WIe`060=WIe`030000003oeY00omJ@00H0
omJ@0`00000S0?ooo`030000003oool0oooo00/0oooo00000`3oool000000?ooo`0F0?ooo`<00000
9P3oool00`00000000R;0008R`080008R`030000001^QMP0KXGH0080KXGH00<0000008J;d026Rm00
6`26Rm0010000000YL;^00000000000R0:G2kP030000002U`^h0YL;^00H0YL;^1@00000203Vna@<0
00009`3oool:000000<0YL;^00<000000:G2kP2U`^h07P2U`^h00`000000YL;^0:G2kP050:G2kP80
00006@3Ball00`000000fMWG0=WIe`070=WIe`030000003oeY00omJ@00L0omJ@0P00000T0?ooo`03
0000003oool0oooo00X0oooo00000`3oool000000?ooo`0C0?ooo`<00000:@3oool00`00000000R;
0008R`070008R`030000001^QMP0KXGH00@0KXGH00<0000008J;d026Rm006@26Rm000`000000YL;^
0:G2kP020:G2kP8000008@2U`^h010000000YL;^0:G2kP2U`^h:000002l0oooo0P0000000`00PMT0
000000000005000001h0YL;^0P00000:0:G2kP030000003Ball0d/O?01D0d/O?00<000000=WIe`3I
fML0203IfML00`000000omJ@0?oFT0070?oFT0800000903oool00`000000oooo0?ooo`0:0?ooo`00
00<0oooo0000003oool0403oool3000002`0oooo00<000000008R`0028/01`0028/00`000000KXGH
06j5f00506j5f00300000026Rm00QX_@01L0QX_@00<000000:G2kP2U`^h01@2U`^h2000001l0YL;^
1`00000207_Vg0800000=03oool3000000D0087I0P00000J0:G2kP8000003@2U`^h00`000000d/O?
0=;7c`0C0=;7c`030000003IfML0fMWG00X0fMWG00<000000?oFT03oeY001P3oeY02000002D0oooo
00<000000?ooo`3oool02@3oool000030?ooo`000000oooo00d0oooo0`00000_0?ooo`8000002000
28/00`000000KXGH06j5f00606j5f00300000026Rm00QX_@01D0QX_@00<000000:G2kP2U`^h0202U
`^h2000001/0YL;^0P00000707_Vg0800000>@3oool3000000@0087I0P00000G0:G2kP030000002U
`^h0YL;^00h0YL;^00<000000=;7c`3Ball04@3Ball00`000000fMWG0=WIe`0;0=WIe`030000003o
eY00omJ@00D0omJ@00@000000=C?DP3oool000009@3oool00`000000oooo0?ooo`080?ooo`0000<0
oooo0000003oool02P3oool3000003<0oooo00<000000008R`0028/01@0028/00`000000KXGH06j5
f00806j5f00300000026Rm00QX_@01<0QX_@00<000000:G2kP2U`^h02`2U`^h2000001L0YL;^0P00
000607_Vg0<00000?P3oool2000000@0087I0`00000B0:G2kP8000004P2U`^h00`000000d/O?0=;7
c`0?0=;7c`030000003IfML0fMWG00d0fMWG00<000000?oFT03oeY00103oeY02000000030?ooo`00
0000oooo02@0oooo00<000000?ooo`3oool0203oool000030?ooo`000000oooo00P0oooo0P00000f
0?ooo`030000000028/000R;00D000R;00<0000006j5f01^QMP02@1^QMP00`000000QX_@08J;d00A
08J;d0030000002U`^h0YL;^00h0YL;^0P00000C0:G2kP8000001P1ki]`2000004<0oooo0`000004
0021f@8000003P2U`^h2000001D0YL;^0P00000>0=;7c`030000003IfML0fMWG00h0fMWG00<00000
0?oFT03oeY00103oeY0200000080oooo00<000000?ooo`3oool08P3oool2000000T0oooo00000`00
0000oooo0?ooo`050?ooo`<00000>03oool2000000H000R;00<0000006j5f01^QMP02P1^QMP00`00
0000QX_@08J;d00?08J;d0030000002U`^h0YL;^0140YL;^0P00000>0:G2kP<000000P1ki]`00`00
01H0NnKL00000005000004<0oooo00<0000001d0>@000000100000020021f@<000002P2U`^h00`00
0000YL;^0:G2kP0G0:G2kP030000003Ball0d/O?00X0d/O?00<000000=WIe`3IfML0403IfML00`00
0000omJ@0?oFT0020?oFT0030000003Dce80000000<0oooo00<000000?ooo`3oool07@3oool40000
00030?ooo`000000oooo00P0oooo00000`000000oooo0?ooo`020?ooo`<00000>`3oool2000000D0
00R;00<0000006j5f01^QMP0301^QMP00`000000QX_@08J;d00=08J;d0030000002U`^h0YL;^01@0
YL;^0P00000:0:G2kP8000000`1ki]`4000000030;Cjj@000000iX5100<0iX5100<000000?ooo`3o
ool0?P3oool2000000<07@0i00<0000001f3j00MPnP01@0000000`00PMT00000000000060:G2kP80
00006`2U`^h00`000000d/O?0=;7c`080=;7c`030000003IfML0fMWG0140fMWG00<000000?oFT03o
eY000P3oeY000`000000e<mB000000040?ooo`030000003oool0oooo01T0oooo0`0000050?ooo`03
0000003oool0oooo00L0oooo00000`000000oooo00000002000003h0oooo0P0000050008R`030000
001^QMP0KXGH00d0KXGH00<0000008J;d026Rm002`26Rm000`000000YL;^0:G2kP0G0:G2kP800000
1P2U`^h20000000307_Vg0000000000000800000102dn^T00`000000iX510>J1@@040>J1@@800000
?03oool20000000306@JF@0000007@0i00<07@0i00<0000001f3j00MPnP00`0MPnP600000080YL;^
0P00000N0:G2kP030000003Ball0d/O?00H0d/O?00<000000=WIe`3IfML04P3IfML00`000000omJ@
0?oFT0020?oFT08000001@3oool00`000000oooo0?ooo`0F0?ooo`<00000203oool00`000000oooo
0?ooo`070?ooo`000P0000120?ooo`030000000028/000R;00<000R;00<0000006j5f01^QMP03P1^
QMP00`000000QX_@08J;d00908J;d0030000002U`^h0YL;^01X0YL;^0P0000020:G2kPD000001`2d
n^T00`000000fWL0000000050>J1@@040000003CME`00000000003P0oooo0P00000206@JF@030000
000M03T07@0i00@07@0i0P00000801f3j0<000008@2U`^h00`000000d/O?0=;7c`040=;7c`030000
003IfML0fMWG01@0fMWG00H000000?oFT03oeY0000000=C?DP0000060?ooo`030000003oool0oooo
0140oooo1000000;0?ooo`030000003oool0oooo00L0oooo00000`3oool000000?ooo`110?ooo`80
0000100028/00`000000KXGH06j5f00?06j5f00300000026Rm00QX_@00L0QX_@00<000000:G2kP2U
`^h07@2U`^h3000000T0]?[Y0`0000000`2Y_^P000000>J1@@050>J1@@030000003CME`0dgEL0080
0000=03oool2000000@0I1YI00<0000001d0>@0M03T00`0M03T4000000X07H?X00<000000:G2kP2U
`^h07`2U`^h2000000<0d/O?00<000000=WIe`3IfML05@3IfML01P000000omJ@0?oFT0000000e<mB
000000L0oooo00<000000?ooo`3oool03@3oool300000100oooo00<000000?ooo`3oool01P3oool0
0080oooo0P0000100?ooo`8000000`0028/00`000000KXGH06j5f00A06j5f00300000026Rm00QX_@
00D0QX_@00<000000:G2kP2U`^h07@2U`^h00`000000]?[Y0;Cjj@090;Cjj@040000003kiiD0nnNE
00000080fWL000<000000>J1@@3VPD400`3VPD400`000000dgEL0==eG0020==eG0<00000;`3oool2
000000H0I1YI00<0000001d0>@0M03T00`0M03T3000000030000S`0000007H?X00T07H?X0P00000Q
0:G2kP030000003Ball0000001T0fMWG00D000000?oFT0000000e<mB000000070?ooo`030000003o
ool0oooo00X0oooo0`00000C0?ooo`030000003oool0oooo00H0oooo00040?ooo`030000003oool0
oooo03d0oooo0P0000030008R`030000001^QMP0KXGH0180KXGH00<0000008J;d026Rm000`26Rm00
0`000000YL;^0:G2kP0M0:G2kP030000002dn^T0]?[Y00T0]?[Y00@000000:Vnj03kiiD0nnNE0P00
00000`2Y_^P000000>J1@@040>J1@@030000003CME`0dgEL00D0dgEL0P00000Y0?ooo`@00000201T
6UT00`0000007@0i01d0>@0301d0>@80000000@0?3RS0000000008l000002`0MPnP00`000000YL;^
0:G2kP0N0:G2kP8000006P3IfML01@000000omJ@0000003Dce80000000P0oooo00<000000?ooo`3o
ool01@3oool4000001H0oooo00<000000?ooo`3oool01P3oool000D0oooo00<000000?ooo`3oool0
?03oool00`0000000011000000020008R`030000001^QMP0KXGH01<0KXGH00D0000008J;d026Rm00
QX_@0000000O0:G2kP030000002dn^T0]?[Y00T0]?[Y00T000000?_WU@3kiiD0nnNE0000003ecJ@0
00000:Vnj00000001P3VPD400`000000dgEL0==eG0070==eG0@00000803oool400000080S3eU00<0
000006@JF@1T6UT01P1T6UT00`0000007@0i01d0>@0301d0>@8000000P0l>:<00`000000002?0000
S`02000000X07H?X00<000000:G2kP2U`^h06@2U`^h4000000030:G2kP000000fMWG01X0fMWG00@0
00000=C?DP3Dce8000002@3oool010000000oooo0?ooo`3oool3000001X0oooo00<000000?ooo`3o
ool01P3oool000H0oooo00<000000?ooo`3oool0?03oool2000000030008R`000000KXGH01H0KXGH
00<0000008J;d00000007`2U`^h00`000000]?[Y0;Cjj@080;Cjj@80000000D0Z<I=0?_WU@3kiiD0
nnNE000000020?G=Y0030000002Y_^P0000000D0iX5100<000000==eG03CME`01`3CME`010000000
_FIV0;eVIP2mIVH7000001@0oooo1@00000608`mI@030000001T6UT0I1YI00H0I1YI00<0000001d0
>@0M03T00`0M03T2000000<0?3RS00<000000000S`0008l01000000801f3j08000005P2U`^h30000
00H0YL;^00<000000=WIe`3IfML0603IfML00`000000e<mB0000000:0?ooo`@000007@3oool00`00
0000oooo0?ooo`060?ooo`001`3oool00`000000oooo0?ooo`0k0?ooo`80000000<000R;0000001^
QMP05`1^QMP3000001d0YL;^00<000000;Cjj@2dn^T01P2dn^T3000000030=7di`000000nnNE0080
nnNE00<000000?G=Y03ecJ@00P3ecJ@2000000D0iX5100<000000==eG03CME`01`3CME`00`000000
_FIV0;eVIP080;eVIQ@000002P2<?FD00`000000I1YI06@JF@0706@JF@030000000M03T07@0i00<0
7@0i00<0000003`hX`0l>:<00P0l>:<010000000002?0000S`00000304B5j0@000001P0MPnP00`00
0000YL;^0:G2kP0?0:G2kP@000002@2U`^h00`000000fMWG0=WIe`0F0=WIe`<0000000<0e<mB0000
003oool01P3oool3000000030?ooo`000000oooo01h0oooo00<000000?ooo`3oool01P3oool000P0
oooo0P00000k0?ooo`80000000<000R;0000001^QMP05`1^QMP00`000000YL;^0:G2kP04000001L0
YL;^0P0000060;Cjj@<000000`3Am>L01P000000Z<I=0?_WU@2Y_^P0nnNE000000D0mLfT00<00000
0>J1@@3VPD400`3VPD400`000000dgEL0==eG0080==eG0030000002mIVH0_FIV00X0_FIV00<00000
0:MDJ@2WE6T02`2WE6T00`000000S3eU08`mI@0:08`mI@030000001T6UT0I1YI00L0I1YI00<00000
01d0>@0M03T00P0M03T2000000@0?3RS00D000000000S`0008l0002?0000000604B5j0<00000100M
PnP00`000000YL;^0:G2kP0:0:G2kP@000003P2U`^h00`000000fMWG0=WIe`0D0=WIe`060000003J
k^00f^kP0000003Dce800000103oool3000000D0oooo00<000000?ooo`3oool0703oool00`000000
oooo0?ooo`060?ooo`002P3oool00`000000oooo0?ooo`0h0?ooo`03000000000440000001P0KXGH
00<000000:G2kP2U`^h01@2U`^h400000180YL;^00<000000;Cjj@2dn^T0102dn^T2000000H0dOCW
0P0000030?_WU@030000003ecJ@0mLfT00<0mLfT0P0000050>J1@@030000003CME`0dgEL00L0dgEL
00<000000;eVIP2mIVH02P2mIVH00`000000YeAY0:MDJ@0;0:MDJ@030000002<?FD0S3eU00X0S3eU
00<0000006@JF@1T6UT01P1T6UT00`0000007@0i01d0>@0301d0>@030000000l>:<0?3RS00@0?3RS
00@000000000S`0008l000002@14QNP3000000807H?X0P0000070:G2kP<000004P2U`^h00`000000
fMWG0=WIe`0C0=WIe`060000003Jk^00f^kP0=[^h0000000e<mB1@0000090?ooo`030000003oool0
oooo01/0oooo00<000000?ooo`3oool01P3oool000/0oooo00<000000?ooo`3oool0>03oool20000
01P0KXGH00<000000:G2kP2U`^h02@2U`^h4000000d0YL;^00<000000;Cjj@2dn^T00P2dn^T30000
00P0dOCW00D000000?_WU@3kiiD0nnNE000000070?G=Y0030000003VPD40iX5100<0iX5100<00000
0==eG03CME`01`3CME`00`000000_FIV0;eVIP0:0;eVIP030000002WE6T0YeAY00/0YeAY00<00000
08`mI@2<?FD02P2<?FD00`000000I1YI06@JF@0606@JF@030000000M03T07@0i00807@0i0P000006
03`hX`050000000008l0002?0000S`0000002`14QNP500000080YL;^1000000E0:G2kP030000003I
fML0fMWG0140fMWG0P0000030=[^h0040000003Dce800000000000d0oooo00<000000?ooo`3oool0
703oool00`000000oooo0?ooo`050?ooo`00303oool00`000000oooo0?ooo`0g0?ooo`@000005P1^
QMP00`000000YL;^0:G2kP0=0:G2kP@00000202U`^h00`000000]?[Y0;Cjj@03000000X0dOCW0P00
00030?_WU@030000003ecJ@0mLfT00D0mLfT0P0000040>J1@@030000003CME`0dgEL00L0dgEL00<0
00000;eVIP2mIVH02P2mIVH00`000000YeAY0:MDJ@0;0:MDJ@030000002<?FD0S3eU00X0S3eU00<0
000006@JF@1T6UT01P1T6UT01@0000007@0i01d0>@0M03T000000080KUJU00<0000003`hX`0l>:<0
100l>:<01@000000002?0000S`0008l0000000h0A8GX0`00000J0:G2kP030000003IfML0fMWG00l0
fMWG00<000000=[^h03Jk^000`3Jk^000`000000e<mB0000000?0?ooo`030000003oool0oooo01/0
oooo00<000000?ooo`3oool01@3oool000d0oooo00<000000?ooo`3oool0=P3oool200000080C7kQ
00<0000006j5f01^QMP04P1^QMP00`000000YL;^0:G2kP0B0:G2kP@000000`2U`^h4000000d0dOCW
00H000000?_WU@3kiiD0ZKkX0?_WU@0000060?G=Y0030000003S]:D0hkBU008000000`3VPD400`00
0000dgEL0==eG0060==eG0030000002mIVH0_FIV00X0_FIV00<000000:MDJ@2WE6T02`2WE6T00`00
0000S3eU08`mI@0908`mI@030000001T6UT0I1YI00L0I1YI00@0000001d0>@00000000000`1^EZD0
0`000000?3RS03`hX`0403`hX`050000000008l0002?0000S`0000003`14QNP00`000000YL;^0:G2
kP0I0:G2kP030000003IfML0fMWG00d0fMWG0P0000060=[^h0030000003Dce8000000100oooo00<0
00000?ooo`3oool06P3oool00`000000oooo0?ooo`050?ooo`003P3oool2000003H0oooo00<00000
0000@@0000000P1<O^400`000000KXGH06j5f00A06j5f0030000002U`^h0YL;^01H0YL;^1000000@
0=7di`050000003kiiD0nnNE0?_WU@0000001`3ecJ@00`000000hkBU0>>dY@020>>dY@040000003V
PD40iX51000000T0dgEL00<000000;eVIP2mIVH02@2mIVH00`000000YeAY0:MDJ@0;0:MDJ@030000
002<?FD0S3eU00T0S3eU00<0000006@JF@1T6UT01P1T6UT00`0000007@0i0000000506iFY@030000
000l>:<0?3RS00@0?3RS00<000000000S`0008l00P0008l00`000000A8GX04B5j00=04B5j0030000
002U`^h0YL;^01T0YL;^00<000000=WIe`3IfML02`3IfML00`000000f^kP0=[^h0060=[^h0030000
003Dce8000000140oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`050?ooo`00403o
ool00`000000oooo0?ooo`0d0?ooo`8000000`1<O^4200000140KXGH00<000000:G2kP2U`^h0602U
`^h00`000000dOCW0=7di`0>0=7di`030000003kiiD0nnNE0080nnNE00<000000?G=Y03ecJ@01@3e
cJ@00`000000hkBU0>>dY@030>>dY@030000003VPD40000000T0dgEL00<000000;eVIP2mIVH02@2m
IVH00`000000YeAY0:MDJ@0;0:MDJ@030000002<?FD0S3eU00T0S3eU00<0000006@JF@1T6UT01P1T
6UT2000000L0KUJU00<0000003`hX`0l>:<0100l>:<010000000002?0000S`0008l3000000d0A8GX
00<000000:G2kP2U`^h06@2U`^h00`000000fMWG0=WIe`0:0=WIe`030000003Jk^00f^kP00L0f^kP
0P00000B0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool01@3oool00140oooo00<0
00000?ooo`3oool0<`3oool2000000D0C7kQ00<0000006j5f01^QMP03@1^QMP00`000000YL;^0:G2
kP0H0:G2kP030000003Am>L0dOCW00l0dOCW00D000000?_WU@3kiiD0nnNE000000070?G=Y0030000
003S]:D0hkBU00D0hkBU0`0000080==eG0030000002mIVH0_FIV00X0_FIV00<000000:MDJ@2WE6T0
2@2WE6T00`000000S3eU08`mI@0:08`mI@030000001T6UT0I1YI00D0I1YI0P00000806iFY@030000
000l>:<0?3RS00@0?3RS00D000000000S`0008l0002?0000000206B6g`8000003014QNP00`000000
YL;^0:G2kP0I0:G2kP030000003IfML0fMWG00L0fMWG0P00000:0=[^h08000004`3oool00`000000
oooo0?ooo`0H0?ooo`030000003oool0oooo00D0oooo000B0?ooo`030000003oool0oooo0380oooo
0P00000604anh@8000003@1^QMP00`000000YL;^0:G2kP0H0:G2kP030000003Am>L0dOCW00d0dOCW
0`0000020?_WU@030<FaaP000000mLfT00H0mLfT00<000000>>dY@3S]:D01`3S]:D2000000L0dgEL
00<000000;eVIP2mIVH02P2mIVH00`000000YeAY0:MDJ@090:MDJ@030000002<?FD0S3eU00X0S3eU
00<0000006@JF@1T6UT00`1T6UT20000000308aXY0000000KUJU00L0KUJU00<0000003`hX`0l>:<0
1@0l>:<010000000002?0000S`00000406B6g`8000002P14QNP00`000000YL;^0:G2kP0I0:G2kP03
0000003IfML0fMWG00H0fMWG00<000000=[^h03Jk^002P3Jk^02000001@0oooo00<000000?ooo`3o
ool05`3oool00`000000oooo0?ooo`050?ooo`004`3oool2000003<0oooo0P00000704anh@030000
001^QMP0KXGH00T0KXGH00<000000:G2kP2U`^h0602U`^h00`000000dOCW0=7di`0<0=7di`800000
0P3Ihmd01@000000nnNE0?_WU@3kiiD0000000H0mLfT00<000000>>dY@3S]:D0203S]:D010000000
dZ6T0000000000050==eG0030000002mIVH0_FIV00X0_FIV00<000000:MDJ@2WE6T02@2WE6T00`00
0000S3eU08`mI@0908`mI@040000001T6UT0I1YI06@JF@<00000102<J:@00`000000KUJU06iFY@06
06iFY@030000000l>:<0?3RS00@0?3RS00@000000000S`0008l000001P1TQ]l2000000T0A8GX00<0
00000:G2kP2U`^h0602U`^h00`000000fMWG0=WIe`040=WIe`800000303Jk^000`000000e<mB0000
000D0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool01@3oool001D0oooo00<00000
0?ooo`3oool0<03oool2000000P0C7kQ0P00000906j5f0030000002U`^h0YL;^01P0YL;^00<00000
0=7di`3Am>L02P3Am>L2000000@0fN?M00@000000?_WU@3kiiD000001`3ecJ@00`000000hkBU0>>d
Y@070>>dY@030000003BXJ@0dZ6T0080dZ6T0`0000030==eG0030000002mIVH0_FIV00T0_FIV00<0
00000:MDJ@2WE6T02@2WE6T00`000000S3eU08`mI@0908`mI@040000001T6UT00000000000L0S6RT
00<0000006iFY@1^EZD01P1^EZD00`000000?3RS03`hX`0403`hX`030000000008l0000000T0I8KO
0P00000704B5j0030000002U`^h0YL;^01T0YL;^00<000000=WIe`3IfML00P3IfML00`000000f^kP
0=[^h00<0=[^h08000005P3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo00@0oooo
000F0?ooo`030000003oool0oooo02l0oooo0P00000:04anh@030000001^QMP0KXGH00H0KXGH00<0
00000:G2kP2U`^h0602U`^h00`000000dOCW0=7di`080=7di`8000001P3Ihmd010000000nnNE0?_W
U@0000070?G=Y0030000003S]:D0hkBU00L0hkBU00<000000=:QY03BXJ@01@3BXJ@2000000030==e
G0000000_FIV00X0_FIV00<000000:MDJ@2WE6T02@2WE6T00`000000S3eU08`mI@0808`mI@<00000
2@2<J:@00`000000KUJU06iFY@0606iFY@030000000l>:<0?3RS00D0?3RS0P00000;06B6g`800000
1P14QNP00`000000YL;^0:G2kP0H0:G2kP050000003IfML0fMWG0=WIe`0000003`3Jk^02000001L0
oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`040?ooo`005`3oool00`000000oooo
0?ooo`0_0?ooo`030000001<O^40C7kQ00T0C7kQ00<0000006j5f01^QMP0101^QMP00`000000YL;^
0:G2kP0H0:G2kP030000003Am>L0dOCW00L0dOCW0P0000090=WSg@0300000035/LH0000000H0mLfT
00<000000>>dY@3S]:D0203S]:D00`000000dZ6T0=:QY0070=:QY0@000002@2mIVH00`000000YeAY
0:MDJ@090:MDJ@030000002<?FD0S3eU00@0S3eU100000000`2QMj<0000008aXY00908aXY0030000
001^EZD0KUJU00L0KUJU00<0000003`hX`0l>:<0100l>:<2000000d0I8KO0P00000404B5j0030000
002U`^h0YL;^01T0YL;^0`00000@0=[^h0800000603oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo00@0oooo000H0?ooo`030000003oool0oooo02h0oooo0P00000;04anh@800000101^
QMP00`000000YL;^0:G2kP0H0:G2kP030000003Am>L0dOCW00D0dOCW0P00000;0=WSg@8000001`3e
cJ@00`000000hkBU0>>dY@080>>dY@030000003BXJ@0dZ6T00P0dZ6T00<000000<:AX`32TJ<01P00
00030;eVIP030000002WE6T0YeAY00T0YeAY00<0000008`mI@2<?FD0100000050:5gX`030000002<
J:@0S6RT00T0S6RT00<0000006iFY@1^EZD01P1^EZD00`000000?3RS03`hX`0503`hX`030000001T
Q]l0I8KO00d0I8KO0P00000304B5j0030000002U`^h0YL;^01@0YL;^1@00000B0=[^h0800000603o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00@0oooo000I0?ooo`800000;P3oool2
000000d0C7kQ00D0000006j5f01^QMP0KXGH0000000J0:G2kP030000003Am>L0dOCW00<0dOCW0P00
000=0=WSg@8000001`3ecJ@00`000000hkBU0>>dY@070>>dY@030000003BXJ@0dZ6T00T0dZ6T00<0
00000<:AX`32TJ<01P32TJ<B000000T0XGNS00<0000008aXY02<J:@02@2<J:@00`000000KUJU06iF
Y@0606iFY@030000000l>:<0?3RS00D0?3RS00<0000006B6g`1TQ]l03`1TQ]l20000000304B5j000
0000YL;^00d0YL;^200000040:G2kP030000003Jk^00f^kP0100f^kP00<000000?ooo`3oool0603o
ool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00@0oooo000K0?ooo`030000003oool0
oooo02`0oooo00<0000004anh@1<O^40301<O^43000001X0YL;^00<000000=7di`3Am>L00P3Am>L2
000000l0fN?M00<000000?G=Y03ecJ@01@3ecJ@00`000000hkBU0>>dY@080>>dY@030000003BXJ@0
dZ6T00P0dZ6T00<000000<:AX`32TJ<02P32TJ<00`000000/XBS0;:4X`090;:4X`030000002QMj<0
XGNS00X0XGNS00<0000008aXY02<J:@0202<J:@00`000000KUJU06iFY@0706iFY@030000000l>:<0
?3RS00<0?3RS00@0000007^9e@00000000004@1TQ]l3000000@0YL;^2@00000<0:G2kP030000003J
k^00f^kP0100f^kP00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0C0?ooo`030000003o
ool0oooo00@0oooo000L0?ooo`030000003oool0oooo02/0oooo00<0000004anh@1<O^403P1<O^47
000001@0YL;^00<000000=7di`3Am>L00P00000A0=WSg@030000003ecJ@0mLfT00D0mLfT00<00000
0>>dY@3S]:D0203S]:D00`000000dZ6T0=:QY0080=:QY00300000032TJ<0`Y6S00X0`Y6S00<00000
0;:4X`2bQ:<02@2bQ:<00`000000XGNS0:5gX`0:0:5gX`030000002<J:@0S6RT00P0S6RT00<00000
06iFY@1^EZD01`1^EZD00`000000?3RS03`hX`0303`hX`050000001kRMD0NhWE07^9e@0000004P1T
Q]l5000001D0YL;^00<000000=[^h03Jk^003`3Jk^02000001/0oooo00<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`040?ooo`007@3oool00`000000oooo0?ooo`0Z0?ooo`8000003`1<O^40
0`000000YL;^0:G2kP040:G2kPd000001P2U`^h010000000dOCW00000000000A0=WSg@80000000<0
e]3D0000003ecJ@01@3ecJ@00`000000hkBU0>>dY@080>>dY@030000003BXJ@0dZ6T00P0dZ6T00<0
00000<:AX`32TJ<02P32TJ<00`000000/XBS0;:4X`090;:4X`030000002QMj<0XGNS00X0XGNS00<0
000008aXY02<J:@02@2<J:@00`000000KUJU06iFY@0606iFY@030000000l>:<0?3RS0080?3RS00<0
000007^9e@1kRMD00`1kRMD200000100I8KO00<000000:G2kP2U`^h05`2U`^h00`000000f^kP0=[^
h00?0=[^h0800000703oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00@0oooo000N
0?ooo`030000003oool0oooo02X0oooo00<0000004anh@1<O^403@1<O^400`000000YL;^0:G2kP0A
0:G2kPP000004P3Ihmd01@000000e]3D0=K@e03Fd=@0000000D0mLfT00<000000>>dY@3S]:D0203S
]:D00`000000dZ6T0=:QY0090=:QY00300000032TJ<0`Y6S00X0`Y6S00<000000;:4X`2bQ:<02@2b
Q:<00`000000XGNS0:5gX`0:0:5gX`030000002<J:@0S6RT00T0S6RT00<0000006iFY@1^EZD01`1^
EZD010000000?3RS03`hX`00000807^9e@030000001TQ]l0I8KO00d0I8KO00<000000:G2kP2U`^h0
5`2U`^h00`000000f^kP0=[^h00?0=[^h0030000003oool0oooo01`0oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`030?ooo`007`3oool2000002X0oooo00<0000004anh@1<O^403P1<
O^400`000000YL;^0:G2kP0F0:G2kP030000003Ihmd0fN?M00l0fN?M0P0000050=K@e0030000003e
cJ@0mLfT0080mLfT00<000000>>dY@3S]:D0203S]:D00`000000dZ6T0=:QY0090=:QY00300000032
TJ<0`Y6S00X0`Y6S00<000000;:4X`2bQ:<02@2bQ:<00`000000XGNS0:5gX`0:0:5gX`030000002<
J:@0S6RT00T0S6RT00<0000006iFY@1^EZD01`1^EZD010000000?3RS03`hX`00000907^9e@800000
3@1TQ]l00`000000YL;^0:G2kP0G0:G2kP030000003Jk^00f^kP00l0f^kP00<000000?ooo`3oool0
7@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00<0oooo000Q0?ooo`030000003o
ool0oooo02L0oooo00<0000004anh@1<O^403P1<O^400`000000YL;^0:G2kP0F0:G2kP030000003I
hmd0fN?M00h0fN?M00<000000=K@e03Fd=@01@3Fd=@01@000000mLfT0?G=Y03ecJ@0000000/0hkBU
00<000000=:QY03BXJ@02@3BXJ@00`000000`Y6S0<:AX`0:0<:AX`030000002bQ:<0/XBS00T0/XBS
00<000000:5gX`2QMj<02P2QMj<00`000000S6RT08aXY00:08aXY0030000001^EZD0KUJU00H0KUJU
00<0000003`hX`000000301kRMD00`000000I8KO06B6g`0:06B6g`030000002U`^h0YL;^01L0YL;^
00<000000=[^h03Jk^003@3Jk^0200000200oooo00<000000?ooo`3oool04@3oool00`000000oooo
0?ooo`030?ooo`008P3oool00`000000oooo0?ooo`0W0?ooo`030000001<O^40C7kQ00d0C7kQ00<0
00000:G2kP2U`^h05P2U`^h00`000000fN?M0=WSg@0<0=WSg@8000002@3Fd=@010000000mLfT0?G=
Y000000:0>>dY@030000003BXJ@0dZ6T00T0dZ6T00<000000<:AX`32TJ<02`32TJ<00`000000/XBS
0;:4X`090;:4X`030000002QMj<0XGNS00X0XGNS00<0000008aXY02<J:@02P2<J:@00`000000KUJU
06iFY@0706iFY@8000003@1kRMD2000000X0I8KO00<000000:G2kP2U`^h05`2U`^h00`000000f^kP
0=[^h00;0=[^h080000000<0bOgS0000003oool0803oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo00<0oooo000S0?ooo`030000003oool0oooo02H0oooo00<0000004anh@1<O^403@1<
O^400`000000YL;^0:G2kP0G0:G2kP030000003Ihmd0fN?M00X0fN?M00<000000=K@e03Fd=@02P3F
d=@00`000000mLfT0000000:0>>dY@030000003BXJ@0dZ6T00T0dZ6T00<000000<:AX`32TJ<02`32
TJ<00`000000/XBS0;:4X`090;:4X`030000002QMj<0XGNS00X0XGNS00<0000008aXY02<J:@02P2<
J:@00`000000KUJU06iFY@0706iFY@030000001kRMD0NhWE00h0NhWE00<0000006B6g`1TQ]l01P1T
Q]l00`000000YL;^0:G2kP0G0:G2kP030000003Jk^00f^kP00X0f^kP0P0000020<Wmh`030000003o
ool0oooo0240oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`030?ooo`00903oool2
000002L0oooo0P00000=04anh@030000002U`^h0YL;^01L0YL;^00<000000=WSg@3Ihmd0203Ihmd2
000000d0e]3D00<000000?G=Y03S]:D02P3S]:D00`000000dZ6T0=:QY0090=:QY00300000032TJ<0
`Y6S00/0`Y6S00<000000;:4X`2bQ:<02@2bQ:<00`000000XGNS0:5gX`0;0:5gX`030000002<J:@0
S6RT00T0S6RT00<0000006iFY@1^EZD01P1^EZD00`000000SHg>0000000@07^9e@8000001P1TQ]l0
0`000000YL;^0:G2kP0G0:G2kP030000003Jk^00f^kP00T0f^kP00D000000<Wmh`39oN<0bOgS0000
000U0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool00`3oool002H0oooo00<00000
0?ooo`3oool09@3oool3000000/0C7kQ00<000000:G2kP2U`^h05`2U`^h00`000000fN?M0=WSg@07
0=WSg@030000003Fd=@0e]3D00h0e]3D00<000000>>dY@3S]:D02@3S]:D00`000000dZ6T0=:QY009
0=:QY00300000032TJ<0`Y6S00/0`Y6S00<000000;:4X`2bQ:<02@2bQ:<00`000000XGNS0:5gX`0;
0:5gX`030000002<J:@0S6RT00X0S6RT00<0000006iFY@1^EZD0101^EZD01@000000SHg>08f=cP2=
SLh000000140NhWE00<0000006B6g`1TQ]l00`1TQ]l00`000000YL;^0:G2kP0G0:G2kP030000003J
k^00f^kP00L0f^kP0P0000030<Wmh`030000003oool0oooo02@0oooo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`030?ooo`009`3oool00`000000oooo0?ooo`0T0?ooo`040000000JM>80
6WCR000000/0C7kQ00<000000:G2kP2U`^h05P2U`^h00`000000fN?M0=WSg@050=WSg@800000403F
d=@010000000cl7=0000000000080>>dY@030000003BXJ@0dZ6T00X0dZ6T00<000000<:AX`32TJ<0
2`32TJ<00`000000/XBS0;:4X`090;:4X`030000002QMj<0XGNS00/0XGNS00<0000008aXY02<J:@0
2P2<J:@00`000000KUJU06iFY@0306iFY@030000002=SLh0SHg>00<0SHg>00<0000007^9e@1kRMD0
3`1kRMD2000000<0I8KO00<000000:G2kP2U`^h05`2U`^h00`000000f^kP0=[^h0050=[^h0800000
1@39oN<00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0
0`3oool002P0oooo00<000000?ooo`3oool0903oool00`0000006WCR01YdhP02000000T0C7kQ00<0
00000:G2kP2U`^h05P2U`^h00`000000fN?M0=WSg@040=WSg@030000003Fd=@0e]3D00l0e]3D00<0
00000<o1c@3?`Ld00P3?`Ld2000000H0hkBU00<000000=:QY03BXJ@02P3BXJ@00`000000`Y6S0<:A
X`0:0<:AX`030000002bQ:<0/XBS00/0/XBS00<000000:5gX`2QMj<02P2QMj<00`000000S6RT08aX
Y00:08aXY0040000001^EZD0KUJU06iFY@8000001`2=SLh00`000000NhWE07^9e@0@07^9e@040000
001TQ]l0I8KO000001T0YL;^00<000000=[^h03Jk^00103Jk^000`000000bOgS0<Wmh`040<Wmh`03
0000003oool0oooo02L0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`020?ooo`00
:@3oool00`000000oooo0?ooo`0T0?ooo`050000000JM>806WCR01YdhP000000201<O^400`000000
YL;^0:G2kP0F0:G2kP030000003Ihmd0fN?M0080fN?M0P00000A0=K@e0030000003?`Ld0cl7=00D0
cl7=00<000000>>dY@3S]:D00`3S]:D00`000000dZ6T0=:QY0090=:QY00300000032TJ<0`Y6S00/0
`Y6S00<000000;:4X`2bQ:<02`2bQ:<00`000000XGNS0:5gX`0:0:5gX`030000002<J:@0S6RT00X0
S6RT00@0000006iFY@1^EZD000002P2=SLh00`000000NhWE07^9e@0@07^9e@<000006@2U`^h00`00
0000f^kP0=[^h0020=[^h08000001P39oN<00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo
00d0oooo00<000000?ooo`3oool00P3oool002X0oooo0P00000U0?ooo`040000000JM>806WCR01Yd
hP8000001P1<O^400`000000YL;^0:G2kP0G0:G2kP040000003Ihmd0fN?M00000180e]3D00<00000
0<o1c@3?`Ld01`3?`Ld2000000<0hkBU00<000000=:QY03BXJ@02@3BXJ@00`000000`Y6S0<:AX`0;
0<:AX`030000002bQ:<0/XBS00/0/XBS00<000000:5gX`2QMj<02P2QMj<00`000000S6RT08aXY00;
08aXY0800000302=SLh00`000000NhWE07^9e@0A07^9e@L000004`2U`^h00`000000f^kP0=[^h002
000000L0bOgS00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0
oooo0080oooo000/0?ooo`030000003oool0oooo02<0oooo00<0000001YdhP0JM>800P0JM>820000
00@0C7kQ00<000000:G2kP2U`^h05`2U`^h300000180e]3D00<000000<o1c@3?`Ld02P3?`Ld30000
00`0dZ6T00<000000<:AX`32TJ<02`32TJ<00`000000/XBS0;:4X`0;0;:4X`030000002QMj<0XGNS
00X0XGNS00<0000008aXY02<J:@02P2<J:@2000000h0SHg>00<0000007^9e@1kRMD03`1kRMD00`00
0000YL;^0:G2kP050:G2kPd000001P2U`^h3000000T0bOgS00<000000?ooo`3oool0:`3oool00`00
0000oooo0?ooo`0;0?ooo`030000003oool0oooo0080oooo000]0?ooo`030000003oool0oooo0280
oooo00<0000001YdhP0JM>80100JM>801@000000C7kQ04anh@1<O^40000001D0YL;^1@00000C0=K@
e0030000003?`Ld0cl7=00d0cl7=0P00000;0=:QY00300000032TJ<0`Y6S00/0`Y6S00<000000;:4
X`2bQ:<02`2bQ:<00`000000XGNS0:5gX`0:0:5gX`030000002<J:@0S6RT00P0S6RT0P00000209bB
b0030000002=SLh0SHg>00`0SHg>00<0000007^9e@1kRMD03P1kRMD00`000000YL;^0:G2kP0B0:G2
kPL000002P39oN<00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool00P3oool002h0oooo00<000000?ooo`3oool08P3oool00`0000006WCR01YdhP0401YdhP80
00000P1<O^400`000000YL;^0:G2kP0:0:G2kPP000001@2U`^h00`000000e]3D0=K@e00?0=K@e003
0000003?`Ld0cl7=00d0cl7=00<000000<Jcb036/lP00P0000090=:QY00300000032TJ<0`Y6S00/0
`Y6S00<000000;:4X`2bQ:<02`2bQ:<00`000000XGNS0:5gX`0;0:5gX`030000002<J:@0S6RT00@0
S6RT0`00000409bBb0030000002=SLh0SHg>00d0SHg>0P00000=07^9e@030000002U`^h0YL;^01P0
YL;^00<000000<Wmh`39oN<02039oN<00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool00P3oool002l0oooo00<000000?ooo`3oool08P3oool00`0000006WCR
01YdhP0501YdhP<00000102U`^h8000000h0YL;^00<000000=K@e03Fd=@03@3Fd=@00`000000cl7=
0<o1c@0>0<o1c@0300000036/lP0a[?80080a[?80P0000070=:QY00300000032TJ<0`Y6S00/0`Y6S
00<000000;:4X`2bQ:<02`2bQ:<00`000000XGNS0:5gX`0;0:5gX`040000002<J:@0S6RT08aXY0<0
0000202LT/P00`000000SHg>08f=cP0>08f=cP030000001kRMD0NhWE00X0NhWE00<000000:G2kP2U
`^h0602U`^h00`000000bOgS0<Wmh`070<Wmh`030000003oool0oooo0300oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`020?ooo`00<03oool2000002<0oooo00<0000001YdhP0JM>80
1P0JM>85000001H0YL;^00<000000=K@e03Fd=@0303Fd=@00`000000cl7=0<o1c@0>0<o1c@030000
0036/lP0a[?800D0a[?80`0000030=:QY00300000032TJ<0`Y6S00`0`Y6S00<000000;:4X`2bQ:<0
2`2bQ:<00`000000XGNS0:5gX`0;0:5gX`040000002<J:@00000000000`0W9;800<0000008f=cP2=
SLh03P2=SLh00`000000NhWE07^9e@0807^9e@030000002U`^h0YL;^01P0YL;^00<000000<Wmh`39
oN<02039oN<00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool00P3oool00380oooo00<000000?ooo`3oool0803oool00`0000006WCR01YdhP0701YdhP030000
002U`^h0YL;^01P0YL;^00<000000=K@e03Fd=@02P3Fd=@00`000000cl7=0<o1c@0>0<o1c@030000
0036/lP0a[?800T0a[?80P0000000`3BXJ@000000<:AX`0=0<:AX`030000002bQ:<0/XBS00/0/XBS
00<000000:5gX`2QMj<02@2QMj<4000000h0W9;800<0000008f=cP2=SLh03`2=SLh00`000000NhWE
07^9e@0607^9e@030000002U`^h0YL;^01P0YL;^00<000000<Wmh`39oN<02039oN<00`000000oooo
0?ooo`0b0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00@3oool003<0oooo00<0
00000?ooo`3oool0803oool00`0000006WCR01YdhP0701YdhP030000002U`^h0YL;^01P0YL;^00<0
00000=K@e03Fd=@0203Fd=@00`000000cl7=0<o1c@0>0<o1c@0300000036/lP0a[?800`0a[?81@00
000;0<:AX`030000002bQ:<0/XBS00/0/XBS00<000000:5gX`2QMj<01@2QMj<400000080Z9S500<0
000009bBb02LT/P03P2LT/P00`000000SHg>08f=cP0?08f=cP030000001kRMD0NhWE00D0NhWE00<0
00000:G2kP2U`^h0602U`^h00`000000bOgS0<Wmh`070<Wmh`030000003oool0oooo03@0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`010?ooo`00=03oool00`000000oooo0?ooo`0P
0?ooo`030000000JM>806WCR00H06WCR00<000000:G2kP2U`^h06@2U`^h00`000000e]3D0=K@e006
0=K@e0030000003?`Ld0cl7=00l0cl7=00<000000<Jcb036/lP03@36/lP010000000_JS50;fXa@2m
Z<D8000000<0`Y6S00<000000;:4X`2bQ:<02`2bQ:<00`000000XGNS0:5gX`05000000L0Z9S500<0
000009bBb02LT/P03P2LT/P00`000000SHg>08f=cP0?08f=cP030000001kRMD0NhWE00<0NhWE00<0
00000:G2kP2U`^h0602U`^h00`000000bOgS0<Wmh`070<Wmh`030000003oool0oooo03H0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`010?ooo`00=@3oool200000240oooo00<00000
01YdhP0JM>801P0JM>800`000000YL;^0:G2kP0I0:G2kP030000003Fd=@0e]3D00@0e]3D00<00000
0<o1c@3?`Ld03`3?`Ld00`000000a[?80<Jcb00=0<Jcb0030000002mZ<D0_JS500X0_JS55000000<
0:RHa@030000002LT/P0W9;800l0W9;800<0000008f=cP2=SLh03`2=SLh00`000000NhWE07^9e@02
07^9e@030000002U`^h0YL;^01L0YL;^00<000000<Wmh`39oN<02039oN<00`000000oooo0?ooo`0g
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00@3oool003L0oooo00<000000?oo
o`3oool07`3oool00`0000006WCR01YdhP0601YdhP030000002U`^h0YL;^01T0YL;^00<000000=K@
e03Fd=@00P3Fd=@00`000000cl7=0<o1c@0?0<o1c@0300000036/lP0a[?800h0a[?800<000000;fX
a@2mZ<D03@2mZ<D00`000000/io40;>Oa00;0;>Oa0030000002XV<D0Z9S500d0Z9S500<0000009bB
b02LT/P03P2LT/P00`000000SHg>08f=cP0@08f=cP040000001kRMD0NhWE000001T0YL;^00<00000
0<Wmh`39oN<02039oN<00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool00@3oool003P0oooo00<000000?ooo`3oool07P3oool00`0000006WCR01YdhP0701Yd
hP030000002U`^h0YL;^01P0YL;^00D000000=K@e03Fd=@0e]3D0000000B0<o1c@0300000036/lP0
a[?800h0a[?800<000000;fXa@2mZ<D03@2mZ<D00`000000/io40;>Oa00;0;>Oa0030000002XV<D0
Z9S500d0Z9S500<0000009bBb02LT/P03`2LT/P00`000000SHg>08f=cP0@08f=cP030000001kRMD0
000001T0YL;^00<000000<Wmh`39oN<01P39oN<2000003`0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`010?ooo`00>@3oool00`000000oooo0?ooo`0N0?ooo`030000000JM>806WCR
00L06WCR00<000000:G2kP2U`^h0602U`^h00`000000e]3D0000000B0<o1c@0300000036/lP0a[?8
00h0a[?800<000000;fXa@2mZ<D03P2mZ<D00`000000/io40;>Oa00<0;>Oa0030000002XV<D0Z9S5
00d0Z9S500<0000009bBb02LT/P03`2LT/P00`000000SHg>08f=cP0@08f=cP800000602U`^h00`00
0000bOgS0<Wmh`050<Wmh`800000?`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
0040oooo000j0?ooo`030000003oool0oooo01h0oooo0P00000701YdhP030000002U`^h0YL;^01P0
YL;^0P00000B0<o1c@0300000036/lP0a[?800l0a[?800<000000;fXa@2mZ<D03@2mZ<D00`000000
/io40;>Oa00=0;>Oa0030000002XV<D0Z9S500d0Z9S500<0000009bBb02LT/P03`2LT/P00`000000
SHg>08f=cP0>08f=cP8000000P2U`^h4000001<0YL;^00<000000<Wmh`39oN<01039oN<300000400
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`010?ooo`00>`3oool2000001l0oooo
0`00000601YdhP030000002U`^h0YL;^01@0YL;^0`0000020:G2kP800000403?`Ld00`000000a[?8
0<Jcb00>0<Jcb0030000002mZ<D0_JS500h0_JS500<000000;>Oa02cWl@03@2cWl@00`000000Z9S5
0:RHa@0>0:RHa@030000002LT/P0W9;800l0W9;800<0000008f=cP2=SLh0302=SLh00`000000YL;^
0:G2kP060:G2kP@000003`2U`^h00`000000bOgS0<Wmh`020<Wmh`<00000@`3oool00`000000oooo
0?ooo`040?ooo`4000000@3oool10?ooo`00?@3oool00`000000oooo0?ooo`0N0?ooo`<000001@0J
M>800`000000YL;^0:G2kP0@0:G2kP<000001`2U`^h00`000000cl7=0<o1c@0<0<o1c@0300000036
/lP0a[?800l0a[?800<000000;fXa@2mZ<D03P2mZ<D00`000000/io40;>Oa00=0;>Oa0030000002X
V<D0Z9S500h0Z9S500<0000009bBb02LT/P0402LT/P00`000000SHg>08f=cP0908f=cP8000003@2U
`^h3000000/0YL;^00@000000<Wmh`39oN<0bOgS100000150?ooo`030000003oool0oooo00<0oooo
0@0000010?ooo`40oooo000n0?ooo`030000003oool0oooo01l0oooo0`00000401YdhP030000002U
`^h0YL;^00`0YL;^0`00000;0:G2kP8000002`3?`Ld00`000000a[?80<Jcb00@0<Jcb0030000002m
Z<D0_JS500h0_JS500<000000;>Oa02cWl@03@2cWl@00`000000Z9S50:RHa@0?0:RHa@030000002L
T/P0W9;800l0W9;800<0000008f=cP2=SLh0202=SLh00`000000YL;^0:G2kP0@0:G2kP@000001P2U
`^h00`000000bOgS0<Wmh`020000000309;`d@000000oooo04L0oooo00<000000?ooo`3oool00P3o
ool100000040oooo0@3oool003l0oooo00<000000?ooo`3oool07`3oool4000000<06WCR00<00000
0:G2kP2U`^h01`2U`^h400000100YL;^00<000000<o1c@3?`Ld01`3?`Ld00`000000a[?80<Jcb00@
0<Jcb0030000002mZ<D0_JS500l0_JS500<000000;>Oa02cWl@03@2cWl@00`000000Z9S50:RHa@0?
0:RHa@030000002LT/P0W9;80100W9;800<0000008f=cP2=SLh01P2=SLh00`000000YL;^0:G2kP0E
0:G2kP@000000P2U`^h300000080T_3A00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`02
0?ooo`4000000@3oool10?ooo`00@03oool00`000000oooo0?ooo`0P0?ooo`@0000000<06WCR0000
002U`^h01@2U`^h3000001D0YL;^00<000000<o1c@3?`Ld01P3?`Ld00`000000a[?80<Jcb00@0<Jc
b0030000002mZ<D0_JS500l0_JS500<000000;>Oa02cWl@03P2cWl@00`000000Z9S50:RHa@0>0:RH
a@030000002LT/P0W9;80140W9;800<0000008f=cP2=SLh00`2=SLh2000001`0YL;^0`00000209;`
d@800000B`3oool01@000000oooo0?ooo`3oool000000080oooo00110?ooo`8000008P3oool00`00
000006;;0000000200000080YL;^0`00000I0:G2kP8000001@3?`Ld00`000000a[?80<Jcb00A0<Jc
b0030000002mZ<D0_JS500l0_JS500<000000;>Oa02cWl@03P2cWl@00`000000Z9S50:RHa@0?0:RH
a@030000002LT/P0W9;80140W9;800D0000008f=cP2=SLh0SHg>0000000M0:G2kP8000000`2Bl=40
0`000000oooo0?ooo`1<0?ooo`040000003oool0oooo00000080oooo00130?ooo`030000003oool0
oooo0200oooo0P0000001000H//0000000000000000N0:G2kP050000003?`Ld0cl7=0<o1c@000000
4`36/lP00`000000_JS50;fXa@0@0;fXa@030000002cWl@0/io400h0/io400<000000:RHa@2XV<D0
3`2XV<D00`000000W9;809bBb00A09bBb0040000002=SLh00000000001d0YL;^00@0000009;`d@2B
l=40T_3A0P00001?0?ooo`040000003oool0oooo00000080oooo00140?ooo`030000003oool0oooo
0240oooo00<00000001Rb`00H//00P00000N0:G2kP80000000<0cl7=00000036/lP04P36/lP00`00
0000_JS50;fXa@0?0;fXa@030000002cWl@0/io400l0/io400<000000:RHa@2XV<D0402XV<D00`00
0000W9;809bBb00@09bBb08000007@2U`^h2000000<0T_3A00<000000?ooo`3oool0D03oool00`00
0000oooo000000020?ooo`00A@3oool00`000000oooo0?ooo`0Q0?ooo`8000000P00H//00`000000
YL;^0:G2kP0M0:G2kP8000004`36/lP00`000000_JS50;fXa@0?0;fXa@030000002cWl@0/io400l0
/io400<000000:RHa@2XV<D0402XV<D00`000000W9;809bBb00>09bBb08000000P2U`^h2000001X0
YL;^00@0000009;`d@2Bl=40T_3A0P00001D0?ooo`030000003oool000000040oooo00160?ooo`03
0000003oool0oooo0280oooo0P0000000`00H//000000000000K0:G2kP8000000P2U`^h200000100
a[?800<000000;fXa@2mZ<D0402mZ<D00`000000/io40;>Oa00?0;>Oa0030000002XV<D0Z9S50140
Z9S500<0000009bBb02LT/P02P2LT/P3000000H0YL;^0P00000F0:G2kP8000000`2Bl=400`000000
oooo0?ooo`1E0?ooo`8000000@3oool004L0oooo0P00000T0?ooo`0300000000H//006;;00800000
602U`^h00`000000YL;^0:G2kP040:G2kP<000003@36/lP00`000000_JS50;fXa@0@0;fXa@030000
002cWl@0/io40100/io400<000000:RHa@2XV<D0402XV<D00`000000W9;809bBb00809bBb0800000
2`2U`^h2000001<0YL;^00@0000009;`d@2Bl=40T_3A0P00001H0?ooo`8000000@3oool004T0oooo
00<000000?ooo`3oool08P3oool20000008006;;00<000000:G2kP2U`^h04`2U`^h2000000X0YL;^
0P00000:0<Jcb0030000002mZ<D0_JS50140_JS500<000000;>Oa02cWl@0402cWl@00`000000Z9S5
0:RHa@0A0:RHa@030000002LT/P0W9;800D0W9;80P00000?0:G2kP8000003`2U`^h200000080T_3A
0P00001J0?ooo`8000000@3oool004X0oooo00<000000?ooo`3oool08`3oool00`00000006;;001R
b`0200000140YL;^0P00000>0:G2kP<000001`36/lP00`000000_JS50;fXa@0A0;fXa@030000002c
Wl@0/io40100/io400<000000:RHa@2XV<D04@2XV<D00`000000W9;809bBb00209bBb0<000004`2U
`^h2000000`0YL;^00<0000009;`d@2Bl=400P00001H0?ooo`@000000`3oool004/0oooo00<00000
0?ooo`3oool0903oool200000003001Rb`000000YL;^00h0YL;^00<000000:G2kP2U`^h04@2U`^h3
000000@0a[?800<000000;fXa@2mZ<D04@2mZ<D00`000000/io40;>Oa00@0;>Oa0030000002XV<D0
Z9S50180Z9S500@0000009bBb00000000000602U`^h2000000P0YL;^0P0000000`2Bl=4000000000
001F0?ooo`@000001`3oool004`0oooo0P00000V0?ooo`@000002`2U`^h2000001L0YL;^0P000000
0`36/lP000000;fXa@0C0;fXa@030000002cWl@0/io40100/io400<000000:RHa@2XV<D0402XV<D4
000001`0YL;^0P0000050:G2kP@00000E03oool4000000/0oooo001>0?ooo`030000003oool0oooo
02D0oooo100000080:G2kP030000002U`^h0YL;^01T0YL;^1@00000@0;fXa@030000002cWl@0/io4
0140/io400<000000:RHa@2XV<D02`2XV<D5000000<0YL;^00<000000:G2kP2U`^h0702U`^h20000
00040:G2kP0000000000000005<0oooo1000000?0?ooo`00C`3oool00`000000oooo0?ooo`0V0?oo
o`<000001@2U`^h2000001`0YL;^00<000000:G2kP2U`^h00P2U`^h6000000X0_JS500<000000;>O
a02cWl@04P2cWl@00`000000Z9S50:RHa@050:RHa@D000002@2U`^h00`000000YL;^0:G2kP0L0:G2
kP<00000DP3oool3000001<0oooo001@0?ooo`030000003oool0oooo02L0oooo0`0000000`2U`^h0
00000000000M0:G2kP030000002U`^h0YL;^00T0YL;^1`0000030;fXa@030000002cWl@0/io40180
/io400<000000:RHa@2XV<D01@00000?0:G2kP030000002U`^h0YL;^01T0YL;^0P00001A0?ooo`@0
00005P3oool00540oooo00<000000?ooo`3oool0:03oool3000001d0YL;^00<000000:G2kP2U`^h0
4@2U`^hK000001D0YL;^00<000000:G2kP2U`^h05@2U`^h3000004l0oooo1000000J0?ooo`00DP3o
ool2000002/0oooo0`00000I0:G2kP030000002U`^h0YL;^01D0YL;^00<000000:G2kP2U`^h04P2U
`^h00`000000YL;^0:G2kP0F0:G2kP030000002U`^h0YL;^0180YL;^0P00001>0?ooo`@000007P3o
ool005@0oooo00<000000?ooo`3oool0:`3oool3000001D0YL;^00<000000:G2kP2U`^h05@2U`^h0
0`000000YL;^0:G2kP0D0:G2kP030000002U`^h0YL;^01H0YL;^00<000000:G2kP2U`^h03P2U`^h3
000004d0oooo0`00000R0?ooo`00E@3oool00`000000oooo0?ooo`0]0?ooo`<000004P2U`^h00`00
0000YL;^0:G2kP0E0:G2kP030000002U`^h0YL;^01@0YL;^00<000000:G2kP2U`^h05`2U`^h00`00
0000YL;^0:G2kP0:0:G2kP<00000C03oool4000002D0oooo001F0?ooo`030000003oool0oooo02l0
oooo0`00000>0:G2kP030000002U`^h0YL;^01H0YL;^00<000000:G2kP2U`^h0502U`^h00`000000
YL;^0:G2kP0H0:G2kP030000002U`^h0YL;^00L0YL;^0P00001;0?ooo`@00000:@3oool005L0oooo
00<000000?ooo`3oool0<@3oool3000000X0YL;^00<000000:G2kP2U`^h05`2U`^h00`000000YL;^
0:G2kP0E0:G2kP030000002U`^h0YL;^01P0YL;^00<000000:G2kP2U`^h00`2U`^h3000004T0oooo
1000000]0?ooo`00F03oool2000003@0oooo0`0000060:G2kP030000002U`^h0YL;^01L0YL;^00<0
00000:G2kP2U`^h05P2U`^h00`000000YL;^0:G2kP0I0:G2kP030000002U`^h0YL;^00800000B03o
ool400000340oooo001J0?ooo`030000003oool0oooo0380oooo00<000000?ooo`0000000P000002
0:G2kP030000002U`^h0YL;^01P0YL;^00<000000:G2kP2U`^h05P2U`^h00`000000YL;^0:G2kP0H
0:G2kP@00000A`3oool3000003D0oooo001K0?ooo`030000003oool0oooo0340oooo00<000000?oo
o`3oool00P3oool5000001P0YL;^00<000000:G2kP2U`^h05`2U`^h00`000000YL;^0:G2kP0A0:G2
kPH00000A`3oool4000003P0oooo001L0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3o
ool01`3oool700000140YL;^00<000000:G2kP2U`^h05`2U`^h00`000000YL;^0:G2kP0<0:G2kPD0
0000B@3oool4000003`0oooo001M0?ooo`800000<03oool00`000000oooo0?ooo`0>0?ooo`H00000
2P2U`^h00`000000YL;^0:G2kP0H0:G2kP030000002U`^h0YL;^00L0YL;^1@00001:0?ooo`@00000
@03oool005l0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0D0?ooo`L000000`2U
`^h00`000000YL;^0:G2kP0I0:G2kP030000002U`^h0YL;^00H00000B`3oool4000004@0oooo001P
0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool06`3ooolR000004h0oooo0`000018
0?ooo`00H@3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo08L0oooo1000001;0?oo
o`00HP3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo08<0oooo1000001?0?ooo`00
H`3oool2000002X0oooo00<000000?ooo`3oool0O`3oool4000005<0oooo001U0?ooo`030000003o
ool0oooo02L0oooo00<000000?ooo`3oool0N`3oool4000005L0oooo001V0?ooo`030000003oool0
oooo02H0oooo00<000000?ooo`3oool0N03oool3000005/0oooo001W0?ooo`030000003oool0oooo
02D0oooo00<000000?ooo`3oool0M03oool4000005h0oooo001X0?ooo`030000003oool0oooo02@0
oooo00<000000?ooo`3oool0L03oool400000680oooo001Y0?ooo`800000903oool00`000000oooo
0?ooo`1/0?ooo`@00000IP3oool006/0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?oo
o`1Y0?ooo`<00000JP3oool006`0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`1U
0?ooo`@00000K@3oool006d0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`1Q0?oo
o`@00000L@3oool006h0oooo0P00000O0?ooo`030000003oool0oooo05d0oooo1000001e0?ooo`00
L03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo05T0oooo1000001i0?ooo`00L@3o
ool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo05H0oooo0`00001m0?ooo`00LP3oool0
0`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0580oooo100000200?ooo`00L`3oool00`00
0000oooo0?ooo`0I0?ooo`030000003oool0oooo04h0oooo100000240?ooo`00M03oool2000001T0
oooo00<000000?ooo`3oool0BP3oool4000008P0oooo001f0?ooo`030000003oool0oooo01H0oooo
00<000000?ooo`3oool0AP3oool4000008`0oooo001g0?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool0@`3oool300000900oooo001h0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0?`3oool4000009<0oooo001i0?ooo`030000003oool0oooo01<0oooo00<000000?oo
o`3oool0>`3oool4000009L0oooo001j0?ooo`8000004`3oool00`000000oooo0?ooo`0g0?ooo`@0
0000V`3oool007`0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0d0?ooo`@00000
W`3oool007d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0a0?ooo`<00000X`3o
ool007h0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0]0?ooo`@00000YP3oool0
07l0oooo0P00000=0?ooo`030000003oool0oooo02T0oooo1000002Z0?ooo`00P@3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo02D0oooo1000002^0?ooo`00PP3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo0280oooo0`00002b0?ooo`00P`3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo01h0oooo1000002e0?ooo`00Q03oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo01X0oooo1000002i0?ooo`00Q@3oool2000000L0oooo00<000000?oo
o`3oool05P3oool400000;d0oooo00270?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool04P3oool400000<40oooo00280?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
3`3oool300000<D0oooo00290?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3o
ool400000<P0oooo002:0?ooo`050000003oool0oooo0?ooo`0000002@3oool400000<`0oooo002;
0?ooo`80000000<0oooo0000003oool0103oool400000=00oooo002=0?ooo`80000000<0oooo0000
000000000P00003D0?ooo`00SP3oool200000=P0oooo0000\
\>"],
  ImageRangeCache->{{{0, 359}, {276.188, 0}} -> {-0.000455507, 0.0839728, \
0.00332116, 0.00332116}},
  CellTags->"S5.42.1"],

Cell[BoxData[
    FormBox[
      TagBox[\(\[SkeletonIndicator]  Graphics3D  \[SkeletonIndicator]\),
        False,
        Editable->False], TraditionalForm]], "Output",
  CellLabel->"Out[178]=",
  CellTags->"S5.42.1"]
}, Open  ]],

Cell["\<\
En cuanto al c\[AAcute]lculo del volumen: util\[IAcute]cese la \
f\[OAcute]rmula para el volumen del cuerpo obtenido por rotaci\[OAcute]n de \
una curva alrededor de un eje.\
\>", "Text",
  FontSlant->"Italic"],

Cell[TextData[{
  "Problema 4. Recordemos un a\[NTilde]o es bisiesto seg\[UAcute]n el \
calendario juliano si es m\[UAcute]ltiplo de 4. Sin embargo el calendario \
vigente en la actualidad es el calendario gregoriano para el cual un a\
\[NTilde]o es bisiesto si es multiplo de 400, o multiplo de 4 pero no de 100. \
Por ejemplo 2000 y 2004 fueron bisiestos pero 1900 no. Definir una funci\
\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(f\)\(:\)\(\ \)\)\)]],
  "\[DoubleStruckCapitalN] \[LongRightArrow] {",
  Cell[BoxData[
      \(TraditionalForm\`True, \ False\)]],
  "}  tal que ",
  Cell[BoxData[
      \(TraditionalForm\`f(n)\)]],
  "=True si ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(n\)\(\ \)\)\)]],
  "es bisiesto y \n",
  Cell[BoxData[
      \(TraditionalForm\`f(n) = False\)]],
  " en caso contrario."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Problema 5. Denotemos por ",
  Cell[BoxData[
      \(TraditionalForm\`B\_J\)]],
  "el conjunto de los n\[UAcute]meros naturales que representan a\[NTilde]os \
bisiestos seg\[UAcute]n el calendario juliano y por ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(B\_G\)\(\ \)\)\)]],
  "el correspondiente a\[NTilde]o en el calendario gregoriano. Consideremos \
el conjunto de todas las fechas posibles definido como el conjunto de ternas \
",
  Cell[BoxData[
      \(TraditionalForm\`\((x, y, z)\)\)]],
  " de n\[UAcute]meros naturales tales que ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " representa el dia, ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(y\)\(\ \)\)\)]],
  "representa el mes, y ",
  Cell[BoxData[
      \(TraditionalForm\`z\)]],
  " el a\[NTilde]o. Por ejemplo el dos de mayo de 1956 vendr\[IAcute]a dado \
por la terna ",
  Cell[BoxData[
      \(TraditionalForm\`\((2, 5, 1956)\)\)]],
  ". Def\[IAcute]nase una funci\[OAcute]n que nos dia si una determinada \
terna representa un fecha o no. ",
  StyleBox["Sugerencia: el conjunto de las fechas en el calendario juliano \
podr\[IAcute]a definirse como aquel conjunto de ternas ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`F\_J\)]],
  " ",
  StyleBox["tales que",
    FontSlant->"Italic"],
  " ",
  Cell[BoxData[
      \(TraditionalForm\`\((x, y, z)\) \[Element] F\_j\)]],
  " ",
  StyleBox["si y solo si ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`\(\(z \[Element] \[DoubleStruckCapitalN]\)\(,\)\(\ \
\)\)\)]],
  Cell[BoxData[
      \(TraditionalForm\`y \[Element] {1, \(\(...\)\(.\)\), \ 12}\)]],
  " ",
  StyleBox["y para cada",
    FontSlant->"Italic"],
  "  ",
  Cell[BoxData[
      \(TraditionalForm\`y, z\)]],
  " f",
  StyleBox["ijados se tiene que",
    FontSlant->"Italic"],
  "\n ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(x\)\(\[Element]\)\({1,  ... , \ 
          31}\)\(\ \)\)\)]],
  " ",
  StyleBox["si ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`y \[Element] {1, 3, 5, 7, \)]],
  "8,10,12}, \n ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(x\)\(\[Element]\)\({1,  ... , \ 
          30}\)\(\ \)\)\)]],
  " ",
  StyleBox["si ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`y \[Element] {4\)]],
  ",6,9,11}, \n ",
  Cell[BoxData[
      FormBox[
        RowBox[{"x", "\[Element]", 
          RowBox[{\({1,  ... , \ 29}\), "  ", 
            StyleBox["si",
              FontSlant->"Italic"], " ", Cell[TextData[Cell[BoxData[
                \(TraditionalForm\`y = 2\)]]]], " "}]}], TraditionalForm]]],
  "y ",
  Cell[BoxData[
      \(TraditionalForm\`z\)]],
  "\[Element]",
  Cell[BoxData[
      \(TraditionalForm\`\(\(B\_J\)\(.\)\)\)]],
  "\n ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(x\)\(\[Element]\)\({1,  ... , \ 
          28}\)\(\ \ \ \)\)\)]],
  StyleBox["en otros casos.",
    FontSlant->"Italic"],
  "\n",
  StyleBox["An\[AAcute]logamente se podr\[IAcute]a definir el conjunto ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`F\_G\)],
    FontSlant->"Italic"],
  StyleBox[" de las fechas en el calendario gregoriano. Solo habr\[IAcute]a \
que sustituir en la definici\[OAcute]n de arriba el conjunto ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`\(\(B\_J\)\(\ \)\)\)],
    FontSlant->"Italic"],
  StyleBox["por ",
    FontSlant->"Italic"],
  Cell[BoxData[
      \(TraditionalForm\`\(\(B\_G\)\(.\)\)\)],
    FontSlant->"Italic"]
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Problema 6. Definir una funci\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`\[CapitalLambda] : F\_J\[LongRightArrow]F\_J\)]],
  " tal que para cada ",
  Cell[BoxData[
      \(TraditionalForm\`f \[Element] F\_J\)]],
  " se tenga ",
  Cell[BoxData[
      \(TraditionalForm\`\[CapitalLambda](f) = g\)]],
  " siendo ",
  Cell[BoxData[
      \(TraditionalForm\`g\)]],
  " la fecha que representa al d\[IAcute]a siguiente al que representa ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  "."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Problema 7. Definir una funci\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`\[CapitalLambda] : F\_G\[LongRightArrow]F\_G\)]],
  " tal que para cada ",
  Cell[BoxData[
      \(TraditionalForm\`f \[Element] F\_J\)]],
  " se tenga ",
  Cell[BoxData[
      \(TraditionalForm\`\[CapitalLambda](f) = g\)]],
  " siendo ",
  Cell[BoxData[
      \(TraditionalForm\`g\)]],
  " la fecha que representa al d\[IAcute]a siguiente al que representa ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  "."
}], "Text"],

Cell[TextData[{
  "Problema 8. Fijemos la fecha inicial ",
  Cell[BoxData[
      \(TraditionalForm\`f\_0 := \((1, 1, 0)\)\)]],
  ". Definir una funci\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`N : 
        F\_J\[LongRightArrow]\[DoubleStruckCapitalN]\)]],
  " tal que para para cada ",
  Cell[BoxData[
      \(TraditionalForm\`f \[Element] \ F\_J\)]],
  " se tenga que ",
  Cell[BoxData[
      \(TraditionalForm\`N(f)\)]],
  " expresa el n\[UAcute]mero de d\[IAcute]as desde ",
  Cell[BoxData[
      \(TraditionalForm\`f\_0\)]],
  " hasta ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  ". Repetir el asunto para el calendario gregoriano."
}], "Text"],

Cell[TextData[{
  "Problema 9. Distribuir los naturales del conjunto ",
  Cell[BoxData[
      \(TraditionalForm\`\(\({1, \(\(...\)\(.\)\), 9}\)\(\ \)\)\)]],
  "en una matriz m\[AAcute]gica ",
  Cell[BoxData[
      \(TraditionalForm\`3\[Times]3\)]],
  ".\nProblema 10. Distribuir los naturales del conjunto {1,.....,16} en una \
matriz m\[AAcute]gica ",
  Cell[BoxData[
      \(TraditionalForm\`4\[Times]4\)]],
  ".\nProblema 11. Consideremos la funci\[OAcute]n"
}], "Text"],

Cell[BoxData[
    \(TraditionalForm\`f[n_] := 
      Module[{S}, \[IndentingNewLine]\ \ \ \ \ \ \ \ \ \ \ \ \ S = {}; \
\[IndentingNewLine]\ \ \ \ \ \ \ \ \ \ \ \ For[i = 1, 
          i \[LessEqual] n, \(i++\), S = Append[S, i\^2]]; S]\)], "Input",
  CellLabel->"In[179]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(TraditionalForm\`f[10]\)], "Input",
  CellLabel->"In[180]:="],

Cell[BoxData[
    \(TraditionalForm\`{1, 4, 9, 16, 25, 36, 49, 64, 81, 100}\)], "Output",
  CellLabel->"Out[180]="]
}, Open  ]],

Cell[TextData[{
  "Como es evidente ",
  Cell[BoxData[
      \(TraditionalForm\`f[n]\)]],
  " construye una lista con los cuadrados de los ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " primeros numeros naturales. Si se aplica ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  " a otro tipo de n\[UAcute]meros que no sean naturales, el resultado puede \
ser inesperado pero este no es el asunto que nos preocupa en este problema. \
Lo que se pide es definir una funci\[OAcute]n que haga exactemente lo mismo \
que ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  " usando un bucle While en lugar del bucle For. "
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Problema 12. Definir una funci\[OAcute]n que haga exactamento lo mismo que \
",
  Cell[BoxData[
      \(TraditionalForm\`\(\(f\)\(\ \)\)\)]],
  " del ejercicio anterior usando un bucle Do en lugar del bucle For. An\
\[AAcute]logamente con el bucle Table en lugar del For."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Problema 13. Se define un 'magma' como un conjunto ",
  Cell[BoxData[
      \(TraditionalForm\`S\)]],
  " dotado de una operaci\[OAcute]n binaria ",
  Cell[BoxData[
      \(TraditionalForm\`p : S\[Times]S \[Rule] S\)]],
  " que se llamar\[AAcute] el 'producto' de ",
  Cell[BoxData[
      \(TraditionalForm\`S\)]],
  ". No se supone que la operaci\[OAcute]n sea asociativa ni conmutativa ni \
tenga elemento neutro ni ninguna otra condici\[OAcute]n adicional. De este \
modo todo semigrupo, monoide o grupo es una caso particular de magma. Dado un \
magma finito ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(S = {x\_1,  ... , x\_n}\)\(,\)\)\)]],
  " se puede expresar su producto simplemente dando una matriz ",
  Cell[BoxData[
      \(TraditionalForm\`A = \((a\_\(i, j\))\)\)]],
  " de tama\[NTilde]o ",
  Cell[BoxData[
      \(TraditionalForm\`n\[Times]n\)]],
  " tal que ",
  Cell[BoxData[
      \(TraditionalForm\`a\_\(i, j\) = \(\(p\)\((\)\(x\_i, x\_j\)\)\)]],
  ") para todos ",
  Cell[BoxData[
      \(TraditionalForm\`i, j = 1,  ... , n\)]],
  ". La matriz ",
  Cell[BoxData[
      \(TraditionalForm\`A\)]],
  " se llamar\[AAcute] en lo sucesivo la tabla del producto de ",
  Cell[BoxData[
      \(TraditionalForm\`S\)]],
  ". Construir una funci\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`f\)]],
  " definida en el conjunto de las matrices de tama\[NTilde]o arbitrario, tal \
que ",
  Cell[BoxData[
      \(TraditionalForm\`f(A)\)]],
  " que nos diga si el magma ",
  Cell[BoxData[
      \(TraditionalForm\`S\)]],
  " cuya tabla de producto es ",
  Cell[BoxData[
      \(TraditionalForm\`A\)]],
  " es conmutativo. Idem para la propiedad asociativa. Idem para la \
existencia de elemento neutro. Idem para la existencia de elemento inverso."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell["\<\
Problema 14. Dese una lista con los primeros 100.000 n\[UAcute]meros \
capicuos.\
\>", "Text"],

Cell[TextData[{
  "Problema 15. Considerese el grupo de ",
  Cell[BoxData[
      \(TraditionalForm\`G = GL(2, \[DoubleStruckCapitalR])\)]],
  " de las matrices inversibles ",
  Cell[BoxData[
      \(TraditionalForm\`2\[Times]2\)]],
  " con coeficientes reales. Sea ",
  Cell[BoxData[
      FormBox[
        RowBox[{"S", Cell[""], Cell[""]}], TraditionalForm]]],
  "el subgrupo de ",
  Cell[BoxData[
      \(TraditionalForm\`G\)]],
  " generado por las matrices"
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[BoxData[
    FormBox[
      RowBox[{
        RowBox[{"A", "=", 
          RowBox[{"(", GridBox[{
                {"1", "3"},
                {"0", \(-1\)}
                }], ")"}]}], ";", " ", 
        RowBox[{"B", "=", 
          RowBox[{"(", GridBox[{
                {\(-1\), "0"},
                {"1", "1"}
                }], ")"}]}], ";"}], TraditionalForm]], "Input",
  CellLabel->"In[181]:="],

Cell[TextData[{
  "Demu\[EAcute]strese que  se trata de un grupo de orden 12. Determinar el \
orden de los elementos  de ",
  Cell[BoxData[
      \(TraditionalForm\`S\)]],
  " . \[DownQuestion]Cu\[AAcute]ntas \[OAcute]rbitas por conjungaci\[OAcute]n \
tiene el grupo? ( se recuerda que dado un elemento ",
  Cell[BoxData[
      \(TraditionalForm\`g \[Element] \ G\)]],
  " de un grupo, la \[OAcute]rbita de ",
  Cell[BoxData[
      \(TraditionalForm\`g\)]],
  " por conjugaci\[OAcute]n es el conjunto ",
  Cell[BoxData[
      \(TraditionalForm\`{x\ g\ \(\(x\^\(-1\)\) : \ x \[Element] \ G\)}\)]],
  ")."
}], "Text",
  TextAlignment->Left,
  TextJustification->1],

Cell[TextData[{
  "Problema 16. Supongamos que ",
  Cell[BoxData[
      \(TraditionalForm\`\[Alpha] : \[DoubleStruckCapitalN]\^3 \[Rule] \
\[DoubleStruckCapitalN]\)]],
  " y ",
  Cell[BoxData[
      \(TraditionalForm\`\[Beta] : \[DoubleStruckCapitalN] -> \
\[DoubleStruckCapitalN]\)]],
  " son  funciones dadas. Consideremos la funci\[OAcute]n ",
  Cell[BoxData[
      \(TraditionalForm\`\[Gamma] : \[DoubleStruckCapitalN]\^2 \[Rule] \
\[DoubleStruckCapitalN]\)]],
  " dada por :"
}], "Text"],

Cell[TextData[{
  Cell[BoxData[
      \(TraditionalForm\`\(\(\[Gamma](n, 0) = \[Beta](n)\)\(,\)\)\)]],
  " ",
  Cell[BoxData[
      \(TraditionalForm\`\[ForAll] n \[Element] \[DoubleStruckCapitalN]\)]]
}], "Text",
  TextAlignment->Center,
  TextJustification->0],

Cell[TextData[Cell[BoxData[
    \(TraditionalForm\`\[Gamma](n, m + 1) = \[Alpha](n, 
        m, \[Gamma](n, m))\ , \ \[ForAll] n, 
    m \[Element] \(\(\[DoubleStruckCapitalN]\)\(.\)\)\)]]], "Text",
  TextAlignment->Center,
  TextJustification->0],

Cell[TextData[{
  "(i) Implementar \[Gamma] con ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " utilizando recursividad y suponiendo por ejemplo ",
  Cell[BoxData[
      \(TraditionalForm\`\[Alpha](n\_1, n\_2, n\_3) = 
        n\_1 - n\_2\^2 + 3  n\_3\)]],
  " y ",
  Cell[BoxData[
      \(TraditionalForm\`\[Beta](n) = n(n - 1)\)]],
  ".\n(ii) Implementar \[Gamma] sin utilizar recursividad."
}], "Text"],

Cell[TextData[{
  "Problema 17. Algunos n\[UAcute]meros naturales ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " se pueden expresar como suma de dos cuadrados ",
  Cell[BoxData[
      \(TraditionalForm\`n = k\^2 + l\^2\)]],
  " con ",
  Cell[BoxData[
      \(TraditionalForm\`k, l \[Element] \[DoubleStruckCapitalN]\)]],
  ".  Por ejemplo 13=",
  Cell[BoxData[
      \(TraditionalForm\`2\^2 + 3\^2\)]],
  "y sin embargo 12 no es representable como suma de dos cuadrados. Dise\
\[NTilde]ar una funci\[OAcute]n que al actuar sobre un natural ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(n\)\(\ \)\)\)]],
  "nos diga si dicho natural es suma de dos cuadrados o no (los cuadrados \
perfectos ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(n\^2\)\(,\)\)\)]],
  " se consideran suma de dos cuadrados: ",
  Cell[BoxData[
      \(TraditionalForm\`n\^2 = n\^2 + 0\^2\)]],
  "). Modificar despues la funci\[OAcute]n para que nos de los naturales \
cuyos cuadrados suman ",
  Cell[BoxData[
      \(TraditionalForm\`n\)]],
  " (en el caso en que ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(n\)\(\ \ \)\)\)]],
  "es suma de cuadrados). Resolver el problema an\[AAcute]logo para la suma \
de cuatro cuadrados."
}], "Text",
  TextAlignment->Left,
  TextJustification->1]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.2 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
WindowToolbars->{"RulerBar", "EditBar"},
WindowSize->{1276, 970},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Cell[ 
        TextData[ {
          CounterBox[ "Page"]}], "PageNumber"], Inherited, 
      "Primera entrega"}, {"Curso de Mathematica", Inherited, Cell[ 
        TextData[ {
          CounterBox[ "Page"]}], "PageNumber"]}},
PrintingOptions->{"FirstPageHeader"->False,
"FacingPages"->True},
ShowSelection->True,
Magnification->1.25,
StyleDefinitions -> "Textbook.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "S5.42.1"->{
    Cell[102892, 3462, 94, 2, 40, "Input",
      CellTags->"S5.42.1"],
    Cell[102989, 3466, 104377, 2717, 288, 33882, 1841, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"S5.42.1"],
    Cell[207369, 6185, 218, 6, 29, "Output",
      CellTags->"S5.42.1"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"S5.42.1", 223436, 6696}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 182, 7, 90, "Title"],
Cell[1961, 62, 41, 0, 44, "Subtitle"],
Cell[2005, 64, 398, 8, 50, "Text"],

Cell[CellGroupData[{
Cell[2428, 76, 125, 6, 57, "Subsection"],
Cell[2556, 84, 130, 3, 30, "Text"],
Cell[2689, 89, 196, 5, 31, "DisplayFormula"],
Cell[2888, 96, 34, 0, 30, "Text"],
Cell[2925, 98, 225, 4, 54, "DisplayFormula"],
Cell[3153, 104, 276, 8, 58, "Text"],
Cell[3432, 114, 125, 3, 61, "Input"],
Cell[3560, 119, 40, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[3625, 123, 62, 2, 37, "Input"],
Cell[3690, 127, 78, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3805, 134, 80, 2, 37, "Input"],
Cell[3888, 138, 97, 2, 29, "Output"]
}, Open  ]],
Cell[4000, 143, 514, 14, 50, "Text"],

Cell[CellGroupData[{
Cell[4539, 161, 75, 2, 37, "Input"],
Cell[4617, 165, 91, 2, 29, "Output"]
}, Open  ]],
Cell[4723, 170, 187, 5, 30, "Text"],
Cell[4913, 177, 181, 5, 85, "Input"],
Cell[5097, 184, 450, 11, 50, "Text"],
Cell[5550, 197, 97, 2, 30, "Text"],
Cell[5650, 201, 145, 4, 85, "Input"],
Cell[5798, 207, 1714, 44, 135, "Text"],
Cell[7515, 253, 64, 0, 30, "Text"],
Cell[7582, 255, 177, 5, 109, "Input"],

Cell[CellGroupData[{
Cell[7784, 264, 62, 2, 37, "Input"],
Cell[7849, 268, 78, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7964, 275, 62, 2, 37, "Input"],
Cell[8029, 279, 78, 2, 29, "Output"]
}, Open  ]],
Cell[8122, 284, 114, 3, 30, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8273, 292, 125, 6, 57, "Subsection"],
Cell[8401, 300, 610, 20, 78, "Text"],
Cell[9014, 322, 374, 10, 50, "Text"],
Cell[9391, 334, 255, 8, 32, "DisplayFormula"],
Cell[9649, 344, 75, 0, 30, "Text"],
Cell[9727, 346, 191, 5, 109, "Input"],

Cell[CellGroupData[{
Cell[9943, 355, 85, 2, 37, "Input"],
Cell[10031, 359, 174, 3, 29, "Output"]
}, Open  ]],
Cell[10220, 365, 103, 3, 30, "Text"],
Cell[10326, 370, 96, 2, 37, "Input"],
Cell[10425, 374, 148, 5, 30, "Text"],

Cell[CellGroupData[{
Cell[10598, 383, 71, 2, 37, "Input"],
Cell[10672, 387, 81, 2, 29, "Output"]
}, Open  ]],
Cell[10768, 392, 152, 5, 30, "Text"],

Cell[CellGroupData[{
Cell[10945, 401, 76, 2, 37, "Input"],
Cell[11024, 405, 104, 2, 29, "Output"]
}, Open  ]],
Cell[11143, 410, 174, 5, 30, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11354, 420, 125, 6, 57, "Subsection"],
Cell[11482, 428, 557, 21, 62, "Text"],
Cell[12042, 451, 341, 8, 55, "Text"],

Cell[CellGroupData[{
Cell[12408, 463, 178, 4, 109, "Input"],
Cell[12589, 469, 237, 4, 46, "Output"]
}, Open  ]],
Cell[12841, 476, 326, 10, 30, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13204, 491, 125, 6, 57, "Subsection"],
Cell[13332, 499, 406, 13, 86, "Text"],
Cell[13741, 514, 156, 4, 31, "DisplayFormula"],
Cell[13900, 520, 830, 25, 76, "Text"],
Cell[14733, 547, 98, 2, 37, "Input"],

Cell[CellGroupData[{
Cell[14856, 553, 73, 2, 37, "Input"],
Cell[14932, 557, 77, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15046, 564, 86, 2, 37, "Input"],
Cell[15135, 568, 81, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[15265, 576, 125, 6, 57, "Subsection"],
Cell[15393, 584, 487, 10, 86, "Text"],

Cell[CellGroupData[{
Cell[15905, 598, 69, 2, 37, "Input"],
Cell[15977, 602, 88, 2, 29, "Output"]
}, Open  ]],
Cell[16080, 607, 362, 7, 50, "Text"],
Cell[16445, 616, 115, 2, 37, "Input"],
Cell[16563, 620, 60, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[16648, 624, 68, 2, 37, "Input"],
Cell[16719, 628, 80, 2, 29, "Output"]
}, Open  ]],
Cell[16814, 633, 79, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[16918, 637, 147, 4, 85, "Input"],
Cell[17068, 643, 81, 2, 34, "Print"],
Cell[17152, 647, 82, 2, 34, "Print"],
Cell[17237, 651, 83, 2, 34, "Print"]
}, Open  ]],
Cell[17335, 656, 553, 15, 55, "Text"],
Cell[17891, 673, 59, 0, 30, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17987, 678, 125, 6, 57, "Subsection"],
Cell[18115, 686, 745, 23, 86, "Text"],
Cell[18863, 711, 212, 5, 85, "Input"],
Cell[19078, 718, 44, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[19147, 722, 65, 2, 37, "Input"],
Cell[19215, 726, 88, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19340, 733, 63, 2, 37, "Input"],
Cell[19406, 737, 83, 2, 29, "Output"]
}, Open  ]],
Cell[19504, 742, 769, 17, 70, "Text"],

Cell[CellGroupData[{
Cell[20298, 763, 63, 2, 37, "Input"],
Cell[20364, 767, 83, 2, 29, "Output"]
}, Open  ]],
Cell[20462, 772, 88, 2, 30, "Text"],

Cell[CellGroupData[{
Cell[20575, 778, 71, 2, 37, "Input"],
Cell[20649, 782, 88, 2, 29, "Output"]
}, Open  ]],
Cell[20752, 787, 476, 9, 70, "Text"],
Cell[21231, 798, 526, 20, 31, "DisplayFormula"],
Cell[21760, 820, 676, 17, 70, "Text"],
Cell[22439, 839, 73, 2, 37, "Input"],
Cell[22515, 843, 171, 5, 30, "Text"],
Cell[22689, 850, 233, 6, 85, "Input"],
Cell[22925, 858, 129, 5, 30, "Text"],

Cell[CellGroupData[{
Cell[23079, 867, 63, 2, 37, "Input"],
Cell[23145, 871, 83, 2, 29, "Output"]
}, Open  ]],
Cell[23243, 876, 56, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[23324, 880, 63, 2, 37, "Input"],
Cell[23390, 884, 81, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[23508, 891, 59, 2, 37, "Input"],
Cell[23570, 895, 77, 2, 29, "Output"]
}, Open  ]],
Cell[23662, 900, 193, 5, 30, "Text"],
Cell[23858, 907, 112, 3, 61, "Input"],
Cell[23973, 912, 120, 5, 30, "Text"],

Cell[CellGroupData[{
Cell[24118, 921, 64, 2, 37, "Input"],
Cell[24185, 925, 88, 2, 29, "Output"]
}, Open  ]],
Cell[24288, 930, 75, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[24388, 934, 63, 2, 37, "Input"],
Cell[24454, 938, 85, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24576, 945, 59, 2, 37, "Input"],
Cell[24638, 949, 80, 2, 29, "Output"]
}, Open  ]],
Cell[24733, 954, 211, 4, 50, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24981, 963, 36, 0, 44, "Subtitle"],
Cell[25020, 965, 258, 5, 50, "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[25327, 976, 60, 1, 89, "Title"],
Cell[25390, 979, 510, 16, 35, "Text"],

Cell[CellGroupData[{
Cell[25925, 999, 80, 2, 57, "Subsection"],
Cell[26008, 1003, 229, 8, 58, "Text"],
Cell[26240, 1013, 202, 4, 61, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26479, 1022, 80, 2, 57, "Subsection"],
Cell[26562, 1026, 459, 18, 31, "Text"],
Cell[27024, 1046, 109, 2, 37, "Input"],

Cell[CellGroupData[{
Cell[27158, 1052, 98, 2, 37, "Input"],
Cell[27259, 1056, 82, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[27390, 1064, 80, 2, 57, "Subsection"],
Cell[27473, 1068, 657, 23, 31, "Text"],
Cell[28133, 1093, 157, 4, 37, "Input"],

Cell[CellGroupData[{
Cell[28315, 1101, 100, 2, 37, "Input"],
Cell[28418, 1105, 911, 24, 81, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[29390, 1136, 63, 1, 89, "Title"],
Cell[29456, 1139, 236, 4, 50, "Text"],

Cell[CellGroupData[{
Cell[29717, 1147, 244, 5, 59, "Input"],
Cell[29964, 1154, 233, 4, 45, "Output"]
}, Open  ]],
Cell[30212, 1161, 971, 15, 113, "Text"],

Cell[CellGroupData[{
Cell[31208, 1180, 85, 2, 37, "Input"],
Cell[31296, 1184, 27609, 624, 233, 4828, 338, "GraphicsData", "PostScript", \
"Graphics"],
Cell[58908, 1810, 156, 4, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[59113, 1820, 77, 2, 89, "Title"],
Cell[59193, 1824, 119, 3, 30, "Text"],

Cell[CellGroupData[{
Cell[59337, 1831, 80, 2, 57, "Subsection"],
Cell[59420, 1835, 502, 15, 35, "Text"],

Cell[CellGroupData[{
Cell[59947, 1854, 298, 7, 109, "Input"],
Cell[60248, 1863, 78, 2, 29, "Output"]
}, Open  ]],
Cell[60341, 1868, 217, 5, 58, "Text"],

Cell[CellGroupData[{
Cell[60583, 1877, 175, 4, 61, "Input"],
Cell[60761, 1883, 80, 2, 29, "Output"]
}, Open  ]],
Cell[60856, 1888, 173, 6, 30, "Text"],

Cell[CellGroupData[{
Cell[61054, 1898, 175, 4, 61, "Input"],
Cell[61232, 1904, 385, 7, 34, "Message"],
Cell[61620, 1913, 385, 7, 34, "Message"],
Cell[62008, 1922, 130, 3, 29, "Output"]
}, Open  ]],
Cell[62153, 1928, 323, 6, 78, "Text"],

Cell[CellGroupData[{
Cell[62501, 1938, 91, 2, 37, "Input"],
Cell[62595, 1942, 80, 2, 29, "Output"]
}, Open  ]],
Cell[62690, 1947, 35, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[62750, 1951, 226, 4, 85, "Input"],
Cell[62979, 1957, 80, 2, 29, "Output"]
}, Open  ]],
Cell[63074, 1962, 38, 0, 30, "Text"],
Cell[63115, 1964, 110, 2, 37, "Input"],
Cell[63228, 1968, 96, 2, 30, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[63361, 1975, 80, 2, 57, "Subsection"],
Cell[63444, 1979, 219, 7, 30, "Text"],
Cell[63666, 1988, 347, 8, 85, "Input"],

Cell[CellGroupData[{
Cell[64038, 2000, 190, 5, 61, "Input"],
Cell[64231, 2007, 78, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[64346, 2014, 143, 4, 37, "Input"],
Cell[64492, 2020, 79, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[64620, 2028, 80, 2, 57, "Subsection"],
Cell[64703, 2032, 245, 7, 30, "Text"],
Cell[64951, 2041, 112, 2, 30, "Text"],
Cell[65066, 2045, 226, 6, 61, "Input"],

Cell[CellGroupData[{
Cell[65317, 2055, 118, 4, 37, "Input"],
Cell[65438, 2061, 78, 2, 29, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[65577, 2070, 51, 1, 89, "Title"],
Cell[65631, 2073, 343, 10, 35, "Text"],

Cell[CellGroupData[{
Cell[65999, 2087, 80, 2, 57, "Subsection"],
Cell[66082, 2091, 202, 7, 30, "Text"],

Cell[CellGroupData[{
Cell[66309, 2102, 212, 6, 61, "Input"],
Cell[66524, 2110, 83, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[66644, 2117, 133, 4, 46, "Input"],
Cell[66780, 2123, 83, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[66912, 2131, 80, 2, 57, "Subsection"],
Cell[66995, 2135, 248, 8, 35, "Text"],
Cell[67246, 2145, 190, 5, 37, "Input"],

Cell[CellGroupData[{
Cell[67461, 2154, 127, 4, 37, "Input"],
Cell[67591, 2160, 100, 2, 29, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[67752, 2169, 53, 1, 89, "Title"],

Cell[CellGroupData[{
Cell[67830, 2174, 80, 2, 57, "Subsection"],
Cell[67913, 2178, 407, 10, 30, "Text"],
Cell[68323, 2190, 197, 5, 61, "Input"],

Cell[CellGroupData[{
Cell[68545, 2199, 262, 7, 61, "Input"],
Cell[68810, 2208, 127, 3, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[68986, 2217, 80, 2, 57, "Subsection"],
Cell[69069, 2221, 512, 16, 50, "Text"],

Cell[CellGroupData[{
Cell[69606, 2241, 164, 4, 37, "Input"],
Cell[69773, 2247, 80, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[69902, 2255, 80, 2, 57, "Subsection"],
Cell[69985, 2259, 191, 4, 30, "Text"],
Cell[70179, 2265, 488, 12, 81, "Text"],
Cell[70670, 2279, 211, 5, 61, "Input"],
Cell[70884, 2286, 75, 2, 30, "Text"],

Cell[CellGroupData[{
Cell[70984, 2292, 123, 4, 37, "Input"],
Cell[71110, 2298, 78, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[71225, 2305, 112, 4, 37, "Input"],
Cell[71340, 2311, 79, 2, 29, "Output"]
}, Open  ]],
Cell[71434, 2316, 297, 10, 35, "Text"],
Cell[71734, 2328, 181, 5, 37, "Input"],

Cell[CellGroupData[{
Cell[71940, 2337, 118, 4, 37, "Input"],
Cell[72061, 2343, 89, 2, 29, "Output"]
}, Open  ]],
Cell[72165, 2348, 514, 16, 55, "Text"],
Cell[72682, 2366, 218, 6, 46, "Input"],

Cell[CellGroupData[{
Cell[72925, 2376, 115, 4, 37, "Input"],
Cell[73043, 2382, 81, 2, 29, "Output"]
}, Open  ]],
Cell[73139, 2387, 138, 4, 37, "Input"],

Cell[CellGroupData[{
Cell[73302, 2395, 227, 6, 61, "Input"],
Cell[73532, 2403, 82, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[73651, 2410, 253, 6, 61, "Input"],
Cell[73907, 2418, 639, 9, 75, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[74607, 2434, 53, 1, 89, "Title"],
Cell[74663, 2437, 316, 7, 50, "Text"],

Cell[CellGroupData[{
Cell[75004, 2448, 80, 2, 57, "Subsection"],
Cell[75087, 2452, 190, 4, 30, "Text"],
Cell[75280, 2458, 230, 7, 30, "Text"],
Cell[75513, 2467, 148, 4, 37, "Input"],
Cell[75664, 2473, 124, 2, 30, "Text"],

Cell[CellGroupData[{
Cell[75813, 2479, 110, 4, 37, "Input"],
Cell[75926, 2485, 98, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[76073, 2493, 80, 2, 57, "Subsection"],
Cell[76156, 2497, 313, 11, 31, "Text"],
Cell[76472, 2510, 191, 6, 35, "Text"],

Cell[CellGroupData[{
Cell[76688, 2520, 140, 4, 37, "Input"],
Cell[76831, 2526, 530, 12, 106, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[77410, 2544, 80, 2, 57, "Subsection"],
Cell[77493, 2548, 582, 17, 107, "Text"],
Cell[78078, 2567, 205, 6, 37, "Input"],

Cell[CellGroupData[{
Cell[78308, 2577, 117, 4, 37, "Input"],
Cell[78428, 2583, 453, 13, 124, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[78942, 2603, 50, 1, 89, "Title"],
Cell[78995, 2606, 366, 8, 55, "Text"],

Cell[CellGroupData[{
Cell[79386, 2618, 80, 2, 57, "Subsection"],
Cell[79469, 2622, 870, 27, 88, "Text"],
Cell[80342, 2651, 275, 7, 37, "Input"],
Cell[80620, 2660, 798, 23, 55, "Text"],

Cell[CellGroupData[{
Cell[81443, 2687, 117, 4, 37, "Input"],
Cell[81563, 2693, 345, 11, 76, "Output"]
}, Open  ]],
Cell[81923, 2707, 877, 17, 91, "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[82849, 2730, 54, 1, 89, "Title"],
Cell[82906, 2733, 211, 4, 50, "Text"],

Cell[CellGroupData[{
Cell[83142, 2741, 80, 2, 57, "Subsection"],
Cell[83225, 2745, 333, 10, 30, "Text"],

Cell[CellGroupData[{
Cell[83583, 2759, 205, 4, 61, "Input"],
Cell[83791, 2765, 322, 5, 52, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[84162, 2776, 80, 2, 57, "Subsection"],
Cell[84245, 2780, 280, 8, 30, "Text"],
Cell[84528, 2790, 66, 3, 58, "Text"],
Cell[84597, 2795, 130, 3, 37, "Input"],
Cell[84730, 2800, 146, 3, 30, "Text"],

Cell[CellGroupData[{
Cell[84901, 2807, 98, 2, 37, "Input"],
Cell[85002, 2811, 750, 11, 98, "Output"]
}, Open  ]],
Cell[85767, 2825, 298, 5, 50, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86102, 2835, 80, 2, 57, "Subsection"],
Cell[86185, 2839, 283, 8, 30, "Text"],
Cell[86471, 2849, 33, 0, 30, "Text"],
Cell[86507, 2851, 339, 14, 30, "Text"],

Cell[CellGroupData[{
Cell[86871, 2869, 210, 4, 61, "Input"],
Cell[87084, 2875, 220, 4, 29, "Output"]
}, Open  ]],
Cell[87319, 2882, 20, 0, 30, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87376, 2887, 62, 1, 44, "Subtitle"],
Cell[87441, 2890, 190, 4, 30, "Text"],

Cell[CellGroupData[{
Cell[87656, 2898, 80, 2, 57, "Subsection"],
Cell[87739, 2902, 116, 2, 30, "Text"],
Cell[87858, 2906, 495, 13, 136, "Input"],
Cell[88356, 2921, 478, 10, 50, "Text"],

Cell[CellGroupData[{
Cell[88859, 2935, 117, 3, 37, "Input"],
Cell[88979, 2940, 136, 3, 30, "Output"]
}, Open  ]],
Cell[89130, 2946, 91, 1, 30, "Text"],

Cell[CellGroupData[{
Cell[89246, 2951, 92, 3, 37, "Input"],
Cell[89341, 2956, 96, 2, 30, "Output"]
}, Open  ]],
Cell[89452, 2961, 688, 24, 50, "Text"],
Cell[90143, 2987, 110, 3, 37, "Input"],
Cell[90256, 2992, 787, 26, 55, "Text"],

Cell[CellGroupData[{
Cell[91068, 3022, 245, 6, 85, "Input"],
Cell[91316, 3030, 78, 2, 29, "Output"]
}, Open  ]],
Cell[91409, 3035, 472, 17, 30, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[91918, 3057, 80, 2, 57, "Subsection"],
Cell[92001, 3061, 884, 22, 71, "Text"],
Cell[92888, 3085, 710, 24, 50, "Text"],
Cell[93601, 3111, 275, 7, 94, "Input"],
Cell[93879, 3120, 311, 11, 31, "Text"],
Cell[94193, 3133, 390, 8, 76, "Input"],
Cell[94586, 3143, 116, 3, 30, "Text"],

Cell[CellGroupData[{
Cell[94727, 3150, 257, 7, 72, "Input"],
Cell[94987, 3159, 81, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[95105, 3166, 222, 7, 72, "Input"],
Cell[95330, 3175, 81, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[95448, 3182, 84, 2, 37, "Input"],
Cell[95535, 3186, 82, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[95666, 3194, 80, 2, 57, "Subsection"],
Cell[95749, 3198, 228, 7, 58, "Text"],
Cell[95980, 3207, 806, 27, 51, "Text"],
Cell[96789, 3236, 251, 8, 61, "Input"],
Cell[97043, 3246, 94, 2, 30, "Text"],

Cell[CellGroupData[{
Cell[97162, 3252, 135, 4, 37, "Input"],
Cell[97300, 3258, 78, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[97427, 3266, 80, 2, 57, "Subsection"],
Cell[97510, 3270, 1487, 49, 127, "Text"],
Cell[99000, 3321, 156, 4, 61, "Input"],
Cell[99159, 3327, 285, 7, 61, "Input"],
Cell[99447, 3336, 37, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[99509, 3340, 67, 2, 37, "Input"],
Cell[99579, 3344, 91, 2, 34, "Print"],
Cell[99673, 3348, 90, 2, 34, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[99800, 3355, 66, 2, 37, "Input"],
Cell[99869, 3359, 90, 2, 34, "Print"],
Cell[99962, 3363, 89, 2, 34, "Print"],
Cell[100054, 3367, 89, 2, 34, "Print"],
Cell[100146, 3371, 89, 2, 34, "Print"],
Cell[100238, 3375, 90, 2, 34, "Print"],
Cell[100331, 3379, 90, 2, 34, "Print"],
Cell[100424, 3383, 89, 2, 34, "Print"],
Cell[100516, 3387, 89, 2, 34, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[100666, 3396, 64, 1, 44, "Subtitle"],
Cell[100733, 3399, 879, 14, 118, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[101649, 3418, 77, 2, 44, "Subtitle"],
Cell[101729, 3422, 916, 28, 95, "Text"],
Cell[102648, 3452, 95, 2, 37, "Input"],
Cell[102746, 3456, 121, 2, 30, "Text"],

Cell[CellGroupData[{
Cell[102892, 3462, 94, 2, 40, "Input",
  CellTags->"S5.42.1"],
Cell[102989, 3466, 104377, 2717, 288, 33882, 1841, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"S5.42.1"],
Cell[207369, 6185, 218, 6, 29, "Output",
  CellTags->"S5.42.1"]
}, Open  ]],
Cell[207602, 6194, 220, 5, 30, "Text"],
Cell[207825, 6201, 888, 24, 97, "Text"],
Cell[208716, 6227, 3562, 113, 251, "Text"],
Cell[212281, 6342, 576, 19, 30, "Text"],
Cell[212860, 6363, 529, 17, 30, "Text"],
Cell[213392, 6382, 667, 21, 50, "Text"],
Cell[214062, 6405, 473, 12, 86, "Text"],
Cell[214538, 6419, 275, 5, 85, "Input"],

Cell[CellGroupData[{
Cell[214838, 6428, 81, 2, 37, "Input"],
Cell[214922, 6432, 115, 2, 29, "Output"]
}, Open  ]],
Cell[215052, 6437, 686, 19, 70, "Text"],
Cell[215741, 6458, 350, 9, 50, "Text"],
Cell[216094, 6469, 1842, 51, 131, "Text"],
Cell[217939, 6522, 104, 3, 30, "Text"],
Cell[218046, 6527, 520, 17, 34, "Text"],
Cell[218569, 6546, 407, 13, 58, "Input"],
Cell[218979, 6561, 662, 18, 50, "Text"],
Cell[219644, 6581, 492, 14, 30, "Text"],
Cell[220139, 6597, 262, 8, 30, "Text"],
Cell[220404, 6607, 247, 5, 28, "Text"],
Cell[220654, 6614, 416, 12, 58, "Text"],
Cell[221073, 6628, 1271, 35, 90, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

